
{*******************************************************}
{                                                       }
{       RichViewActions                                 }
{       Traditional Chinese (Big5) translation          }
{                                                       }
{       Copyright (c) Sergey Tkachenko                  }
{       svt@trichview.com                               }
{       http://www.trichview.com                        }
{                                                       }
{*******************************************************}
{ Translated by Ian Chen                             }
{ Updated: 2007-11-09                                   }
{ Updated: 2011-10-18 by Alconost                       }
{ Updated: 2012-10-04 by Alconost                       }
{ Updated: 2014-05-08 by Alconost                       }
{*******************************************************}

unit RVAL_ChineseBig5;
{$I RV_Defs.inc}
interface

implementation
uses Windows, RVALocalize;

const
  Messages: TRVAMessages =
  (
  '',
  // units: inches, cm, mm, picas, pixels, points
  '^T', '', '', 'pica (1/6 ^T)', '', 'I',
  // units : [n] inches, [n] cm, [n] mm, [n] picas, [n] pixels, [n] points
  '''''', '', '', 'pc', '', 'I',
  // not used in actions, but can be useful: common menus:
  // top-level menus: File, Format, Text, Paragraph, Insert, Table, Window, Help
  'ɮ(&F)', 's(&E)', '榡(&O)', 'r(&N)', 'q(&P)', 'J(&I)', '(&T) ', '(&W)', '(&H)',
  // exit
  '}(&X)',
  // top-level menus: View, Tools,
  '˵(&V)', 'u(&L)',
  // menus: Font size, Font style, Table select, Table cell align, table cell borders
  'jp', '˦', '(&T)', '椺e(&N)', 'ؽu(&E)',
  // menus: Table cell rotation
  'xs(&R)', 
  // menus: Text flow, Footnotes/endnotes
  '/(&T)', '}(&F)',
  // ribbon tabs: tab1, tab2, view, table
  '(&H)', 'i(&A)', '˵(&V)', '(&T)',
  // ribbon groups: clipboard, font, paragraph, list, editing
  'ŶKï', 'r', 'q', 'M', 's',
  // ribbon groups: insert, background, page setup,
  'J', 'I', ']w',
  // ribbon groups: links, footnotes, document views, show/hide, zoom, options
  's', '}', '', '/', 'Y', 'ﶵ',
  // ribbon groups on table tab: insert, delete, operations, borders, styles
  'J', 'R', '@~', 'ؽu',
  // ribbon groups: styles 
  '˦',
  // ribbon screen tip footer,
  ' F1 Hoh',
  // ribbon app menu: recent files, save-as menu title, print menu title
  '̪ϥΪ', 'xs@ƥ', 'wæCL',
  // ribbon label: units combo
  ':',      
  // actions -------------------------------------------------------------------
  // TrvActionNew
  'sW(&N)', 'sW|sWťդ',
  // TrvActionOpen
  '}(&O)...', '}|ѺϺж}Ҥ',
  // TrvActionSave
  'xsɮ(&S)', 'xsɮ|xsܺϺ',
  // TrvActionSaveAs
  'tss(&A)...', 'tss...|HsɦWxsܺϺ',
  // TrvActionExport
  'X(&E)...', 'X|XܨL˦',
  // TrvActionPrintPreview
  'wCL(&R)', 'wCL|˵CLA',
  // TrvActionPrint
  'CL(&P)...', 'CL|L]wΦCL',
  // TrvActionQuickPrint
  'CL(&P)', 'ֳtCL(&Q)', 'CL|CL',
  // TrvActionPageSetup
  ']w(&G)...', ']w|]wɡBȱijpBXVBӷBέ',
  // TrvActionCut
  'ŤU(&T)', 'ŤU|ŤUܽdܰŶKï',
  // TrvActionCopy
  'ƻs(&C)', 'ƻs|ƻsܽdܰŶKï',
  // TrvActionPaste
  'KW(&P)', 'KW|KW]J^ŶKïe',
  // TrvActionPasteAsText
  'KWr(&T)', 'KWr|qŶKïJr',  
  // TrvActionPasteSpecial
  'ܩʶKW(&S)...', 'ܩʶKW|HS榡KW]J^ŶKïe',
  // TrvActionSelectAll
  '(&A)', '|ܥ',
  // TrvActionUndo
  '_(&U)', '_|_W@Ӱʧ@',
  // TrvActionRedo
  '(&R)', '|W@Ӵ_ʧ@',
  // TrvActionFind
  'M(&F)...', 'M|b󤤴MSwr',
  // TrvActionFindNext
  'MU@(&N)', 'MU@|~W@ӷjM',
  // TrvActionReplace
  'N(&R)...', 'N|MèN󤤪Swr',
  // TrvActionInsertFile
  'Jɮ(&F)...', 'Jɮ|b󤤴Jɮפe',
  // TrvActionInsertPicture
  'Ϥ(&P)...', 'JϤ|ѺϺФJϤ',
  // TRVActionInsertHLine
  'u(&H)', 'Ju|J@u',
  // TRVActionInsertHyperlink
  'Ws(&L)...', 'JWs|JWsr',
  // TRVActionRemoveHyperlinks
  'Ws(&R)', 'Ws|ҿrҦWs',  
  // TrvActionInsertSymbol
  'Ÿ(&S)...', 'JŸ|JŸ',
  // TrvActionInsertNumber
   's(&N)...', 'Js|Js',
  // TrvActionInsertCaption
   'JD(&C)...', 'JD|Jҿ磌󪺼D',
  // TrvActionInsertTextBox
   'r(&T)', 'Jr|Jr',
  // TrvActionInsertSidenote
   'ǵ(&S)', 'Jǵ|Jܩr',
  // TrvActionInsertPageNumber
   'X(&P)', 'JX|JX',
  // TrvActionInsertPageCount
  {*} 'Page Count', 'Insert Page Count|Inserts a count of pages',
  // TrvActionParaList
  'زŸνs(&B)...', 'زŸνs|sWνsҿܬqزŸνs',
  // TrvActionParaBullets
  'زŸ(&B)', 'زŸ|sWβqزŸ',
  // TrvActionParaNumbering
  's(&N)', 's|sWβqs',
  // TrvActionColor
  'IC(&C)...', 'I|ܤ󪺭IC',
  // TrvActionFillColor
  'Jm(&F)...', 'KJm|ܤrBqBxsΤ󪺭IC',
  // TrvActionInsertPageBreak
  'JŸ(&I)', 'JŸ|JŸ',
  // TrvActionRemovePageBreak
  'Ÿ(&R)', 'Ÿ|Ÿ',
  // TrvActionClearLeft
  'bMryV(&L)', 'bMryV|NqmaϤU',   // TrvActionClearRight
  'bkMryV(&L)', 'bkMryV|NqmakϤU',
  // TrvActionClearBoth
  'bⰼMryV(&B)', 'bⰼMryV|NqmaξakrU',
  // TrvActionClearNone
  '`ryV(&N)', '`ryV|\r¶۾aMakϤ',
  // TrvActionVAlign
  'm(&O)...', 'm|ܧҿ磌󪺦m',    
  // TrvActionItemProperties
  'ݩ(&P)...', 'ݩ|wq@Τݩ',
  // TrvActionBackground
  'I(&B)...', 'I|ܭICPϤ',
  // TrvActionParagraph
  'q(&P)...', 'q|ܧqݩ',
  // TrvActionIndentInc
  'W[Y(&I)', 'W[Y|W[ҿqY',
  // TrvActionIndentDec
  'Y(&D)', 'Y|֩ҿܬqY',
  // TrvActionWordWrap
  'rj]w(&W)', 'rj]w|ҿܪq[Jrj]w',
  // TrvActionAlignLeft
  'a(&L)', 'a|Nҿܪra',
  // TrvActionAlignRight
  'ak(&R)', 'ak|Nҿܪrak',
  // TrvActionAlignCenter
  'm(&C)', 'm|Nҿܤrm',
  // TrvActionAlignJustify
  'k(&J)', {*} 'k|Nҿܪrkɹ, adding space between words if necessary',
  // TrvActionAlignDistribute
  {*} '&Distribute', 'Distribute|Aligns the selected text to both left and right sides, adding space between characters if necessary',
  // TrvActionParaColor
  'qIm(&B)...', 'qIm|]wqIm',
  // TrvActionLineSpacing100
  '涡Z(&S)', '涡Z|]w涡Z',
  // TrvActionLineSpacing150
  '1.5 氪(&N)', '1.5 氪|]wZ 1.5 氪',
  // TrvActionLineSpacing200
  '2 氪(&D)', '2 氪|]w 2 氪',
  // TrvActionParaBorder
  'qػPI(&B)...', 'qػPI|]wҿܬqػPI',
  // TrvActionInsertTable
  'J(&I)...', '(&T)', 'J|J@ӷs',
  // TrvActionTableInsertRowsAbove
  'JWC(&A)', 'JWC|ҿxsW贡J@C',
  // TrvActionTableInsertRowsBelow
  'JUC(&B)', 'JUC|ҿxsU贡J@C',
  // TrvActionTableInsertColLeft
  'J(&L)', 'J|ҿxs楪贡J@',
  // TrvActionTableInsertColRight
  'Jk(&R)', 'Jk|ҿxsk贡J@',
  // TrvActionTableDeleteRows
  'RC(&O)', 'RC|Rҿxs檺C',
  // TrvActionTableDeleteCols
  'R(&C)', 'R|Rҿxs檺',
  // TrvActionTableDeleteTable
  'R(&D)', 'R|R',
  // TrvActionTableMergeCells
  'Xxs(&M)', 'Xxs|X֩ҿܪxs',
  // TrvActionTableSplitCells
  'xs(&S)...', 'xs|Ωҿܪxs',
  // TrvActionTableSelectTable
  'ܪ(&T)', 'ܪ|ܪ',
  // TrvActionTableSelectRows
  'ܦC(&W)', 'SܦC|ܦC',
  // TrvActionTableSelectCols
  '(&U)', '|',
  // TrvActionTableSelectCell
  'xs(&E)', 'xs|xs',
  // TrvActionTableCellVAlignTop
  'xsaW(&T)', 'xsaW|xs椺eaW',
  // TrvActionTableCellVAlignMiddle
  'xsm(&M)', 'xsm|xs椺em',
  // TrvActionTableCellVAlignBottom
  'xsa(&B)', 'xsa|xs椺ea',
  // TrvActionTableCellVAlignDefault
  'w]xs櫫(&D)', 'w]xs櫫|]ww]ҿܪxs',
  // TrvActionTableCellRotationNone
  'Lxs(&N)', 'Lxs|H 0 ױxs椺e',
  // TrvActionTableCellRotation90
  '90 ױxs(&2)', '90 ױxs|H 90 ױxs椺e',
  // TrvActionTableCellRotation180
  '180 ױxs(&2)', '180 ױxs|H 180 ױxs椺e',
  // TrvActionTableCellRotation270
  '270 ױxs(&2)', '270 ױxs|H 270 ױxs椺e',
  // TrvActionTableProperties
  'ݩ(&P)...', 'ݩ|ܩҿܪ檺ݩ',
  // TrvActionTableGrid
  'ܮu(&G)', 'ܮu|ܩîu',
  // TRVActionTableSplit
  'Ϊ(&L)', 'Ϊ|NqҿCάӪ',
  // TRVActionTableToText
  'ഫr(&X)...', 'ഫr|Nഫr',
  // TRVActionTableSort
  'Ƨ(&S)...', 'Ƨ|ƧǪC',
  // TrvActionTableCellLeftBorder
  'ؽu(&L)', 'ؽu|ܩxsؽu',
  // TrvActionTableCellRightBorder
  'kؽu(&R)', 'kؽu|ܩåkؽu',
  // TrvActionTableCellTopBorder
  'Wؽu(&T)', 'Wؽu|ܩäWؽu',
  // TrvActionTableCellBottomBorder
  'ؽu(&B)', 'ؽu|ܩéؽu',
  // TrvActionTableCellAllBorders
  'ؽu(&A)', 'ؽu|ܩxsؽu',
  // TrvActionTableCellNoBorders
  'Lؽu(&N)', 'Lؽu|xsؽu',
  // TrvActionFonts & TrvActionFontEx
  'r(&F)...', 'r|ܧҿܤrr',
  // TrvActionFontBold
  '(&B)', '|ܧҿܤr',
  // TrvActionFontItalic
  '(&I)', '|ܧҿܤr',
  // TrvActionFontUnderline
  'u(&U)', 'u|ܧҿܪrK[u',
  // TrvActionFontStrikeout
  'Ru(&S)', 'Ru|ҿܤr[Ru',
  // TrvActionFontGrow
  '[jr(&G)', '[jr|[jҿܤr 10%',
  // TrvActionFontShrink
  'Ypr(&H)', 'Ypr|Ypҿܤr 10%',
  // TrvActionFontGrowOnePoint
  '[jr@I(&R)', '[jr@I|[jҿܤrפ@I',
  // TrvActionFontShrinkOnePoint
  'Ypr@I(&N)', 'Yp۫@I|Ypҿܤrפ@I',
  // TrvActionFontAllCaps
  'jg(&A)', 'jg|ܧҿܤrjgr',
  // TrvActionFontOverline
  'Wнu(&O)', 'Wнu|ҿܤr[Wнu',
  // TrvActionFontColor
  'rm(&C)...', 'rm|ܧҿܤrm',
  // TrvActionFontBackColor
  'r(&K)...', 'r|ܩҿܤr',
  // TrvActionAddictSpell3
  'rˬd(&S)', 'rˬd|ˬdr',
  // TrvActionAddictThesaurus3
  'Pqr(&T)', 'Pqr|ѩҿܤrPqr',
  // TrvActionParaLTR
  'ѥܥk', 'ѥܥk|]wҿܬqrѥܥk',
  // TrvActionParaRTL
  'ѥkܥ', 'ѥkܥ|]wҿܬqrѥkܥ',
  // TrvActionLTR
  'rѥܥk', 'rѥܥk|]wҿܪrѥܥk',
  // TrvActionRTL
  'rѥkܥ', 'rѥkܥ|]wҿܪrѥkܥ',
  // TrvActionCharCase
  'jpg', 'jpg|ܧҿܤrjpg',
  'DCLr(&N)', 'DCLr|ܩëDCLrAҦpqаOBХܲŸΪťյ',
  // TrvActionSubscript
  'UЦr(&B)', 'UвŸ|ഫܪrUЦr',
  // TrvActionSuperscript
  'WЦr', 'WЦr|ഫҿ諸rWЦr',
  // TrvActionInsertFootnote
  '}(&F)', '}|J}',
  // TrvActionInsertEndnote
  '`(&E)', '`|J`',
  // TrvActionEditNote
  's(&D)', 's|}ls}γ`',
  '(&H)', '|éܩҿq',    
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // TrvActionStyleTemplates
  '˦(&S)...', '˦|}Ҽ˦޲zܤ',
  // TrvActionAddStyleTemplate
  'sW˦(&A)...', 'sW˦|إ߷srάq˦',
  // TrvActionClearFormat,
  'M榡(&C)', 'M榡|MҿqҦrPq榡]w',
  // TrvActionClearTextFormat,
  'Mr榡(&T)', 'Mr榡|MҿrҦ榡]w',
  // TrvActionStyleInspector
  '˦ˬd(&I)', '˦ˬd|ܩ [˦ˬd]',
  {$ENDIF}
  // button captions: OK, Cancel, Close, Insert, Open, Save, Clear, Help, Remove -------
   'Tw', '', '', 'J', '}(&O)...', 'xsɮ(&S)...', 'M(&C)', '', '',
  // Others  -------------------------------------------------------------------
  // percents
  'ʤ',
  // left, top, right, bottom sides
  '', 'W', 'k', '',
  // save changes? confirm title
  'xsҰܧ %s?', 'T{',
  // warning: losing formatting
  '%s i]tPҿܪxs榡ۮeS.'#13+
  'ATwnϥΦ榡xs?',
  // RVF format name
  'RichView 榡',
  // Error messages ------------------------------------------------------------
  '~',
  'ɮŪ~.'#13#13'i]:'#13'- ε{䴩ɮ׮榡;'#13+
  '- ɮץl;'#13'- ɮפwQLε{}ҩγ.',
  'Ū~.'#13#13'i]:'#13'- ε{䴩ɮץ]tɮ榡;'#13+
  '- ɮץ]t;'#13+
  '- ɮץl;'#13'- ɮפwQLε{}ҩγ.',
  'xsɮ׿~.'#13#13'i]:'#13'- ϺЪŶ;'#13+
  '- ϺЬgA;'#13'- ʦxs˸mJ;'#13+
  '- ɮפwQLε{}ҩγ;'#13'- Ϻxs˸mla.',
  // File filters --------------------------------------------------------------
  // RVF, RTF, XML (for RichViewXML)
  'RichView ɮ (*.rvf)|*.rvf',  'RTF ɮ (*.rtf)|*.rtf' , 'XML ɮ (*.xml)|*.xml',
  // Text - ansi, unicode, auto
  '¤r (*.txt)|*.txt', 'r - зǽsX (*.txt)|*.txt', 'r - ۰ʰ (*.txt)|*.txt',
  // open html (RVHtmlImporter), save HTML with CSS, save HTML without CSS
  ' (*.htm;*.html)|*.htm;*.html', ' (*.htm;*.html)|*.htm;*.html',
  ' - ² (*.htm;*.html)|*.htm;*.html',
  // DocX
   'Microsoft Word  (*.docx)|*.docx',
  // Search and replace --------------------------------------------------------
  // Search complete; String not found
  'jM', 'jMr ''%s'' LŦXG.',
  // 1 string replaced; Several strings replaced
  '1 ӦrQN.', '%d ӦrQN.',
  // continue from beginning? end?
  // continue search from the beginning/end?
  'wܤ󪺵Anۤ}Y~ثeʧ@?',
  'wܤ󪺶}YAnۤ󵲧~ثeʧ@??',
  // Colors -------------------------------------------------------------------
  // Transparent, Auto
  'z', '۰ʿ',
  // Black, Brown, Olive Green, Dark Green, Dark Teal, Dark blue, Indigo, Gray-80%
  '', '', 'V', '`', '`ź', '`', 'C', 'ǫ-80%',
  // Dark Red, Orange, Dark Yellow, Green, Teal, Blue, Blue-Gray, Gray-50%
  '`', '', 't', '', 'ź', '', '-', 'ǫ-50%',
  // Red, Light Orange, Lime, Sea Green, Aqua, Light Blue, Violet, Grey-40%
  '', 'H', 'H', '', '', 'H', 'ŵ', 'ǫ-40%',
  // Pink, Gold, Yellow, Bright Green, Turquoise, Sky Blue, Plum, Gray-25%
  '', '', '', 'G', 'C', 'Ѫ', '', 'ǫ-25%',
  // Rose, Tan, Light Yellow, Light Green, Light Turquoise, Pale Blue, Lavender, White
  '', '', 'H', 'H', 'HC', 'G', 'H', '',
  // color picker buttons: Transparent, Auto, More Colors, Default
  // (correspond to color names, but have hotkeys)
  'z(&A)', '۰ʿ(&A)', 'hC(&M)...', 'w](&D)',
  // Background Form -----------------------------------------------------------
  // Title, Color label, Position group-box, Background group-box, Sample text
  'I', 'C(&O):', 'm', 'I', 'dr.',
  //positions: None, Full Window, Fixed Tiles, Tiles, Center,
  'L(&N)', 'Ԫ(&R)', 'Tw(&I)', '(&T)', 'm(&E)',
  // Padding button
  'PضZ(&P)...',
  // Fill Color Form -----------------------------------------------------------
  // Title, Apply to, More Colors button, Padding button, Please select color
  'Jm', 'ϥΩ(&A):', 'hm(&M)...', 'PضZ(&P)...',
  'пܤ@C',
  // [apply to:] text, paragraph, table, cell
  'r', 'q' , '', 'xs',
  // Font Form -----------------------------------------------------------------
  // Title, Font tab, Layout tab
  'r', 'r', '~[',
  // Font Name, Font Size labels, Font Style group-box, Bold, Italic check-boxes
  'r(&F):', 'jp(&S)', '˦', '(&B)', '(&I)',
  // Script, Color, Back color labels, Default charset
  'Ѽg(&R):', 'm(&C):', 'I(&K):', '(w])',
  // Effects group-box, Underline, Overline, Strikethrough, All Caps
  'ĪG', 'u(&U)', 'Wнu(&O)', 'Ru(&T)', 'jgr(&A)',
  // Sample, Sample text
  'd', 'dr',
  // Spacing group-box, Spacing label, Expanded, Condensed,
  'rZ', 'Z(&S):', 'Xj(&E)', 'Yp(&C)',
  // Offset group-box, Offset label, Down, Up,
  'hY', 'hY(&O):', 'VU(&D)', 'VW(&U)',
  // Scaling group-box, Scaling
  'Y', 'Yż(&A):',
  // Sub/super script group box, Normal, Sub, Super
  'UЦrPWЦr', '`(&N)', 'UЦr(&B)', 'WЦr(&P)',
  // 4 Sides Form --------------------------------------------------------------
  // Default Title; Top, Left, Bottom, Right, Equal values check-box
  'PضZ', 'W(&T):', '(&L):', '(&B):', 'k(&R):', '۵(&E)',
  // Hyperlink Form ------------------------------------------------------------
  // Title, Group-box Title, Text, Target, <<Selected Fragment>>
  'JWs', 'Ws', 'r(&E):', 'ؼ(&T)', '<<>>',
  // cannot open URL
  'Lks "%s"',
  // hyperlink properties button, hyperlink style
  'ۭq(&C)...', '˦(&S):',
  // Hyperlink Properties Form -------------------------------------------------
  // Title, Group-boxes: Normal colors, Active (highlight) Colors
  'Wsݩ', '@몬AC', '@ΤAC',
  // Text [color], Background [color]
  'r(&T):', 'I(&B)',
  // Underline [color]
  'u(&N):', 
  // Text [color], Background [color] (different hotkeys)
  'r(&E):', 'I(&A)',
  // Underline [color], Attributes group-box,
  'u(&N):', 'ݩ',
  // Underline type: always, never, active (below the mouse)
  'u(&U):', 'û', '', '@Τ',
  // Same as normal check-box
  'pP@(&N)',
  // underline active links check-box
  'N@Τs[Wu(&U)',
  // Insert Symbol Form --------------------------------------------------------
  // Title, Font name, Character set, Unicode
  'JŸ', 'r(&F):', 'r(&C):', 'зǽsX',
  // Unicode block
  '϶:(&B)',  
  // Character Code, Character Unicode Code, No Character
  'rsX: %d', 'rsX: зǽsX %d', '(Lr)',
  // Insert Table Form ---------------------------------------------------------
  // Title, Table size group-box, nCols, nRows, 
  'J', 'jp', '(&C):', 'C(&R):',
  // Table layout group-box, Autosize, Fit, Manual size,
  '~[', '۰ʤjp(&A)', 'վܵjp(&W)', 'ʽվjp(&M)',
  // Remember check-box
  'OгWȵsϥ(&D)',
  // VAlign Form ---------------------------------------------------------------
  'm',  
  // Item Properties Form ------------------------------------------------------
  // Default checkbox
  {*} 'Default',
  // Title; Image, Position and size, Line, Table, Rows, Cells tabs
  'ݩ', '', 'mPjp', 'u', '', 'C', 'xs',
  // Image Appearance, Image Misc, Number tabs
   '~[', 'L', 's',
  // Box position, Box size, Box appearance tabs
   'm', 'jp', '~[',
  // Preview label, Transparency group-box, checkbox, label 
  'w:', 'z', 'z(&T)', 'zm(&C):',
  // change button, save button, no transparent color (use color right-bottom pixel)
  'ܧ(&H)...', 'xs(&S)...', '۰ʿ',
  // VAlign group-box (used 3 times) and label, bottom-baseline, middle-baseline, top, bottom, middle
  '', '(&A):',
  'ru', 'ru',
  'aW', 'aU', 'm',
  // align to left side, align to right side
  '', 'k',    
  // Shift By label, Stretch group box, Width, Height, Default size
  '첾(&S):', 'Xj', 'e(&W):', '(&H):', 'w]jp: %d x %d',
  // Scale proportionally checkbox, Reset ("no stretch") button
   'Y(&P)', '](&R)',
  // Inside the border, border, outside the border groupboxes
   'ؽu', 'ؽu', '~ؽu',
  // Fill color, Padding (i.e. margins inside border) labels
   '񺡦m(&F):', 'PضZ(&P):',
  // Border width, Border color labels
   'ؽue(&W):', 'ؽum(&C):',
  // Horizontal and vertical spacing (i.e. margins outside border) labels
   'Z(&H):', 'Z(&V):',
  // Miscellaneous groupbox, Tooltip label
   'L', 'u㴣(&T):',
  // web group-box, alt text
  '', 'Nr(&T):',
  // Horz line group-box, color, width, style
  'u', 'm(&C):', 'e(&W):', '˦(&S):',
  // Table group-box; Table Width, Color, CellSpacing,
  '', 'e(&W):', 'Jm(&F):', 'xs涡Z(&C)...',
  // Horizontal cellpadding, Vertical cellpadding, Border&Background groupbox
   'xsضZ(&H):', 'xsضZ(&V):', 'ؽuPI',
  // Visible table border sides button, auto width (in combobox), auto width label
   'ܮؽu|P(&B)...', '۰', '۰',
  // Keep row content together checkbox
   'e(&K)',
  // Rotation groupbox, rotations: 0, 90, 180, 270
   '', 'L(&N)', '90 (&9)', '180 (&1)', '270 (&2)',
  // Cell border label, Visible cell border sides button,
   'ؽu:', 'ܮؽu|P(&O)...',
  // Border, CellBorders buttons
  '(&T)...', 'xs(&C)...',
  // Table border, Cell borders dialog titles
  '', 'w]xs',
  // Table Printing group-box, KeepOnPage checkbox, HeadingRows, HeadingRowsTip labels
  'CL', 'ObP@(&K)', 'YC(&H):',
  'ƻsYCCC@',
  // top, center, bottom, default
  'W(&T)', '(&C)', '(&B)', 'w](&D)',
  // Cell Settings group-box, BestWidth, BestHeight, FillColor
  ']w', 'ne(&W):', '̤p(&H):', 'Jm(&F):',
  // Cell Border group-box,, VisibleSides; shadow, light, border colors
  '', 'i:',  'vC(&O):', 'GC(&L)', 'C(&O):',
  // Background image
  'Ϥ(&I)...',
  // Horizontal position, Vertical position, Position in text groupboxes and listitems
   'm', 'm', 'brm',
  // Position types: align, absolute, relative
   '', 'm', '۹m',
  // [Align] left side, center, right side
   'PUCإ',
   'PUCؤ',
   'kPUCإk',
  // [Align] top side, center, bottom side
   'WPUCؤW',
   'PUCؤ',
   'UPUCؤU',
  // [Align] relative to
   '۹',
  // [Position] to the right of the left side of
   'UCإk',
  // [Position] below the top side of
   'UCؤW誺U',
  // Anchors: page, main text area (x2)
   '(&P)', 'Dnrϰ(&M)', '(&A)', 'Dnrϰ(&X)',
  // Anchors: left margin, right margin
   '(&L)', 'k(&R)',
  // Anchors: top margin, bottom margin, inner margin, outer margin
   'W(&T)', 'U(&B)', '(&I)', '~(&O)',
  // Anchors: character, line, paragraph
   'r(&C)', '(&I)', 'q(&G)',
  // Mirrored margins checkbox, layout in table cell checkbox
   'ɥk(&E)', 'xs椤tm(&Y)',
  // Above text, below text
   'brW(&A)', 'brU(&B)',
  // Width, Height groupboxes, Width, Height labels
   'e', '', 'e(&W):', '(&H):',
  // Auto height label, Auto height combobox item
   '۰', '۰',
  // Vertical alignment groupbox; alignments: top, center, bottom
   '', 'aW(&T)', 'm(&C)', 'aU(&B)',
  // Border and background button and title
   'ؽuPI(&O)...', 'ؽuPI',
  // Paste Special Form --------------------------------------------------------
  //Title, Label; Formats: RTF, HTML, Text, UnicodeText, BMP, WMF, graphic files
  'ܩʶKW', 'KW(&P):', 'Rich text 榡', '榡',
  '¤r', 'зǽsXr', 'Ix}VqϤ', 'Metafile Ϥ',
  'ϧɮ',  'URL',
  // Options group-box, styles
  'ﶵ', '˦(&S):',
  // style options: apply target styles, use source styles, ignore styles
  'MΥؼФ󪺼˦', 'O˦P~[',
  'O~[A˦',
  // List Gallery Form ---------------------------------------------------------
  // Title; Bulleted, Numbered tabs; Bulleted, Numbered group-boxes
  'زŸPs', 'wsزŸ', 'ws', 'زŸM', 'sM',
  // Customize, Reset, None
  'ۭq(&C)...', '](&R)', 'L',
  // Numbering: continue, reset to, create new
  'e@sM', 's}ls', 'إ߷ssM, _lȬ',
  // List Gallery 2 Form (HTML) -----------------------------------------------
  // Numbering type
  'jgþ', 'jgù', 'p', 'pgþ', 'pgù',
  // Bullet type
  'Ť߶', '߶', '',
  // Level, Start from, Continue numbering, Numbering group-box
  'h(&L):', '_I(&S):', '~(&C)', 's',
  // Customize List Form -------------------------------------------------------
  // Title, Levels, Level count, List properties, List type,
  'ۭqM', 'h', 'hż(&C):', 'Mݩ', 'M櫬A(&L):',
  // List types: bullet, image
  'زŸ', '', 'JƦr|',
  // Number format, Number, Start level from, Font button
  's榡(&N):', 's', 'hŰ_l(&S):', 'r(&F)...',
  // Image button, bullet character, Bullet button,
  '(&I)...', 'زŸr(&H)', 'زŸ(&B)...',
  // Position of list text, bullet, number, image, text
  'Mrm', 'زŸm', 'sm', 'ɦm', 'rm',
  // at, left indent, first line indent, from left indent
  'b(&A):', 'Y(&E):', 'Ĥ@Y(&F):', 'ѥY',
  // [only] one level preview, preview
  '@hw(&O)', 'w',
  // Preview text
  'r r r r r. r r r r r. r r r r r. r r r r r. r r r r r. r r r r r.',
  // marker align: left side of marker is aligned [at ...],
  // right side of marker is aligned [at ...], center of marker is aligned [at ...]
  'a', 'ak', 'm',
  // level #, this level (for combo-box)
  'h %d', 'o@h',
  // Marker character dialog title
  's趵زŸr',
  // Paragraph Border and Backgound Form ---------------------------------------
  // Title; Border, Background tabs
  'qػPI', '', 'I',
  // Settings group-box; Color, Width, Internal width labels; Offsets button
  ']w', 'C(&C):', 'e(&W):', 'e(&E):', 'hY(&F)...',
  // Sample, Border type group-boxes;
  'd', 'ؽuA',
  // Border types: none, single, double, tripple, thick inside, thick outside
  'L(&N)', '@(&S)', '(&D)', 'T(&T)', '[(&I)', '~[(&O)',
  // Fill color group-box; More colors, padding buttons
  'Jm', 'hm(&M)...', 'PضZ(&P)...',
  // preview text
  'r r r r r. r r r r r. r r r r r.',
  // title and group-box in Offsets dialog
  'hY', 'ذhY',
  // Paragraph Form ------------------------------------------------------------
  // Form title; Alignment group-box; alignments: left, right, center, justify, distribute
  'q', '', 'a(&L)', 'ak(&R)', 'm(&C)', 'k(&J)', {*} '&Distribute',
  // Last line alignment, auto, left, right, center, justify
  {*} 'Las&t line:', 'auto', 'left', 'right', 'center', 'both',
  // Spacing group-box; spacing before, after, between lines, [spacing] by
  'Z', 'be(&B):', 'b(&A):', 'Z(&S):', '(&Y):',
  // Indents group-box; indents: left, right, first line
  'Y', '(&E):', 'k(&G):', 'Ĥ@(&F):',
  // indented, hanging
  'Y(&I)', '(&H)Y', 'd',
  // line spacing: single, 1.5 lines, double, at least, exactly, multiple
  '', '1.5 氪', '氪', '̤p氪', 'Tw氪', 'h氪',
  // preview text
  'r r r r r. r r r r r. r r r r r. r r r r r. r r r r r. r r r r r.',
  // tabs: Indents and spacing, Tabs, Advanced
  'YƻP', 'ХܲŸ', {*} 'Advanced',
  // tab stop position label; buttons: set, delete, delete all
  'Хܰm(&T):', ']w(&S)', 'R(&D)', 'R(&A)',
  // tab align group; left, right, center aligns,
  '', 'a(&L)', 'ak(&R)', 'm(&C)',
  // leader radio-group; no leader
  'emŸ', '(L)',
  // tab stops to be deleted, delete none, delete all labels
  'RХܰŸ:', '(L)', '',
  // Pagination group-box, keep with next, keep lines together
  '', 'PUqP(&K)', 'q(&K)',
  // Outline level, Body text, Level #
  'jh(&O):', '', ' %d h',  
  // Preview Form --------------------------------------------------------------
  // Title; page width, full pages; pages label
  'wCL', 'e', '㭶', ':',
  // Invalid Scale, [page #] of #
  'пJ 10  500 Ʀr', ' %d',
  // Hints on buttons: first, prior, next, last pages
  'Ĥ@', 'W@', 'U@', 'W@',
  // Cell Spacing Form ---------------------------------------------------------
  // Title, groupbox, between cells, from table border to cells
  'xs涡Z', 'Z', 'xs椧', 'ئxs',
  // vertical, horizontal (x2)
  ':(&V)', ':(&H)', ':(&V)', ':(&H)', 
  // Table Borders Form --------------------------------------------------------
  // Title; Settings group-box; Color, light color, shadow color
  '', ']w', 'C(&C):', 'GC(&L):', 'vC(&C):',
  // Width; Border type group-box;
  'e(&W):', 'ؽuA',
  // Border types: none, sunken, raised, flat
  'L(&N)', 'UH(&S)', 'WY(&R)', '(&F)',
  // Split Cells Form ----------------------------------------------------------
  // title, group-box
  '', 'Φ',
  // split to specified number of rows and cols, split to original cells (unmerge)
  'wCP(&S)', 'xs(&O)',
  // number of columns, rows, merge before
  '(&C):', 'C(&R):', 'ΫeX(&M)',
  // to original cols, rows check-boxes
  'Φܭ(&L)', 'ΦܭӦC(&W)',
  // Add Rows form -------------------------------------------------------------
  'W[C', 'C(&C):',
  // Page Setup form -----------------------------------------------------------
  // title, Page tab, Header&Footer tab
  ']w', '', 'P',
  // margins group-box, left, right, top, bottom
  ' ()',' (^T)', '(&L):', 'W(&T):', 'k(&R):', 'U(&B):',
  // mirror margins check-box
  '۵(&M)',
  // orientation group-box, portrait, landscape
  'XV', '(&P)', '(&A)',
  // paper group-box, paper size, default paper source
  'ȱi', 'jp(&Z):', 'ӷ(&S):',
  // header group-box, print on the first page, font button
  '', 'r(&T):', 'Ĥ@(&H)', 'r(&F)...',
  // header alignments: left, center, right
  'm(&L)', 'm(&C)', 'mk(&R)',
  // the same for footer (different hotkeys)
  '', 'r(&X):', 'Ĥ@(&P)', 'r(&O)...',
  'm(&E)', 'm(&N)', 'mk(&I)',
  // page numbers group-box, start from
  '', '_l(&S):',
  // hint about codes
  'SrզX:'#13'&&p - ; &&P - ĴX; &&d - {b; &&t - {bɶ.',
  // Code Page form ------------------------------------------------------------
  // title, label
  'rɮצrX', 'ɮ׽sX(&C):',
  // thai, japanese, chinese (simpl), korean
  '', '', ' (²)', '',
  // chinese (trad), central european, cyrillic, west european
  ' (c)', 'ڻPFڤr', 'ԤҤ', 'ڤr',
  // greek, turkish, hebrew, arabic
  'þ', 'gը', 'ƧBӤ', 'ԧB',
  // baltic, vietnamese, utf-8, utf-16
  'iù', 'Vn', 'Unicode (UTF-8)', 'Unicode (UTF-16)',
  // Style form ----------------------------------------------------------------
  'ı˦', 'ܼ˦(&S):',
  // Delimiter form ------------------------------------------------------------
  // title, label
  'ഫr', 'ܤjŸ(&D):',
  // line break, tab, ';', ','
  'Ÿ', 'wI', '', 'r',
  // Table sort form -----------------------------------------------------------
  // error message
  'LkƧǥ]tX֦C',
  // title, main options groupbox
  'Ƨ', 'Ƨ',
  // sort by column, case sensitive
  'Ƨ(&S):', 'Ϥjpg(&C)',
  // heading row, range or rows
  'ưDC(&H)', 'nƧǪC:q %d  %d',
  // order, ascending, descending
  '', 'W(&A)', '(&D)',
  // data type, text, number
  '', 'r(&T)', 'Ʀr(&N)',
  // Insert number form --------------------------------------------------------
  // title, properties groupbox, counter name, numbering type
   'Js', 'ݩ', 'pƾW(&C):', 's(&N):',
  // numbering groupbox, continue, start from
   's', '~(&O)', '}Y(&S):',
  // Insert caption form -------------------------------------------------------
  // title, label, exclude label checkbox
   'D', '(&L):', 'NұưD~(&E)',
  // position radiogroup
   'm', 'bҿ磌W(&A)', 'bҿ磌U(&B)',
  // caption text
   'Dr(&T):',
  // Default sequences ---------------------------------------------------------
  // numbering, figure, table
   's', 'Ϫ', '',
  // visible sides form --------------------------------------------------------
  // Title, Groupbox
   'ܮؽu|P', 'ؽu',
  // Left, Top, Right, Bottom checkboxes
   '(&L)', 'W(&T)', 'k(&R)', 'U(&B)',
  // Ruler ---------------------------------------------------------------------
  // Hints: table column resize, row resize
  'վe', 'վC',
  // Hints on indents: first line, left (together with first), left (without first), right
  'Y', 'Y', 'QY', 'kY',
  // Hints on lists: up one level (left), down one level (right)
  'W@h', 'U@h',
  // Hints for margins: bottom, left, right and top
  'U', '', 'k', 'W',
  // Hints for tabs: left, right, center, decimal (reserved) aligned
  'aаO', 'akаO', 'mаO', 'ƦrаO',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // Standard styles -----------------------------------------------------------
  // Normal, Normal Indent, No Spacing, Heading %d, List Paragraph
  '`', 'Y', 'LZ', 'D %d', 'Mq',
  // Hyperlink, Title, Subtitle
  'Ws', 'D', 'ƼD',
  // Emphasis, Subtle Emphasis, Intense Emphasis, Strong
  'j', 'ϧOj', 'Aj', 'jղ',
  // Quote, Intense Quote, Subtle Reference, Intense Reference
  'ޤ', 'Aޤ', 'ϧOѦ', 'AѦ',
  // Block Text, HTML Variable, HTML Code, HTML Acronym,
  '϶r', 'HTML ܼ', 'HTML {X', 'HTML Yg',
  // HTML Definition, HTML Keyboard, HTML Sample, HTML Typewriter,
  'HTML wq', 'HTML L', 'HTML ˥', 'HTML r',
  // HTML Preformatted, HTML Cite, Header, Footer, Page Number
  'HTML w]榡', 'HTML ޥ', '', '', 'X',
  // Caption
   'D',
  // Endnote Reference, Footnote Reference, Endnote Text, Footnote Text
  '`Ѧ', '}Ѧ', '`r', '}r',
  // Sidenote Reference, Sidenote Text
   'ǵѦ', 'ǵr',
  // Style description ---------------------------------------------------------
  // color, background color, transparent, default [color], underline color,
  'm', 'Im', 'z', 'w]', 'um',
  // default background color, default text color, [color] same as text
  'w]Im', 'w]rm', 'PrۦP',
  // underline types: single, thick, double, dotted, thick dotted, dashed
  'u', 'ʽu', 'u', 'Iu', 'Iu', 'u',
  // underline types: thick dashed, long dashed, thick long dashed,
  'ʵu', 'u', 'ʪu',
  // underline types: dash dotted, thick dash dotted,
  'Iu', 'ʵIu',
  // underline types: dash dot dotted, thick dash dot dotted
  'IIu', 'ʵIIu',
  // sub/superscript: not, subsript, superscript
  'DU/W', 'U', 'W',
  // bi-di mode, inherited [bi-di mode], LTR, RTL
  'FҦ:', '~', 'ѥܥk', 'ѥkܥ',
  // bold, not bold
  '', 'D',
  // italic, not italic
  '', 'D',
  // underlined, not underlined, default underline
  'u', 'Du', 'w]u',
  // struck out, not struck out
  'Ru', 'DRu',
  // overlined, not overlined
  'u', 'Du',
  // all capitals: yes, all capitals: no
  'jg', 'jg',
  // vertical shift: none, by x% up, by x% down
  'L첾', 'VW첾 %d%%', 'VU첾 %d%%',
  // characters width [: x%]
  're',
  // character spacing: none, expanded by x, condensed by x
  'зǦrZ', 'rZ[e %s', 'rZY %s',
  // charset
  'WU',
  // default font, default paragraph, inherited attributes [of font, paragraph attributes, etc.]
  'w]r', 'w]q', '~',
  // [hyperlink] highlight, default hyperlink attributes
  'ش', 'w]',
  // paragraph alignment: left, right, center, justify, distribute
  'a', 'ak', 'm', 'k', {*} 'distributed',
  // last line alignment: auto, left, right, center, justify
  {*} 'last line is auto-aligned', 'last line is left aligned', 'last line is right aligned',
  {*} 'last line is centered', 'last line is aligned to both sides',
  // line height: x%, space between lines: x, line height: at least x, line height: exactly x
  '氪:%d%%', 'Z:%s', '氪: ̤ %s',
  '氪: Tw氪 %s',
  // no wrap, wrap
  'δ', '',
  // keep lines together: yes, no
  'q', 'q',
  // keep with next: yes, no
  'PUqP', 'PUqP',
  // read only: yes, no
  'Ū', 'is',
  // body text, heading level x
  'jh: ', 'jh:%d',
  // indents: first line, left, right
  'Y', 'Y', 'kY',
  // space before, after
  'PeqZ', 'PqZ',
  // tabs, no tabs, tab alignment, tab alignment: left, right, center
  'ХܲŸ', 'L', '', '', 'k', '',
  // tab leader (filling character)
  'emr',
  // no, yes
  '_', 'O',
  // [padding/spacing/side:] left, top, right, bottom
  '', 'W', 'k', 'U',
  // border: none, single, double, triple, thick inside, thick outside
  'L', 'u', 'u', 'Tu', '[', '~[',
  // background, border, padding, spacing [between text and border]
  'I', '', 'PضZ', 'Z',
  // border: style, width, internal width, visible sides
  '˦', 'e', 'e', 'i',
  // style inspector -----------------------------------------------------------
  // title
  '˦ˬd',
  // style, no style, paragraph, font, attributes (of font/paragraph)
  '˦', '(L)', 'q', 'r', 'ݩ',
  // border and background, hyperlink, standard [style]
  'ػP', 'Ws', '(з)',
  // Styles Form ---------------------------------------------------------------
  // title, style group-box
  '˦', '˦',
  // name, applicable to,
  'W(&N):', 'AΩ(&T):',
  // based on, based on (no &),
  'ھ(&B):', 'ھ:',
  //  next style, next style (no &)
  'ѫqϥΤ˦(&F):', 'ѫqϥΤ˦:',
  // quick access check-box, description and preview
  'ֳts(&Q)', 'yzPw(&P):',
  // [applicable to:] paragraph and text, paragraph, text
  'qPr', 'q', 'r',
  // text and paragraph styles, default font
  'rPq˦', 'w]r',
  // links: edit, reset, buttons: add, delete
  's', ']', 'sW(&A)', 'R(&D)',
  // add standard style, add custom style, default style name
  'sWзǼ˦(&S)...', 'sWۭq˦(&C)', '˦ %d',
  // choose style
  'ܼ˦(&S):',
  // import, export,
  'פJ(&I)...', 'ץX(&E)...',
  // Style Import Form ---------------------------------------------------------
  // RichViewStyles filter, load error, no styles
 'RichView ˦ (*.rvst)|*.rvst', 'Jɮ׮ɵoͿ~', 'ɮץ]t˦',
  // Title, group-box, import styles
  'qɮ׶פJ˦', 'פJ', 'פJ˦(&M):',
  // existing styles radio-group: Title, override, auto-rename
  '{˦', 'мg(&O)', 'sWsRW(&A)',
  // Select, Unselect, Invert,
  '(&S)', '(&U)', '(&I)',
  // select/unselect: all styles, new styles, existing styles
  'Ҧ˦(&A)', 's˦(&N)', '{˦(&E)',
  // Style Combo-box -----------------------------------------------------------
  // clear format, more styles
  '(M榡)', '(Ҧ˦)',
  // dialog title, prompt
  '˦', 'ܭnMΪ˦(&C):',
  {$ENDIF}
  // spelling check and thesaurus ----------------------------------------------
  'Pqr(&S)', 'L(&I)', '[Jr(&A)',
  // Progress messages ---------------------------------------------------------
  'bU %s', 'ǳƦCL...', 'bCL %d ',
  'q RTF ഫ...',  'q RTF ഫ...',
  'bŪ %s...', 'bgJ %s...', 'r',
  // Edit note -----------------------------------------------------------------
  // Titles: No note, Footnote, Endnote, Sidenote, Text box
   'L', '}', '`', 'ǵ', 'r'
  );


initialization
  RVA_RegisterLanguage(
    'Chinese (Big5)', // english language name, do not translate
     ' (Big5)', // native language name
    CHINESEBIG5_CHARSET, @Messages);

end.

