
{*******************************************************}
{                                                       }
{       RichViewActions                                 }
{       Czech translation                               }
{                                                       }
{       Copyright (c) Sergey Tkachenko                  }
{       svt@trichview.com                               }
{       http://www.trichview.com                        }
{                                                       }
{*******************************************************}
{ Translated by: Andrle Pavel 2003-04-09                }
{ Updated by: Pavel Polivka   2007-11-12                }
{             Ji Pibil     2011-02-19                }
{             Alconost        2012-11-02                }
{             Alconost        2014-05-01                }
{*******************************************************}

unit RVAL_Czech;
{$I RV_Defs.inc}    
interface
    
implementation
uses Windows, RVALocalize;
    
const
  Messages: TRVAMessages =
  (
  '',
  // units: inches, cm, mm, picas, pixels, points
  'palce', 'cm', 'mm', 'pica', 'pixely', 'body',
  // units : [n] inches, [n] cm, [n] mm, [n] picas, [n] pixels, [n] points
  '''''', 'cm', 'mm', 'pc', 'px', 'pt',  
  // not used in actions, but can be useful: common menus:
  // top-level menus: File, Format, Text, Paragraph, Insert, Table, Window, Help
  'Soubor', 'pravy', 'Formt', 'Psmo', 'Odstavec', 'Vloit', 'Tabulka', 'Okno', 'Npovda',
  // exit
  'Konec',
  // top-level menus: View, Tools,
  '&Zobrazit', 'N&stroje',
  // menus: Font size, Font style, Table select, Table cell align, table cell borders
  'Velikost', 'Styl', 'Vybra&t', 'Zarov&nn buky', 'Ohrani&en buky',
  // menus: Table cell rotation
  'Otoen &Buky',   
  // menus: Text flow, Footnotes/endnotes
  'Obtkn textu', 'Poznmky pod arou a vysvtlivky',
  // ribbon tabs: tab1, tab2, view, table
  'Dom', 'Pokroil', 'Zobrazen', 'Tabulka',
  // ribbon groups: clipboard, font, paragraph, list, editing
  'Schrnka', 'Psmo', 'Odstavec', 'Seznamy', 'pravy',
  // ribbon groups: insert, background, page setup,
  'Vloen', 'Pozad', 'Strnka',
  // ribbon groups: links, footnotes, document views, show/hide, zoom, options
  'Odkazy', 'Poznmky pod arou', 'Zobrazen dokument', 'Zobrazit/Skrt', 'Lupa', 'Nastaven',
  // ribbon groups on table tab: insert, delete, operations, borders
  'Vloit', 'Odstranit', 'pravy', 'Ohranien',
  // ribbon groups: styles 
  'Styly',
  // ribbon screen tip footer,
  'Stisknte F1 pro npovdu',
  // ribbon app menu: recent files, save-as menu title, print menu title
  'Naposledy oteven', 'Uloit jako...', 'Nhled a tisk dokumentu',
  // ribbon label: units combo
  'Jednotky:',       
  // actions -------------------------------------------------------------------
  // TrvActionNew
  'Nov', 'Nov|Vytvo nov dokument',
  // TrvActionOpen
  'Otevt...', 'Otevt|Oteve existujc dokument',
  // TrvActionSave
  'Uloit', 'Uloit|Ulo dokument',
  // TrvActionSaveAs
  'Uloit jako...', 'Uloit jako...|Ulo dokument pod novm nzvem',
  // TrvActionExport
  'Export...', 'Export|Export dokumentu do souboru jinho formtu',
  // TrvActionPrintPreview
  'Nhled', 'Nhled|Zobraz dokument ve tvaru, v jakm bude vytisknut',
  // TrvActionPrint
  'Tisk', 'Tisk|Vytiskne dokument na zvolen tiskrn',
  // TrvActionQuickPrint
  'Tisk', 'Rychl tisk', 'Rychl tisk|Okamit vytiskne dokument na standardn tiskrn',
   // TrvActionPageSetup
  'Vzhled strnky...', 'Vzhled strnky|Nastav okraje dokumentu, velikost papru, orientaci, zdroj, zhlav a zpat',
  // TrvActionCut
  'Vyjmout', 'Vyjmout|Odebere vybran text nebo objekt a vlo jej do schrnky',
  // TrvActionCopy
  'Koprovat', 'Koprovat|Zkopruje vybran text nebo objekt do schrnky',
  // TrvActionPaste
  'Vloit', 'Vloit|Vlo text nebo objekt ze schrnky na vybran msto',
  // TrvActionPasteAsText
  'Vloit jako text', 'Vloit jako text|Vlo obsah schrnky ve formtu prostho textu',  
  // TrvActionPasteSpecial
  'Vloit speciln...', 'Vloit speciln|Vlo obsah schrnky ve specilnm formtu',
  // TrvActionSelectAll
  'Vybrat ve', 'Vybrat ve|Vybere vechny poloky dokumentu',
  // TrvActionUndo
  'Zpt', 'Zpt|Vrt zpt posledn akci',
  // TrvActionRedo
  'Znovu', 'Znovu|Provede znovu posledn vrcenou akci',
  // TrvActionFind
  'Najt...', 'Najt|Vyhled textov etzec v dokumentu',
  // TrvActionFindNext
  'Najt dal', 'Najt dal|Vyhled nsledujc vskyt hledanho textu v dokumentu',
  // TrvActionReplace
  'Nahradit...', 'Nahradit|Nahrad hledan text v dokumentu jinm',
  // TrvActionInsertFile
  'Soubor...', 'Vloit soubor|Vlo obsah souboru do dokumentu',
  // TrvActionInsertPicture
  'Obrzek...', 'Vloit obrzek|Vlo obrzek do dokumentu',
  // TRVActionInsertHLine
  'Oddlova', 'Vloit oddlova|Vlo vodorovnou oddlovac ru',
  // TRVActionInsertHyperlink
  'Hypertextov odkaz...', 'Vloit hypertextov odkaz|Vlo hypertextov odkaz na WWW strnku nebo soubor',
  // TRVActionRemoveHyperlinks
  'Odstranit hypertextov odkazy', 'Odstranit hypertextov odkazy|Odstran vechny hypertextov odkazy z oznaenho textu',  
  // TrvActionInsertSymbol
  'Symbol...', 'Vloit symbol|Vlo speciln znak vbrem z tabulky znak',
  // TrvActionInsertNumber
  '&slo...', 'Vloit slo|Vlo slo',
  // TrvActionInsertCaption
  'Vloit &Popisek...', 'Vloit popisek|Vlo popisek k vzbranmu objektu',
  // TrvActionInsertTextBox
  '&Textov Pole', 'Vloit Textov Pole|Vlo textov pole',
  // TrvActionInsertSidenote
  '&Poznmka na okraj', 'Vloit Poznmku na Okraj|Vlo poznmku na okraj',
  // TrvActionInsertPageNumber
  '&slo strnky', 'Vloit slo strnky|Vlo slo strnky',
  // TrvActionInsertPageCount
  {*} 'Page Count', 'Insert Page Count|Inserts a count of pages',
  // TrvActionParaList
  'Odrky a slovn...', 'Odrky a slovn|Definice stylu odrek a slovn vybranho odstavce',
  // TrvActionParaBullets
  'Odrky', 'Odrky|Vlo nebo odebere odrku pro vybran odstavec',
  // TrvActionParaNumbering
  'slovn', 'slovn|Vlo nebo odebere slovn pro vybran odstavec',
  // TrvActionColor
  'Barva pozad dokumentu...', 'Barva pozad dokumentu|Zmn barvy pozad dokumentu',
  // TrvActionFillColor
  'Barva pozad...', 'Barva pozad|Zmn barvu pozad textu, odstavce, buky, tabulky nebo dokumentu',
  // TrvActionInsertPageBreak
  'Vloit oddlova strnky', 'Vloit oddlova strnky|Vlo oddlova strnky',
  // TrvActionRemovePageBreak
  'Odstranit oddlova strnky', 'Odstranit oddlova strnky|Odstran oddlova strnky',
  // TrvActionClearLeft
  'Neobtkat text zleva', 'Neobtkat text zleva|Umst odstavec pod jakkoliv obrzek zarovnan vlevo',
  // TrvActionClearRight
  'Neobtkat text zprava', 'Neobtkat text zprava|Umst odstavec pod jakkoliv obrzek zarovnan pravo',
  // TrvActionClearBoth
  'Neobtkat text zleva ani zprava', 'Neobtkat text zleva ani zprava|Umst odstavec pod jakkoliv obrzek zarovnan vlevo nebo vpravo',
  // TrvActionClearNone
  '&Normln obtkn textu', 'Normln obtkn textu|Umon obtkn textu kolem obrzk zarovnanch vlevo i vpravo',
  // TrvActionVAlign
  '&Pozice objektu...', 'Pozice objektu|Zmn pozici vybranho objektu',    
  // TrvActionItemProperties
  'Vlastnosti objektu...', 'Vlastnosti objektu|Nastav vlastnosti vybranho objektu',
  // TrvActionBackground
  'Pozad dokumentu...', 'Pozad dokumentu|Nastav obrzek, barvu pozad dokumentu',
  // TrvActionParagraph
  'Odstavec...', 'Odstavec|Nastaven vlastnost vybranho odstavce',
  // TrvActionIndentInc
  'Zvtit odsazen', 'Zvtit odsazen|Zvt vzdlenost vybranho odstavce od levho okraje strnky',
  // TrvActionIndentDec
  'Zmenit odsazen', 'Zmenit odsazen|Zmen vzdlenost vybranho odstavce od levho okraje strnky',
  // TrvActionWordWrap
  'Zalamovn dku', 'Zalamovn dku|Nastav nebo zru zalamovn dku vybranho odstavce',
  // TrvActionAlignLeft
  'Zarovnat vlevo', 'Zarovnat vlevo|Zarovn text vybranho odstavce k levmu okraji strnky',
  // TrvActionAlignRight
  'Zarovnat vpravo', 'Zarovnat vpravo|Zarovn text vybranho odstavce k pravmu okraji strnky',
  // TrvActionAlignCenter
  'Zarovnat na sted', 'Zarovnat na sted|Zarovn text vybranho odstavce na sted strnky',
  // TrvActionAlignJustify
  'Zarovnat do bloku', {*} 'Zarovnat do bloku|Zarovn text vybranho odstavce do bloku, adding space between words if necessary',
  // TrvActionAlignDistribute
  {*} '&Distribute', 'Distribute|Aligns the selected text to both left and right sides, adding space between characters if necessary',
  // TrvActionParaColor
  'Barva pozad odstavce...', 'Barva pozad odstavce|Zmn barvu pozad vybranho odstavce',
  // TrvActionLineSpacing100
  'Jednoduch dkovn', 'Jednoduch dkovn|Nastav jednoduch dkovn odstavce',
  // TrvActionLineSpacing150
  'dkovn 1,5 dku', 'dkovn 1,5 dku|Nastav dkovn odstavce na vku 1,5 nsobek vky dku',
  // TrvActionLineSpacing200
  'Dvojit dkovn', 'Dvojit dkovn|Nastav dkovn odstavce na dvojitou vku dku',
  // TrvActionParaBorder
  'Ohranien a pozad odstavce...', 'Ohranien a pozad odstavce|Nastav ohranien a pozad vybranho odstavce',
  // TrvActionInsertTable
  'Vloit tabulku...', 'Tabulka', 'Vloit tabulku|Vlo novou tabulku',
  // TrvActionTableInsertRowsAbove
  'Vloit dek ped', 'Vloit dek ped|Vlo nov dek do tabulky ped vybranou buku',
  // TrvActionTableInsertRowsBelow
  'Vloit dek za', 'Vloit dek za|Vlo nov dek do tabulky za vybranou buku',
  // TrvActionTableInsertColLeft
  'Vloit sloupec vlevo', 'Vloit sloupec vlevo|Vlo sloupec vlevo od vybran buky',
  // TrvActionTableInsertColRight
  'Vloit sloupec vpravo', 'Vloit sloupec vpravo|Vlo sloupec vpravo od vybran buky',
  // TrvActionTableDeleteRows
  'Odstranit dky', 'Odstranit dky|Odstran vybran dky z tabulky',
  // TrvActionTableDeleteCols
  'Odstranit sloupce', 'Odstranit sloupce|Odstran vybran sloupce z tabulky',
  // TrvActionTableDeleteTable
  'Odstranit tabulku', 'Odstranit tabulku|Odstran tabulku',
  // TrvActionTableMergeCells
  'Slouit buky', 'Slouit buky|Slou vybran buky v jednu',
  // TrvActionTableSplitCells
  'Rozdlit buku...', 'Rozdlit buku|Rozdl buku na poadovan poet buek',
  // TrvActionTableSelectTable
  'Vybrat tabulku', 'Vybrat tabulku|Vybere celou tabulku',
  // TrvActionTableSelectRows
  'Vybrat dek', 'Vybrat dek|Provede vbr celho dku',
  // TrvActionTableSelectCols
  'Vybrat sloupec', 'Vybrat sloupec|Provede vbr celho sloupce',
  // TrvActionTableSelectCell
  'Vybrat buku', 'Vybrat buku|Provede vbr cel buky',
  // TrvActionTableCellVAlignTop

  'Zarovnat buku nahoru', 'Zarovnat buku nahoru|Zarovn zobrazen text v buce k jejmu hornmu okraji',
  // TrvActionTableCellVAlignMiddle
  'Zarovnat buku na sted', 'Zarovnat buku na sted|Zarovn zobrazen text v buce na sted',
  // TrvActionTableCellVAlignBottom
  'Zarovnat buku dol', 'Zarovnat buku dol|Zarovn zobrazen text v buce k jejmu dolnmu okraji',
  // TrvActionTableCellVAlignDefault
  'Standardn zarovnn buky', 'Standardn zarovnn buky|Nastav standardn svisl zarovnn buky',
  // TrvActionTableCellRotationNone
  '&Bez otoen buky', 'Bez otoen buky|Oto obsah buky o 0',
  // TrvActionTableCellRotation90
  'Otoit buku o &90', 'Otoit buku o 90|Oto obsah buky o 90',
  // TrvActionTableCellRotation180
  'Otoit buku o &180', 'Otoit buku o 180|Oto obsah buky oy 180',
  // TrvActionTableCellRotation270
  'Otoit buku o &270', 'Otoit buku o 270|Oto obsah buky oy 270',
  // TrvActionTableProperties
  'Vlastnosti tabulky...', 'Vlastnosti tabulky|Nastav vlastnosti tabulky',
  // TrvActionTableGrid
  'Zobrazit mku', 'Zobrazit mku|Zobraz nebo skryje mku tabulky',
  // TRVActionTableSplit
  'Ro&zdlit tabulku', 'Rozdlit tabulku|Rozdl tabulku na dv samostatn od vybranho dku',
  // TRVActionTableToText
  'Pevst na te&xt...', 'Pevst na text|Pevede tabulku na text',
  // TRVActionTableSort
  '&Seadit...', 'Seadit|Sead dky tabulky',
  // TrvActionTableCellLeftBorder
  'Ohranien vlevo', 'Ohranien vlevo|Zobraz nebo skryje lev ohranien buky',
  // TrvActionTableCellRightBorder
  'Ohranien vpravo', 'Ohranien vpravo|Zobraz nebo skryje prav ohranien buky',
  // TrvActionTableCellTopBorder
  'Ohranien nahoe', 'Ohranien nahoe|Zobraz nebo skryje horn ohranien buky',
  // TrvActionTableCellBottomBorder
  'Ohranien dole', 'Ohranien dole|Zobraz nebo skryje spodn ohranien buky',
  // TrvActionTableCellAllBorders
  'Ohranien dokola', 'Ohranien dokola|Zobraz nebo skryje ohranien cel buky',
  // TrvActionTableCellNoBorders
  'Bez ohranien', 'Bez ohranien|Skryje cel ohranien vybran buky',
  // TrvActionFonts & TrvActionFontEx
  'Psmo...', 'Psmo|Zmna nastaven psma vybranho textu',
  // TrvActionFontBold
  'Tun', 'Tun|Nastav nebo zru tun zobrazen vybranho textu',
  // TrvActionFontItalic
  'Kurzva', 'Kurzva|Nastav nebo zru zobrazen vybranho textu kurzvou',
  // TrvActionFontUnderline
  'Podtren', 'Podtren|Nastav nebo zru podtren vybranho textu',
  // TrvActionFontStrikeout
  'Pekrtnut', 'Pekrtnut|Nastav nebo zru pekrtnut vybranho textu',
  // TrvActionFontGrow
  'Zvtit psmo', 'Zvtit psmo|Zvt vku vybranho textu o 10%',
  // TrvActionFontShrink
  'Zmenit psmo', 'Zmenit psmo|Zmen vku vybranho textu o 10%',
  // TrvActionFontGrowOnePoint
  'Zvtit psmo o 1 bod', 'Zvtit psmo o 1 bod|Zvt vku vybranho textu o 1 bod',
  // TrvActionFontShrinkOnePoint
  'Zmenit psmo o 1 bod', 'Zmenit psmo o 1 bod|Zmen vku vybranho textu o 1 bod',
  // TrvActionFontAllCaps
  'Vechna velk', 'Vechna velk|Zmn styl psma vybranho textu na vechny velk znaky',
  // TrvActionFontOverline
  'Nadtren', 'Nadtren|Nastav nebo zru vodorovnou linku nad vybranm textem',
  // TrvActionFontColor
  'Barva psma...', 'Barva psma|Zmn barvu vybranho textu',
  // TrvActionFontBackColor
  'Barva pozad psma...', 'Barva pozad psma|Zmn barvu pozad vybranho textu',
  // TrvActionAddictSpell3
  'Kontrola pravopisu', 'Kontrola pravopisu|Provede kontrolu pravopisu vybranho textu',
  // TrvActionAddictThesaurus3
  'Synonyma', 'Synonyma|Nabdne synonyma pro vybran slovo',
  // TrvActionParaLTR
  'Zleva doprava', 'Zleva doprava|Nastav smr textu na smr zleva doprava',
  // TrvActionParaRTL
  'Zprava doleva', 'Zprava doleva|Nastav smr textu na smr zprava doleva',
  // TrvActionLTR
  'Text zleva doprava', 'Text zleva doprava|Pro vybran text nastav smr textu na smr zleva doprava',
  // TrvActionRTL
  'Text zprava doleva', 'Text zprava doleva|Pro vybran text nastav smr textu na smr zprava doleva',
  // TrvActionCharCase
  'Mal / velk psmena', 'Mal / velk psmena|Zmn velikost psmen vybranho textu',
  // TrvActionShowSpecialCharacters
  '&Netisknuteln znaky', 'Netisknuteln znaky|Zobrazit nebo skrt netisknuteln znaky, nap. znaky odstavce, znaky tabultoru a mezery',
  // TrvActionSubscript
  'Do&ln index', 'Doln index|Konvertovat vybran text na doln index',
  // TrvActionSuperscript
  'Horn index', 'Horn index|Konvertovat vybran text na horn index',
  // TrvActionInsertFootnote
  'Poznmka pod arou', 'Poznmka pod arou|Vlo poznmku pod arou',
  // TrvActionInsertEndnote
  'Vysvtlivka', 'Vysvtlivka|Vlo vysvtlivku na konec dokumentu',
  // TrvActionEditNote
  'Editovat poznmku/vysvtlivku', 'Editovat poznmku/vysvtlivku|Umon editovat poznmku pod arou nebo vysvtlivku',
  '&Skrt', 'Skrt|Skryje nebo zobraz oznaen text',            
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // TrvActionStyleTemplates
  '&Styly...', 'Styly|Oteve dialog sprvy styl',
  // TrvActionAddStyleTemplate
  '&Pidat styl...', 'Pidat styl|Vytvo nov styl textu nebo odstavce',
  // TrvActionClearFormat,
  '&Vymazat formt', 'Vymazat formt|Vymae veker formtovn textu a odstavce z vybranho fragmentu',
  // TrvActionClearTextFormat,
  'Vymazat formt &textu', 'Vymazat formt textu|Vymae veker formtovn vybranho textu',
  // TrvActionStyleInspector
  'Kontrola &styl', 'Kontrola styl|Zobraz nebo skryje kontrolu styl',
  {$ENDIF}
  // button captions: OK, Cancel, Close, Insert, Open, Save, Clear, Help, Remove -------
   'OK', 'Storno', 'Zavt', 'Vloit', 'Otevt...', 'Uloit...', 'Vymazat', 'Npovda', 'Odstranit',
  // Others  -------------------------------------------------------------------
  // percents
  'procenta',
  // left, top, right, bottom sides
  'Lev strana', 'Horn strana', 'Prav strana', 'Spodn strana',
  // save changes? confirm title
  'Uloit proveden zmny do %s?', 'Potvrzen',
  // warning: losing formatting
  '%s obsaen objekt nebo formtovn nen podporovno ve vybranm formtu souboru.'#13+
  'Opravdu chcete pro uloen pout tento formt?',
  // RVF format name
  'RichView Formt',
  // Error messages ------------------------------------------------------------
  'Chyba',
  'Chyba pi natn souboru.'#13#13'Mon piny:'#13'- formt otevranho souboru nen podporovn v tto aplikaci;'#13+
  '- soubor je pokozen;'#13'- soubor je oteven a uzamknut jinou aplikac.',
  'Chyba pi natn obrzku.'#13#13'Mon piny:'#13'- formt obrzku nen podporovn touto aplikac;'#13+
  '- vybran soubor neobsahuje obrzek;'#13+
  '- soubor je pokozen;'#13'- soubor je oteven a uzamknut jinou aplikac.',
  'Chyba pi ukldn souboru.'#13#13'Mon piny:'#13'- nen msto na disku;'#13+
  '- disk je chrnn proti zpisu;'#13'- vmnn mdium nen vloeno;'#13+
  '- soubor je oteven a uzamknut jinou aplikac;'#13'- vmnn mdium je pokozeno.',
  // File filters --------------------------------------------------------------
  // RVF, RTF, XML (for RichViewXML)
  'RichView soubory (*.rvf)|*.rvf',  'RTF soubory (*.rtf)|*.rtf' , 'XML soubory (*.xml)|*.xml',
  // Text - ansi, unicode, auto
  'Textov soubory (*.txt)|*.txt', 'Textov soubory - Unicode (*.txt)|*.txt', 'Textov soubory - Autodetect (*.txt)|*.txt',
  // open html (RVHtmlImporter), save HTML with CSS, save HTML without CSS
  'HTML soubory (*.htm;*.html)|*.htm;*.html', 'HTML (*.htm;*.html)|*.htm;*.html',
  'HTML - zjednoduen (*.htm;*.html)|*.htm;*.html',
  // DocX
  'Dokumenty Microsoft Word (*.docx)|*.docx',
  // Search and replace --------------------------------------------------------
  // Search complete; String not found
  'Hledn dokoneno', 'Hledan etzec ''%s'' nenalezen.',
  // 1 string replaced; Several strings replaced
  '1 etzec nahrazen.', '%d etzc nahrazeno.',
  // continue from beginning? end?
  // continue search from the beginning/end?
  'Byl dosaen konec dokumentu, chcete pokraovat od zatku?',
  'Byl dosaen zatek dokumentu, chcete pokraovat od konce?',
  // Colors -------------------------------------------------------------------
  // Transparent, Auto
  'nen', 'automatick',
  // Black, Brown, Olive Green, Dark Green, Dark Teal, Dark blue, Indigo, Gray-80%
  'ern', 'Hnd', 'Olivov zelen', 'Tmav zelen', 'Tmav edozelen', 'Tmav modr', 'Indigov mod', 'ed-80%',
  // Dark Red, Orange, Dark Yellow, Green, Teal, Blue, Blue-Gray, Gray-50%
  'Tmav erven', 'Oranov', 'Tmav lut', 'Zelen', 'edozelen', 'Modr', 'Modroed', 'ed-50%',
  // Red, Light Orange, Lime, Sea Green, Aqua, Light Blue, Violet, Grey-40%
  'erven', 'Svtle oranov', 'lutozelen', 'Mosk zele', 'Akvamarinov', 'Svtle modr', 'Fialov', 'ed-40%',
  // Pink, Gold, Yellow, Bright Green, Turquoise, Sky Blue, Plum, Gray-25%
  'Rov', 'Zlat', 'lut', 'Jasn zelen', 'Tyrkysov', 'Nebesk mod', 'vestkov', 'ed-25%',
  // Rose, Tan, Light Yellow, Light Green, Light Turquoise, Pale Blue, Lavender, White
  'Svtle rov', 'lutooranov', 'Svtle lut', 'Svtle zelen', 'Svtle tyrkysov', 'Bled modr', 'Lavandulov', 'Bl',
  // color picker buttons: Transparent, Auto, More Colors, Default
  // (correspond to color names, but have hotkeys)
  'nen', 'automatick', 'vce barev...', 'standardn',
  // Background Form -----------------------------------------------------------
  // Title, Color label, Position group-box, Background group-box, Sample text
  'Pozad', 'Barva:', 'Pozice obrzku', 'Nhled', 'Ukzka textu.',
  //positions: None, Full Window, Fixed Tiles, Tiles, Center,
  'dn', 'cel okno', 'ukotven dladice', 'dladice', 'na sted',
  // Padding button
  'Odsazen textu...',
  // Fill Color Form -----------------------------------------------------------
  // Title, Apply to, More Colors button, Padding button, Please select color
  'Barva pozad', 'Pout na:', 'Vce barev...', 'Odsazen textu...',
  'Prosm vyberte barvu',
  // [apply to:] text, paragraph, table, cell
  'text', 'odstavec' , 'tabulku', 'buku',
  // Font Form -----------------------------------------------------------------
  // Title, Font tab, Layout tab
  'Psmo', 'Psmo', 'Proloen znak',
  // Font Name, Font Size labels, Font Style group-box, Bold, Italic check-boxes
  'Psmo:', 'Velikost:', 'ez psma', 'Tun', 'Kurzva',
  // Script, Color, Back color labels, Default charset
  'Skript:', 'Barva:', 'Po&zad:', '(Standardn)',
  // Effects group-box, Underline, Overline, Strikethrough, All Caps
  'Styl', 'Podtren', 'Nadtren', 'Pekrtnut', 'Vechna velk',
  // Sample, Sample text
  'Nhled', 'Ukzkov text',
  // Spacing group-box, Spacing label, Expanded, Condensed,
  'Mezery mezi znaky', 'O kolik:', 'rozen', 'zen',
  // Offset group-box, Offset label, Down, Up,
  'Umstn', 'O kolik:', 'snen', 'zven',
  // Scaling group-box, Scaling
  'Proloen znak', 'Mtko:',
  // Sub/super script group box, Normal, Sub, Super
  'Doln a horn indexy', '&Normn', 'D&oln index', 'Hor&n index',  
  // 4 Sides Form --------------------------------------------------------------
  // Default Title; Top, Left, Bottom, Right, Equal values check-box
  'Odsazen textu', 'Nahoe:', 'Vlevo:', 'Dole:', 'Vpravo:', 'Vechny stejn',
  // Hyperlink Form ------------------------------------------------------------
  // Title, Group-box Title, Text, Target, <<Selected Fragment>>
  'Vloit hypertextov odkaz', 'Odkaz', 'Text:', 'Cl', '<<vbr>>',
  // cannot open URL
  'Nelze pejt na "%s"',
  // hyperlink properties button, hyperlink style
  '&Vlastnosti...', '&Styl:',
  // Hyperlink Properties Form -------------------------------------------------
  // Title, Group-boxes: Normal colors, Active (highlight) olors
  'Vlastnosti hypertextovho odkazu', 'Barva odkazu', 'Aktivn barva',
  // Text [color], Background [color]
  'Text:', 'Pozad',
  // Underline [color]
  'P&odtren:', 
  // Text [color], Background [color] (different hotkeys)
  'Text:', 'Pozad',
  // Underline [color], Attributes group-box,
  'P&odtren:', 'Atributy',
  // Underline type: always, never, active (below the mouse)
  '&Podtren:', 'vdy', 'nikdy', 'aktivn',
  // Same as normal check-box
  'Standardn',
  // underline active links check-box
  '&Podtrhnout aktivn odkazy',
  // Insert Symbol Form --------------------------------------------------------
  // Title, Font name, Character set, Unicode
  'Vloit symbol', 'Psmo:', 'Znakov sada:', 'Unicode',
  // Unicode block
  '&Blok:',  
  // Character Code, Character Unicode Code, No Character
  'Kd znaku: %d', 'Kd znaku: Unicode %d', '(nen znak)',
  // Insert Table Form ---------------------------------------------------------
  // Title, Table size group-box, nCols, nRows, 
  'Vloit tabulku', 'Velikost tabulky', 'Poet sloupc:', 'Poet dk:',
  // Table layout group-box, Autosize, Fit, Manual size,
  'ka tabulky', 'Automatick', 'Rozthnout dle okna', 'Manuln nastaven',
  // Remember check-box
  'Pout jako vzor pro novou tabulku',
  // VAlign Form ---------------------------------------------------------------
  'Pozice',  
  // Item Properties Form ------------------------------------------------------
  // Default checkbox
  {*} 'Default',
  // Title; Image, Position and size, Line, Table, Rows, Cells tabs
  'Vlastnosti', 'Obrzek', 'Pozice a Rozmr', 'ra', 'Tabulka', 'dek', 'Buka',
  // Image Appearance, Image Misc, Number tabs
  'Vzhled', 'Rzn', 'slo',
  // Box position, Box size, Box appearance tabs
  'Pozice', 'Rozmr', 'Vzhled',
  // Preview label, Transparency group-box, checkbox, label
  'Nhled:', 'Transparentn', 'Transparentn', 'Transparentn barva:',
  // change button, save button, no transparent color (use color right-bottom pixel)
  'Zmnit...', '&Uloit...', 'automatick',
  // VAlign group-box (used 3 times) and label, bottom-baseline, middle-baseline, top, bottom, middle
  'Svisl zarovnn', 'Zarovnn:',
  'spodn hrana objektu na a textu', 'sted objektu na a textu',
  'horn hrana objektu na horn dotanici textu', 'doln hrana objektu na doln dotanici textu', 'sted objektu na sted dku',
  // align to left side, align to right side
  'vlevo', 'vpravo',      
  // Shift By label, Stretch group box, Width, Height, Default size
  'Posunout o:', 'Velikost', 'ka:', 'Vka:', 'Standardn velikost: %d x %d',
  // Scale proportionally checkbox, Reset ("no stretch") button
  'Zachovat &proporce', '&Reset',
  // Inside the border, border, outside the border groupboxes
  'Uvnit okraje', 'Okraj', 'Vn okraje',
  // Fill color, Padding (i.e. margins inside border) labels
  '&Barva vpln:', '&Odsazen obsahu:',
  // Border width, Border color labels
  'ka &okraje:', 'Barva &okraje:',
  // Horizontal and vertical spacing (i.e. margins outside border) labels
  '&Vodorovn mezery:', '&Svisl mezery:',
  // Miscellaneous groupbox, Tooltip label
  'Rzn', '&Tip k nstroji:',
  // web group-box, alt text
  'Web', 'Alternativn &text:',
  // Horz line group-box, color, width, style
  'Oddlovac ra', 'Barva:', 'ka:', 'Styl:',
  // Table group-box; Table Width, Color, CellSpacing,
  'Tabulka', 'ka:', 'Barva vpln:', 'Odsazen buky...',
  // Horizontal cellpadding, Vertical cellpadding, Border&Background groupbox
  '&Vodorovn odsadit obsah buky:', '&Svisle odsadit obsah buky:', 'Okraj a pozad',
  // Visible table border sides button, auto width (in combobox), auto width label
  'Viditeln &strany okraje...', 'Auto', 'auto',
  // Keep row content together checkbox
  '&Zachovat obsah pohromad',
  // Rotation groupbox, rotations: 0, 90, 180, 270
  'Otoen', '&dn', '&90', '&180', '&270',
  // Cell border label, Visible cell border sides button,
  'Okraj:', 'Viditeln &strany okraje...',
  // Border, CellBorders buttons
  'Ohranien tabulky...', 'Ohranien buky...',
  // Table border, Cell borders dialog titles
  'Ohranien tabulky', 'Ohranien buky',
  // Table Printing group-box, KeepOnPage checkbox, HeadingRows, HeadingRowsTip labels
  'Tisk', 'Tisk tabulky na jedn strnce', 'Poet hlavikovch dk:',
  'Hlavikov dky budou opakovny na kad strnce tabulky',
  // top, center, bottom, default
  'nahoru', 'na sted', 'dol', 'standardn',
  // Cell Settings group-box, BestWidth, BestHeight, FillColor
  'Nastaven', 'Upedostovan ka:', 'Minimln vka:', 'Barva vpln:',
  // Cell Border group-box,, VisibleSides; shadow, light, border colors
  'Ohranien', 'Viditeln strany:',  'Barva stnu:', 'Barva svtla', 'Barva:',
  // Background image
  'Obrzek...',
  // Horizontal position, Vertical position, Position in text groupboxes and listitems
  'Vodorovn pozice', 'Svisl pozice', 'Pozice v textu',
  // Position types: align, absolute, relative
  'Zarovnat', 'Absolutn pozice', 'Relativn pozice',
  // [Align] left side, center, right side
  'lev strana pole k lev stran',
  'sted pole ke stedu',
  'prav strana pole k prav stran',
  // [Align] top side, center, bottom side
  'horn strana pole k horn stran',
  'sted pole ke stedu',
  'doln strana pole k doln stran',
  // [Align] relative to
  'relativn k',
  // [Position] to the right of the left side of
  'vpravo od lev strany',
  // [Position] below the top side of
  'pod horn stranou',
  // Anchors: page, main text area (x2)
  '&Strnka', '&Hlavn textov oblast', 'S&trnka', 'Hlavn  te&xtov oblast',
  // Anchors: left margin, right margin
  '&Lev okraj', '&Prav okraj',
  // Anchors: top margin, bottom margin, inner margin, outer margin
  '&Horn okraj', '&Doln okraj', '&Vnitn okraj', '&Vnj okraj',
  // Anchors: character, line, paragraph
  '&Znak', '&dek', 'Odsta&vec',
  // Mirrored margins checkbox, layout in table cell checkbox
  'Zrcadl&en okraje', 'Rozlo&en v buce tabulky',
  // Above text, below text
  '&Nad textem', '&Pod textem',
  // Width, Height groupboxes, Width, Height labels
  'ka', 'Vka', '&ka:', '&Vka:',
  // Auto height label, Auto height combobox item
  'Auto', 'auto',
  // Vertical alignment groupbox; alignments: top, center, bottom
  'Svisl zarovnn', '&Nahoe', '&Sted', '&Dole',
  // Border and background button and title
  'O&kraj a pozad...', 'Okraj a Pozad Pole',
  // Paste Special Form --------------------------------------------------------
  //Title, Label; Formats: RTF, HTML, Text, UnicodeText, BMP, WMF, graphic files
  'Vloit speciln', 'Vloit jako:', 'Rich text formt', 'HTML formt',
  'Text', 'Unicode text', 'Bitmapov obrzek', 'Obrzkov metasoubor',
  'Grafick soubor',  'URL',
  // Options group-box, styles
  'Monosti', '&Styly:',
  // style options: apply target styles, use source styles, ignore styles
  'pout styly clovho dokumentu', 'zachovat styly a vzhled',
  'zachovat vzhled, ignorovat styly',
  // List Gallery Form ---------------------------------------------------------
  // Title; Bulleted, Numbered tabs; Bulleted, Numbered group-boxes
  'Odrky a slovn', 'Odrky', 'slovn', 'Odrky', 'slovn',
  // Customize, Reset, None
  'Vlastn...', 'Obnovit', 'nen',
  // Numbering: continue, reset to, create new
  'navzat na pedchoz', 'pokraovat v slovn od', 'zat znovu slovat od',
  // List Gallery 2 Form (HTML) -----------------------------------------------
  // Numbering type
  'velk psmena (A, B, )', 'velk msk slice (I, II, )', 'arabsk slice (1, 2, )', 'mal psmena (a, b, )', 'mal msk slice (i, ii, )',
  // Bullet type
  'przdn koleko', 'pln koleko', 'tvereek',
  // Level, Start from, Continue numbering, Numbering group-box
  'rove:', 'Zat od:', 'Pokraovat', 'slovn',    
  // Customize List Form -------------------------------------------------------
  // Title, Levels, Level count, List properties, List type,
  'Vlastn nastaven', 'rove', 'Poet:', 'Vlastnosti', 'Typ:',
  // List types: bullet, image
  'odrka', 'obrzek', 'vloit slo|',
  // Number format, Number, Start level from, Font button
  'Formt sla:', 'slo', 'Zat slovn rovn od:', 'Psmo...',
  // Image button, bullet character, Bullet button,
  'Obrzek...', 'Znak odrky', 'Odrka...',
  // Position of list text, bullet, number, image, text
  'Umstn textu', 'Umstn odrky', 'Umstn sla', 'Umstn obrzku', 'Umstn psma',
  // at, left indent, first line indent, from left indent
  'na:', 'Odsazen zleva:', 'Odsazen prvnho dku:', 'od odsazen zleva',
  // [only] one level preview, preview
  'Nhled jedn rovn', 'Nhled',
  // Preview text
  'Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text.',
  // marker align: left side of marker is aligned [at ...],
  // right side of marker is aligned [at ...], center of marker is aligned [at ...]
  'zarovnat vlevo', 'zarovnat vpravo', 'zarovnat na sted',
  // level #, this level (for combo-box)
  'rove %d', 'Tato rove',
  // Marker character dialog title
  'Zmna znaku odrky',
  // Paragraph Border and Backgound Form ---------------------------------------
  // Title; Border, Background tabs
  'Ohranien a pozad odstavce', 'Ohranien', 'Pozad',
  // Settings group-box; Color, Width, Internal width labels; Offsets button
  'Nastaven', 'Barva:', 'ka:', 'ka rmu:', 'Odsazen textu...',
  // Sample, Border type group-boxes;
  'Nhled', 'Typ ohranien',
  // Border types: none, single, double, tripple, thick inside, thick outside
  'dn', 'jednoduch', 'dvojit', 'trojit', 'siln uvnit', 'siln vn',
  // Fill color group-box; More colors, padding buttons
  'Vpl', 'Vce barev...', 'Odsazen textu...',
  // preview text
  'Text text text text text. Text text text text text. Text text text text text.',
  // title and group-box in Offsets dialog
  'Odsazen textu', 'Odsazen textu',
  // Paragraph Form ------------------------------------------------------------
  // Form title; Alignment group-box; alignments: left, right, center, justify, distribite
  'Odstavec', 'Zarovnn', 'vlevo', 'vpravo', 'na sted', 'do bloku', {*} '&Distribute',
  // Last line alignment, auto, left, right, center, justify
  {*} 'Las&t line:', 'auto', 'left', 'right', 'center', 'both',
  // Spacing group-box; spacing before, after, between lines, [spacing] by
  'Mezery', 'Ped:', 'Za:', 'dkovn:', 'Nsobky:',
  // Indents group-box; indents: left, right, first line
  'Odsazen', 'Zleva:', 'Zprava:', 'Prvn dek:',
  // indented, hanging
  'odsazen', 'pedsazen', 'Nhled',
  // line spacing: single, 1.5 lines, double, at least, exactly, multiple
  'jednoduch', '1,5 dku', 'dvojit', 'nejmn', 'pesn', 'nsobky',
  // preview text
  'Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text.',
  // tabs: Indents and spacing, Tabs, Advanced
  'Odsazen a mezery', 'Zarky', {*} 'Advanced',
  // tab stop position label; buttons: set, delete, delete all
  '&Pozice zarky:', '&Nastavit', '&Smazat', 'Smazat &ve',
  // tab align group; left, right, center aligns,
  'Zarovnn', '&Vlevo', 'Vp&ravo', '&Na sted',
  // leader radio-group; no leader
  'Vodic znak', '(dn)',
  // tab stops to be deleted, delete none, delete all labels
  'Vymazat tyto zarky:', '(dn)', 'Ve',
  // Pagination group-box, keep with next, keep lines together
  'Strnkovn', 'Svzat s &nsledujcm', '&Svzat dky',
  // Outline level, Body text, Level #
  'rove osnovy:', 'Tlo textu', 'rove %d',    
  // Preview Form --------------------------------------------------------------
  // Title; page width, full pages; pages label
  'Nhled ped tiskem', 'ka strnky', 'Cel strnka', 'Strnka:',
  // Invalid Scale, [page #] of #
  'Prosm vlote slo od 10 do 500', 'z %d',
  // Hints on buttons: first, prior, next, last pages
  'Prvn strnka', 'Pedchoz strnka', 'Nsledujc strnka', 'Posledn strnka',
  // Cell Spacing Form ---------------------------------------------------------
  // Title, groupbox, between cells, from table border to cells
  'Odsazen buky', 'Mezery', '&Ped bukou', 'Od rmu tabulky po buku',
  // vertical, horizontal (x2)
  '&Vertikln:', '&Horizontln:', 'V&ertikln:', 'H&orizontln:',  
  // Table Borders Form --------------------------------------------------------
  // Title; Settings group-box; Color, light color, shadow color
  'Ohranien', 'Nastaven', 'Barva:', 'Barva svtla:', 'Barva stnu:',
  // Width; Border type group-box;
  'ka:', 'Typ ohranien',
  // Border types: none, sunken, raised, flat
  'dn', 'vtlaen', 'vystoupl', 'plovouc',
  // Split Cells Form ----------------------------------------------------------
  // title, group-box
  'Rozdlen buky', 'Rozdlit na',
  // split to specified number of rows and cols, split to original cells (unmerge)
  'Uren potu sloupc a dk', 'Originln buky',
  // number of columns, rows, merge before
  'Poet sloupc:', 'Poet dk:', 'Slouit ped rozdlenm',
  // to original cols, rows check-boxes
  'Rozdlit na originln sloupce', 'Rozdlit na originln dky',
  // Add Rows form -------------------------------------------------------------
  'Vloit dky', 'Poet dk:',
  // Page Setup form -----------------------------------------------------------
  // title, Page tab, Header&Footer tab
  'Vzhled strnky', 'Strnka', 'Zhlav a zpat',
  // margins group-box, left, right, top, bottom
  'Okraje (v milimetrech)', 'Okraje (v palcch)', 'V&levo:', '&Nahoe:', 'V&pravo:', '&Dole:',
  // mirror margins check-box
  '&Zrcadlov okraje',
  // orientation group-box, portrait, landscape
  'Orientace', 'Na &vku', 'Na &ku',
  // paper group-box, paper size, default paper source
  'Papr', 'V&elikost:', 'Zd&roj:',
  // header group-box, print on the first page, font button
  'Zhlav', '&Text:', '&Zhlav na prvn strnce', '&Psmo...',
  // header alignments: left, center, right
  'v&levo', 'na &sted', 'vp&ravo',
  // the same for footer (different hotkeys)
  'Zpat', 'T&ext:', 'Z&pat na prvn strnce', 'P&smo...',
  '&vlevo', '&na sted', 'vp&ravo',
  // page numbers group-box, start from
  'slovn strnek', 'Z&at od:',
  // hint about codes
  'Kombinace specilnch znak:'#13'&&p - slo strnky; &&P - poet strnek; &&d - aktuln datum; &&t - aktuln as.',
  // Code Page form ------------------------------------------------------------
  // title, label
  'Znakov strnka', '&Vyberte kdovn souboru:',
  // thai, japanese, chinese (simpl), korean
  'Thajtina', 'Japontina', 'ntina (zjednoduen)', 'Korejtina',
  // chinese (trad), central european, cyrillic, west european
  'ntina (tradin)', 'Stedn a vchodn Evropa', 'Azbuka', 'Zpadn Evropa',
  // greek, turkish, hebrew, arabic
  'etina', 'Turetina', 'Hebrejtina', 'Arabtina',
  // baltic, vietnamese, utf-8, utf-16
  'Baltsk jazyky', 'Vietnamtina', 'Unicode (UTF-8)', 'Unicode (UTF-16)',
  // Style form ----------------------------------------------------------------
  'Vizuln styl', '&Vybrat styl:',
  // Delimiter form ------------------------------------------------------------
  // title, label
  'Pevst na text', 'vybrat &oddlova:',
  // line break, tab, ';', ','
  'konec dku', 'tabultor', 'stednk', 'rka',
  // Table sort form -----------------------------------------------------------
  // error message
  'Tabulka obsahujc slouen dky neme bt seazena',
  // title, main options groupbox
  'Seadit tabulku', 'Seadit',
  // sort by column, case sensitive
  '&Seadit podle sloupce:', '&Rozliovat mal a velk',
  // heading row, range or rows
  'Krom dku zhlav', 'dky k seazen: od %d po %d',
  // order, ascending, descending
  'Poad', '&Vzestupn', '&Sestupn',
  // data type, text, number
  'Typ', '&Text', '&slo',
  // Insert number form --------------------------------------------------------
  // title, properties groupbox, counter name, numbering type
  'Vloit slo', 'Vlastnosti', '&Nzev potadla:', '&Typ slovn:',
  // numbering groupbox, continue, start from
  'slovn', 'P&okraovat', '&Zat od:',
  // Insert caption form -------------------------------------------------------
  // title, label, exclude label checkbox
  'Popisek', '&ttek:', '&Vylouit ttek z popisku',
  // position radiogroup
  'Pozice', '&Nad vybranm objektem', '&Pod vybranm objektem',
  // caption text
  'Text &popisku:',
  // Default sequences ---------------------------------------------------------
  // numbering, figure, table
  'slovn', 'slo', 'Tabulka',
  // visible sides form --------------------------------------------------------
  // Title, Groupbox
  'Viditeln strany okraj', 'Okraj',
  // Left, Top, Right, Bottom checkboxes
  '&Lev strana', '&Horn strana', '&Prav strana', '&Doln strana',
  // Ruler ---------------------------------------------------------------------
  // Hints: table column resize, row resize
  'Zmnit velikost sloupce tabulky', 'Zmnit velikost dku tabulky',
  // Hints on indents: first line, left (together with first), left (without first), right
  'Odsazen prvnho dku', 'Odsazen zleva', 'Pedsazen prvnho dku', 'Odsazen zprava',
  // Hints on lists: up one level (left), down one level (right)
  'O rove v', 'O rove n',
  // Hints for margins: bottom, left, right and top
  'Spodn okraj', 'Lev okraj', 'Prav okraj', 'Horn okraj',
  // Hints for tabs: left, right, center, decimal (reserved) aligned
  'Lev zarka', 'Prav zarka', 'Zarka na sted', 'Desetinn zarka',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // Standard styles -----------------------------------------------------------
  // Normal, Normal Indent, No Spacing, Heading %d, List Paragraph
  'Normln', 'Normln odsazen', 'Bez mezer', 'Nadpis %d', 'Odstavec se seznamem',
  // Hyperlink, Title, Subtitle
  'Hypertextov odkaz', 'Nadpis', 'Podnadpis',
  // Emphasis, Subtle Emphasis, Intense Emphasis, Strong
  'Zdraznn', 'Zdraznn  jemn', 'Zdraznn  intenzivn', 'Siln',
  // Quote, Intense Quote, Subtle Reference, Intense Reference
  'Citace', 'Citace  intenzivn', 'Odkaz  jemn', 'Odkaz  intenzivn',
  // Block Text, HTML Variable, HTML Code, HTML Acronym,
  'Text v bloku', 'Promnn HTML', 'Kd HTML', 'Akronym HTML',
  // HTML Definition, HTML Keyboard, HTML Sample, HTML Typewriter,
  'Definice HTML', 'Klvesnice HTML', 'Vzorek HTML', 'Psac stroj HTML',
  // HTML Preformatted, HTML Cite, Header, Footer, Page Number
  'Formtovan v HTML', 'Citt HTML', 'Zhlav', 'Zpat', 'slo strnky',
  // Caption
  'Popisek',
  // Endnote Reference, Footnote Reference, Endnote Text, Footnote Text
  'Odkaz na vysvtlivky', 'Odkaz na poznmku pod arou', 'Text vysvtlivky', 'Text poznmky pod arou',
  // Sidenote Reference, Sidenote Text
  'Poznmka na okraj', 'Text poznmky na okraj',
  // Style description ---------------------------------------------------------
  // color, background color, transparent, default [color], underline color,
  'barva', 'barva pozad', 'prhledn', 'vchoz', 'barva podtren',
  // default background color, default text color, [color] same as text
  'vchoz barva pozad', 'vchoz barva textu', 'stejn jako text',
  // underline types: single, thick, double, dotted, thick dotted, dashed
  'jednoduch', 'siln', 'dvojit', 'tekovan', 'siln tekovan', 'peruovan',
  // underline types: thick dashed, long dashed, thick long dashed,
  'siln peruovan', 'dlouh rkovan', 'siln dlouh rkovan',
  // underline types: dash dotted, thick dash dotted,
  'teka a ra', 'siln teka a ra',
  // underline types: dash dot dotted, thick dash dot dotted
  'ra teka teka', 'siln ra teka teka',
  // sub/superscript: not, subsript, superscript
  'dn doln/horn index', 'doln index', 'horn index',
  // bi-di mode, inherited [bi-di mode], LTR, RTL
  'obousmrn reim:', 'ddin', 'zleva doprava', 'zprava doleva',
  // bold, not bold
  'tun', 'ne tun',
  // italic, not italic
  'kurzva', 'ne kurzva',
  // underlined, not underlined, default underline
  'podtren', 'ne podtren', 'vchoz podtren',
  // struck out, not struck out
  'pekrtnut', 'ne pekrtnut',
  // overlined, not overlined
  'nadtren', 'ne nadtren',
  // all capitals: yes, all capitals: no
  'vechna velk', 'vypnout vechna velk',
  // svisl posun: dn, o x% nahoru, o x% dol
  'bez svislho posunu', 'posunuto o %d%% nahoru', 'posunuto o %d%% dol',
  // characters width [: x%]
  'ka znak',
  // character spacing: none, expanded by x, condensed by x
  'normln proloen znak', 'proloen rozeno o %s', 'proloen zeno o %s',
  // charset
  'skript',
  // default font, default paragraph, inherited attributes [of font, paragraph attributes, etc.]
  'vchoz psmo', 'vchoz odstavec', 'ddin',
  // [hyperlink] highlight, default hyperlink attributes
  'zvraznit', 'vchoz',
  // paragraph alignment: left, right, center, justify, distributed
  'zarovnan doleva', 'zarovnan doprava', 'zarovnan na sted', 'zarovnan do bloku', {*} 'distributed',
  // last line alignment: auto, left, right, center, justify
  {*} 'last line is auto-aligned', 'last line is left aligned', 'last line is right aligned',
  {*} 'last line is centered', 'last line is aligned to both sides',
  // line height: x%, space between lines: x, line height: at least x, line height: exactly x
  'vka dku: %d%%', 'mezera mezi dky: %s', 'vka dku: nejmn %s',
  'line height: exactly %s',
  // no wrap, wrap
  'zalomen dk vypnuto', 'zalomen dk',
  // keep lines together: yes, no
  'svzat dky', 'nesvazovat dky',
  // keep with next: yes, no
  'svzat s nsledujcm odstavcem', 'nesvazovat s nsledujcm odstavcem',
  // read only: yes, no
  'pouze pro ten', 'editovateln',
  // body text, heading level x
  'rove osnovy: zkladn text', 'rove osnovy: %d',
  // indents: first line, left, right
  'odsazen prvnho dku', 'lev odsazen', 'prav odsazen',
  // space before, after
  'mezera ped', 'mezera po',
  // tabs, no tabs, tab alignment, tab alignment: left, right, center
  'tabultory', 'dn', 'zarovnat', 'doleva', 'doprava', 'na sted',
  // tab leader (filling character)
  'vodic znak',
  // no, yes
  'ne', 'ano',
  // [padding/spacing/side:] left, top, right, bottom
  'lev', 'horn', 'prav', 'doln',
  // border: none, single, double, triple, thick inside, thick outside
  'dn', 'jednoduch', 'dvojit', 'trojit', 'siln uvnit', 'siln vn',
  // background, border, padding, spacing [between text and border]
  'pozad', 'ohranien', 'odsazen obsahu', 'mezery',
  // border: style, width, internal width, visible sides
  'styl', 'ka', 'vnitn ka', 'viditeln strany',
  // style inspector -----------------------------------------------------------
  // title
  'Kontrola styl',
  // style, no style, paragraph, font, attributes (of font/paragraph)
  'Styl', '(dn)', 'Odstavec', 'Psmo', 'Atributy',
  // border and background, hyperlink, standard [style]
  'Ohranien a pozad', 'Hypertextov odkaz', '(Standard)',
  // Styles Form ---------------------------------------------------------------
  // title, style group-box
  'Styly', 'Styl',
  // name, applicable to,
  '&Nzev:', 'Plat &pro:',
  // based on, based on (no &),
  '&Zaloeno na:', 'zaloeno na:',
  //  next style, next style (no &)
  'Styl pro &nsledujc odstavec:', 'Styl pro nsledujc odstavec:',
  // quick access check-box, description and preview
  '&Rychl pstup', 'Popis a &nhled:',
  // [applicable to:] paragraph and text, paragraph, text
  'odstavec a text', 'odstavec', 'text',
  // text and paragraph styles, default font
  'Styly textu a odstavce', 'Vchoz psmo',
  // links: edit, reset, buttons: add, delete
  'Upravit', 'Resetovat', '&Pidat', '&Smazat',
  // add standard style, add custom style, default style name
  'Pidat &standardn styl...', 'Pidat &vlastn styl', 'Styl %d',
  // choose style
  'Vybrat &styl:',
  // import, export,
  '&Import...', '&Export...',
  // Style Import Form ---------------------------------------------------------
  // RichViewStyles filter, load error, no styles
 'Styly RichView (*.rvst)|*.rvst', 'Chyba pi otevrn souboru', 'Tento soubor neobsahuje dn styly',
  // Title, group-box, import styles
  'Import styl ze souboru', 'Import', 'I&mportovat styly:',
  // existing styles radio-group: Title, override, auto-rename
  'Existujc styly', '&pepsat', '&pidat pejmenovan',
  // Select, Unselect, Invert,
  '&Vybrat', '&Zuit vbr', '&Invertovat',
  // select/unselect: all styles, new styles, existing styles
  '&Vechny styly', '&Nov styly', '&Existujc styly',
  // Style Combo-box -----------------------------------------------------------
  // clear format, more styles
  '(Vymazat formtovn)', '(Vechny styly)',
  // dialog title, prompt
  'Styly', '&Vybrat styl k pouit:',
  {$ENDIF}
  // spelling check and thesaurus ----------------------------------------------
  '&Synonyma', '&Ignorovat ve', '&Pidat do slovnku',
  // Progress messages ---------------------------------------------------------
  'Stahuji %s', 'Pipravuji k tisku...', 'Tisknu strnku %d',
  'Konvertuji z RTF...',  'Konvertuji do RTF...',
  'Natm %s...', 'Zapisuji %s...', 'text',
  // Edit note -----------------------------------------------------------------
  // Titles: No note, Footnote, Endnote, Sidenote, Text box
  'dn poznmka', 'Poznmka pod arou', 'Poznmka na konec', 'Poznmka na okraj', 'Textov pole'
  );
    
    
initialization
  RVA_RegisterLanguage(
    'Czech', // english language name, do not translate
    'etina', // native language name
    EASTEUROPE_CHARSET, @Messages);
    
end.
