{*******************************************************}
{                                                       }
{       RichViewActions                                 }
{       Lithuanian translation                          }
{                                                       }
{       Copyright (c) Marius emaitis                   }
{       ze.markos@gmail.com; marius@lvat.lt;            }
{       http://ze.markos.googlepages.com                }
{                                                       }
{*******************************************************}
{ Updated: 2014-02-04                                   }
{*******************************************************}

unit RVAL_Lith;
{$I RV_Defs.inc}
interface

implementation
uses Windows, RVALocalize;

const
  Messages: TRVAMessages =
  (
  '',
  // units: inches, cm, mm, picas, pixels, points
  'coliai','cm', 'mm', 'cicerai', 'pikseliai', 'takai',
  // units : [n] inches, [n] cm, [n] mm, [n] picas, [n] pixels, [n] points
  'col', 'cm', 'mm', 'cc', 'pks', 't',
  // not used in actions, but can be useful: common menus:
  // top-level menus: File, Format, Text, Paragraph, Insert, Table, Window, Help
  '&Failas', '&Redaguoti', 'F&ormatas', 'r&iftas', '&Pastraipa', '&terpti', '&Lentel', 'L&angas', 'Pa&galba',
  // exit
  'I&eiti',
  // top-level menus: View, Tools,
  '&Rodyti', 'ra&nkiai',
  // menus: Font size, Font style, Table select, Table cell align, table cell borders
  'Dydis', 'Stilius', 'Pay&mti', '&Lygiuoti Lstels Turin', 'Lstels Rmliai',
  // menus: Table cell rotation
  'Lstels &Sukimas',
  // menus: Text flow, Footnotes/endnotes
  '&Teksto Srautas', '&Pastabos/Galins Inaos',
  // ribbon tabs: tab1, tab2, view, table
  '&Pradia', '&Papildomi', '&Vaizdas', '&Lentel',
  // ribbon groups: clipboard, font, paragraph, list, editing
  'Ikarpin', 'riftas', 'Pastraipa', 'Sraai', 'Redagavimas',
  // ribbon groups: insert, background, page setup,
  'terpimas', 'Pagrindas', 'Lapo nuotatos',
  // ribbon groups: links, footnotes, document views, show/hide, zoom, options
  'Saitai', 'Inaos', 'Dokumento vaizdas', 'Rodyti/Slpti', 'Mstelis',  'Nustatymai',
  // ribbon groups on table tab: insert, delete, operations, borders
  'terpimas', 'Trynimas', 'Operacijos', 'Kratins',
  // ribbon groups: styles 
  'Stiliai',
  // ribbon screen tip footer,
  'Spauskite F1 ikviesti pagalbos lang',
  // ribbon app menu: recent files, save-as menu title, print menu title
  'Paskutiniai dokumentai', 'Isaugoti dokumento kopij', 'Perirti ir spausdinti dokument',
  // ribbon label: units combo
  'Vienetai:',
  // actions -------------------------------------------------------------------
  // TrvActionNew
  '&Naujas', 'Naujas|Sukuriamas naujas tuias dokumentas',
  // TrvActionOpen
  '&Atverti...', 'Atverti|Atveriamas dokumentas i disko',
  // TrvActionSave
  '&Saugoti', 'Saugoti|Saugojamas dokumentas  disk',
  // TrvActionSaveAs
  'Saugoti &Kaip...', 'Saugoti Kaip...|Saugojamas dokumentas  disk nauju vardu',
  // TrvActionExport
  '&Eksportuoti...', 'Eksportuoti|Eksportuojamas dokumentas kitame formate',
  // TrvActionPrintPreview
  'Spausdinimo &Perira', 'Spausdinimo Perira|Parodoma kaip bus ispausdintas dokumentas',
  // TrvActionPrint
  '&Spausdinti...', 'Spausdinti|Derinamas spausdintuvas ir spausdinamas dokumentas',
  // TrvActionQuickPrint
  '&Spausdinti', 'Spausdinti i&kart', 'Spausdinti|Spausdinamas dokumentas',
  // TrvActionPageSetup
  '&Lapo Nustatymai...', 'Lapo Nustatymai|Nustatomos ribos, lapo dydis, orientacija, altinis, antrat ir inaos',
  // TrvActionCut
  'I&kirpti', 'Ikirpti|Ikerpama paymta dalis ir simenama ikarp atmintinje',
  // TrvActionCopy
  '&siminti', 'siminti|simenama paymta dalis ir padedama  ikarp atmintin',
  // TrvActionPaste
  '&Terpti', 'Terpti| dokument terpiamas ikarp atmintins turinys',
  // TrvActionPasteAsText
  'Terpti kaip T&ekst', 'Terpti kaip tekst|terpiamas tekstas i ikarpins',
  // TrvActionPasteSpecial
  'Te&rpti Ypatingai...', 'Terpti Ypatingai| dokument terpiamas ikarp atmintins turinys nustatytame formate',
  // TrvActionSelectAll
  'Paymti &Vis', 'Paymti Vis|Paymimas visas dokumentas',
  // TrvActionUndo
  '&Ataukti', 'Ataukti|Ignoruojamas, ataukiamas paskutinis veiksmas',
  // TrvActionRedo
  '&Pakartoti', 'Pakartoti|Kartojamas paskutinis atauktas veiksmas',
  // TrvActionFind
  '&Rasti...', 'Rasti|Dokumente iekoma konkretaus teksto',
  // TrvActionFindNext
  'Rasti &Toliau', 'Rasti Toliau|Tsiama paskutin paieka',
  // TrvActionReplace
  'S&ukeisti...', 'Sukeisti|Randamas ir pakeiiamas nurodytas dokumento tekstas',
  // TrvActionInsertFile
  '&Failas...', 'terpti fail| dokument terpiamas failo turinys',
  // TrvActionInsertPicture
  '&Paveikslas...', 'terpti paveiksl|terpiamas paveikslas i disko',
  // TRVActionInsertHLine
  '&Horizontali Linija', 'terpti Horizontali Linij|terpiama horizontali linija',
  // TRVActionInsertHyperlink
  '&terpti Sait...', 'terpti Sait|terpiamas saitas (hipertekstin nuoroda)',
  // TRVActionRemoveHyperlinks
  '&Naikinti Saitus', 'Naikinti Saitus|Panaikinami visi saitai paymtame tekste',
  // TrvActionInsertSymbol
  'terpti &enkl...', 'terpti enkl|terpiamas enklas',
  // TrvActionInsertNumber
  'terpti &Skaii...', 'terpti Skaii|terpiamas skaiius (skaiiavimas)',
  // TrvActionInsertCaption
  'terpti &Antrat...', 'terpti Antrat|terpiama antrat pasirinktam objektui',
  // TrvActionInsertTextBox
  '&Teksto Laukelis', 'Teksto Laukelis|terpiama tekstin ym laukelyje',
  // TrvActionInsertSidenote
  'terpti &inut', 'terpti inut|terpti inut teksto laukelyje',
  // TrvActionInsertPageNumber
  '&Puslapio numeris', 'Puslapio numeris|terpiamas puslapio numeris',
  // TrvActionInsertPageCount
  {*} 'Page Count', 'Insert Page Count|Inserts a count of pages',
  // TrvActionParaList
  'ymjimas ir N&umeravimas...', 'ymjimas ir Numeravimas|Nustatomi arba redaguojami ymjimas ir numeravimas paymtoms pastraipoms',
  // TrvActionParaBullets
  'y&mjimas', 'ymjimas|dedama arba naikinama pastraipos ymjimas',
  // TrvActionParaNumbering
  '&Numeravimas', 'Numeravimas|dedamas arba naikinamas pastraipos numeravimas',
  // TrvActionColor
  'Pagrindo &Spalva...', 'Pagrindo Spalva|Keiiama dokumento pagrindo spalva',
  // TrvActionFillColor
  'Upil&do spalva...', 'Upildo Spalva|Keiiama teksto, pastraipos, lsteli, lentels ar pastraipos pagrindo spalva',
  // TrvActionInsertPageBreak
  '&terpti Lapo Perskyrim', 'terpti Lapo Perskyrim|Perskiriamas lapas  du atskirus lapus',
  // TrvActionRemovePageBreak
  'Pa&naikinti Lapo Perskyrim', 'Panaikitni Lapo Perskyrim|Panaikinamas dviej lap iskyrimas',
  // TrvActionClearLeft
  'Panaikinti Teksto Sraut &Kairje Pusje', 'Panaikinti Teksto Sraut Kairje Pusje|ios pastraipos pozicija bus emiau bet kurio paveiksliuko, esanio kairje pusje',
  // TrvActionClearRight
  'Panaikinti Teksto Sraut &Deinje Pusje', 'Panaikinti Teksto Sraut Deinje Pusje|ios pastraipos pozicija bus emiau bet kurio paveiksliuko, esanio deinje pusje',
  // TrvActionClearBoth
  'Panaikinti Teksto Sraut &Abiejose Pusse', 'Panaikinti Teksto Sraut Abiejose Pusse|ios pastraipos pozicija bus emiau bet kurio paveiksliuko, esanio deinje ar kairje pusje',
  // TrvActionClearNone
  '&Normalus Teksto Srautas', 'Normalus Teksto Srautas|Leidiama rayti tekst aplink deinje ir kairje pusje esanius paveiksliukus',
  // TrvActionVAlign
  '&Objekto Pozicija...', 'Objekto Pozicija|Keiiama pasirinkto objekto pozicija',
  // TrvActionItemProperties
  'Objekto Sa&vybs...', 'Objekto Savybs|Nustatomos aktyvaus objekto savybs',
  // TrvActionBackground
  'Pa&grindo Fonas...', 'Pagrindo fonas|Parenkama pagrindo spalva ir fono paveikslas',
  // TrvActionParagraph
  '&Pastraipa...', 'Pastraipa|Keiiami pastraipos parametrai',
  // TrvActionIndentInc
  'Pa&didinti trauk', 'Padidinti trauk|Pastraipa traukiama toliau nuo kairio krato',
  // TrvActionIndentDec
  'Su&mainti trauk', 'Sumainti trauk|Pastraipa traukiama ariau kairio krato',
  // TrvActionWordWrap
  '&odi Klimas', 'odi Klimas|Perjungiama paymt pastraip odi klimas',
  // TrvActionAlignLeft
  'Lygiuoti Pagal &Kair', 'Lygiuoti Pagal Kair|Lygiuoja paymt tekst pagal kair krat',
  // TrvActionAlignRight
  'Lygiuoti Pagal &Dein', 'Lygiuoti Pagal Dein|Lygiuoja paymt tekst pagal dein krat',
  // TrvActionAlignCenter
  'Lygiuoti &Centre', 'Lygiuoti Centre|Centruojamas paymtas tekstas',
  // TrvActionAlignJustify
  'Lygiuoti &Abiem Kratais', {*} 'Lygiuoti Abiem Kratais|Lygiuoja paymt tekst pagal kair ir dein krat kartu, adding space between words if necessary',
  // TrvActionAlignDistribute
  {*} '&Distribute', 'Distribute|Aligns the selected text to both left and right sides, adding space between characters if necessary',
  // TrvActionParaColor
  'Pastraipos &Pagrindo Spalva...', 'Pastraipos Pagrindo Spalva|Nustatoma pastraipos pagrindo spalva',
  // TrvActionLineSpacing100
  '&Vienos Eiluts Tarpai', 'Vienos Eiluts Tarpai|Tarpai tarp eilui lygs vienai eilutei',
  // TrvActionLineSpacing150
  '1.5 Ei&luts Tarpai', '1.5 Eiluts Tarpai|Tarpai tarp eilui lygs 1.5 eiluts',
  // TrvActionLineSpacing200
  'Dvigu&bi Eilui Tarpai', 'Dvigubi Eilui Tarpai|Padvigubinami tarpai tarp eilui',
  // TrvActionParaBorder
  'Pastraip &Rmelis ir Pagrindas...', 'Pastraip Rmelis ir Pagrindas|Nustatomi rmeliai ir pagrindas paymtoms pastraipoms',
  // TrvActionInsertTable
  'terpti &Lentel...', '&Lentel', 'terpti Lentel|terpiama nauja lentel',
  // TrvActionTableInsertRowsAbove
  'terpti Eilut &Viruje', 'terpti Eilut Viruje|terpiama nauja eilut paymtos lstels viruje',
  // TrvActionTableInsertRowsBelow
  'terpti Eilut &Apaioje', 'terpti Eilut Apaioje|terpiama nauja eilut paymtos lstels apaioje',
  // TrvActionTableInsertColLeft
  'terpti Stulpel &Kairje', 'terpti Stulpel Kairje|terpiamas naujas stulpelis paymt lasteli kairje',
  // TrvActionTableInsertColRight
  'terpti Stulpel &Deinje', 'terpti Stulpel Deinje|terpiamas naujas stulpelis paymt lsteli deinje',
  // TrvActionTableDeleteRows
  'Paalinti &Eilutes', 'Paalinti Eilutes|Paalinti i lentels eilutes su paymtomis lstelmis',
  // TrvActionTableDeleteCols
  'Paalinti St&ulpelius', 'Paalinti Stulpelius|Paalinti i lentels stulpelius su paymtomis lstelmis',
  // TrvActionTableDeleteTable
  '&Trinti Lentel', 'Trinti Lentel|Paalinti vis lentel',
  // TrvActionTableMergeCells
  'Su&jungti Lsteles', 'Sujungti Lsteles|Sujungti paymtas lsteles  vien',
  // TrvActionTableSplitCells
  'Per&skelti Lsteles...', 'Perskelti Lsteles|Perskelti paymtas lsteles',
  // TrvActionTableSelectTable
  'Paymti &Lentel', 'Paymti Lentel|Paymima visa lentel',
  // TrvActionTableSelectRows
  'Paymti &Eilutes', 'Paymti Eilutes|Paymimos lentels eiluts',
  // TrvActionTableSelectCols
  'Paymti S&tulpelius', 'Paymti Stulpelius|Paymimi lentels stulpeliai',
  // TrvActionTableSelectCell
  'Paymti L&stel', 'Paymti Lstel|Paymimas lstels turinys',
  // TrvActionTableCellVAlignTop
  'Lygiuoti Lstel Pagal &Vir', 'Lygiuoti Lstel Pagal Vir|Lygiuoti lstels turin jos viruje',
  // TrvActionTableCellVAlignMiddle
  'Lygiuoti Lstel Pagal Vi&dur', 'Lygiuoti Lstel Pagal Vidur|Lygiuoti lstels turin jos viduryje',
  // TrvActionTableCellVAlignBottom
  'Lygiuoti Lstel Pagal &Apai', 'Lygiuoti Lstel Pagal Apai|Lygiuoti lstels turin jos apaioje',
  // TrvActionTableCellVAlignDefault
  '&Nustatytas Vertikalus Lsteli Lygiavimas', 'Nustatytas Vertikalus Lsteli Lygiavimas|Nustatomas pastovus vertikalus lsteli lygiavimas',
  // TrvActionTableCellRotationNone
  '&Jokio Sukimo', 'Jokio sukimo|Pasukti lstels turin per 0',
  // TrvActionTableCellRotation90
  'Pasukti Lstel per &90', 'Pasukti Lstel per 90|Pasukti lstels turin per 90',
  // TrvActionTableCellRotation180
  'Pasukti Lstel per &180', 'Pasukti Lstel per 180|Pasukti lstels turin per 180',
  // TrvActionTableCellRotation270
  'Pasukti Lstel per &270', 'Pasukti Lstel per 270|Pasukti lstels turin per 270',
  // TrvActionTableProperties
  'Lentels &Savybs...', 'Lentels Savybs|Keiiamos paymtos lentels savybs ir nustatymai',
  // TrvActionTableGrid
  'Rodyti &Tinklel', 'Rodyti Tinklel|Rodomas arba paslepiamas lentels tinklelis',
  // TRVActionTableSplit
  'Pers&kelti Lentel', 'Perskelti Lentel|Lentel perskeliama  dvi lenteles pradedant nuo paymtos eiluts',
  // TRVActionTableToText
  'K&onvertuoti  Tekst...', 'Konvertuoti  Tekst|Lentel konvertuojama  tekst',
  // TRVActionTableSort
  '&Rikiuoti...', 'Rikiuoti|Rikiuojamos lentels eiluts',
  // TrvActionTableCellLeftBorder
  'Briauna &Kairje', 'Briauna Kairje|Rodoma arba slepiama kairioji lstels briauna',
  // TrvActionTableCellRightBorder
  'Briauna &Deinje', 'Briauna Deinje|Rodoma arba slepiam deinioji lstels briauna',
  // TrvActionTableCellTopBorder
  '&Virutin Briauna', 'Virutin Briauna|Rodoma arba slepiama lstels briauna viruje',
  // TrvActionTableCellBottomBorder
  '&Apatin Briauna', 'Apatin Briauna|Rodoma arba slepiama lstels briauna apaioje',
  // TrvActionTableCellAllBorders
  'V&isos Briaunos', 'Visos Briaunas|Rodomos arba slepiamos lstels briaunos',
  // TrvActionTableCellNoBorders
  '&Be Briaun', 'Be Briaun|Slepiamos visos lstels briaunos',
  // TrvActionFonts & TrvActionFontEx
  'ri&ftas...', 'riftas|Keiiamas paymto teksto riftas',
  // TrvActionFontBold
  'Pa&rykintas', 'Parykintas|Paymto teksto stilius keiiamas  parykint (pastorint)',
  // TrvActionFontItalic
  '&Kursyvas', 'Kursyvas|Paymto teksto stilius keiiamas  pakreipt',
  // TrvActionFontUnderline
  'Pa&brauktas', 'Pabrauktas|Paymto teksto stilius keiiamas  pabraukt',
  // TrvActionFontStrikeout
  '&Perbrauktas', 'Perbrauktas|Perbraukiamas paymtas tekstas',
  // TrvActionFontGrow
  '&Didinti rift', 'Didinti rift|Paymto teksto raidi auktis didinamas 10%',
  // TrvActionFontShrink
  '&Mainti rift', 'Mainti rift|Paymto teksto raidi auktis mainamas 10%',
  // TrvActionFontGrowOnePoint
  'D&idinti rift vienu punktu', 'Didinti rift vienu punktu|Paymto teksto raidi auktis didinamas vienu punktu',
  // TrvActionFontShrinkOnePoint
  'M&ainti rift vienu punktu', 'Mainti rift vienu punktu|Paymto teksto raidi auktis mainamas vienu punktu',
  // TrvActionFontAllCaps
  '&Visos Didiosios', 'Visos Didiosios|Paymto teksto raids keiiamos  didisias',
  // TrvActionFontOverline
  '&Ubraukimas', 'Ubraukimas|Paymto teksto viruje pieiama linija',
  // TrvActionFontColor
  '&Teksto Spalva...', 'Teksto Spalva|Keiiama paymto teksto spalva',
  // TrvActionFontBackColor
  'Teksto Pa&grindo Spalva...', 'Teksto Pagrindo Spalva|Keiiama paymto teksto pagrindo spalva',
  // TrvActionAddictSpell3
  'Patikrinti &Rayb', 'Patikrinti Rayb|Tikrinama rayba tekste',
  // TrvActionAddictThesaurus3
  '&Sinonim odynas', 'Sinonim odynas|Pasilomi sinonimai paymtame tekste',
  // TrvActionParaLTR
  'I Kairs  Dein', 'I Kairs  Dein|Paymt pastraip tekstui nustatoma Kairs-Deins kryptis',
  // TrvActionParaRTL
  'I Deins  Kair', 'I Deins  Kair|Paymt pastraip tekstui nustatoma Deins-Kairs kryptis',
  // TrvActionLTR
  'I Kairs  Dein Tekste', 'Tekstas i Kairs  Dein|Paymtam tekstui nustatoma Kairs-Deins kryptis',
  // TrvActionRTL
  'I Deins  Kair Tekste', 'Tekstas i Deins  Kair|Paymtam tekstui nustatoma Deins-Kairs kryptis',
  // TrvActionCharCase
  'Rayba ABC/abc/Abc', 'Keisti Rayb ABC/abc/Abc|Keiiama paymto teksto simboli rayba ABC/abc/Abc',
  // TrvActionShowSpecialCharacters
  '&Nespausdintini Simboliai', 'Nespausdintini Simboliai|Rodomi arba slepiami nespausdintini simboliai, tokie kaip pastraip yms, tabuliatoriai ir tarpai',
  // TrvActionSubscript
  'Ap&atinis indeksas', 'Indeksas|Paymtas tekstas keiiamas  apatin indeks',
  // TrvActionSuperscript
  '&Virutinis indeksas', 'Indeksas|Paymtas tekstas keiiamas  virutin indeks',
  // TrvActionInsertFootnote
  '&Pastabos', 'Pastabos|rayti pastab',
  // TrvActionInsertEndnote
  'Galins &Inaos', 'Galins Inaos|rayti galines inaas',
  // TrvActionEditNote
  'Re&daguoti Pastabas', 'Redaguoti Pastabas|Keiiamos pastabos ir inaos',
  '&Slpti', 'Slpti|Slepiamas ar rodomas pasirinktas fragmentas',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // TrvActionStyleTemplates
  '&Stiliai...', 'Stiliai|Atveriamas stili valdymo langas',
  // TrvActionAddStyleTemplate
  'Pri&dti Stili...', 'Pridti Stili|Sukuriamas naujas pastraipos ir teksto stilius',
  // TrvActionClearFormat,
  'I&valyti Formatavim', 'Ivalyti Formatavim|Ivalomi visi teksto ir pastraipos formatavimai paymtame fragmente',
  // TrvActionClearTextFormat,
  'Ivalyti &Teksto Formatavim', 'Ivalyti Teksto Formatavim|Ivalomi visi formatavimai i paymto teksto',
  // TrvActionStyleInspector
  'Stiliaus T&ikrintojas', 'Stiliaus Tikrintojas|Rodomas ar slepiamas Stiliaus Tikrintojas',
  {$ENDIF}
  // button captions: OK, Cancel, Close, Insert, Open, Save, Clear, Help, Remove -------
   'Gerai', 'Ataukti', 'Udaryti', 'terpti', '&Atverti...', '&Saugoti...', '&Valyti', '&Pagalba', 'Pa&naikinti',
  // Others  -------------------------------------------------------------------
  // percents
  'procentai',
  // left, top, right, bottom sides
  'Kair Pus', 'Virutin Pus', 'Dein Pus', 'Apatin Pus',
  // save changes? confirm title
  'Isaugoti keitimus  %s?', 'Patvirtinti',
  // warning: losing formatting
  '%s gali turti savybi kurios yra nesuderinamos su pasirinktu formatu.'#13+
  'Ar js norite isaugoti dokument iame formate?',
  // RVF format name
  'RichView Formatas',
  // Error messages ------------------------------------------------------------
  'Klaida',
  'Klaida atveriant fail.'#13#13'Galimos prieastys:'#13'- failo formatas yra nesuprantamas iai programai;'#13+
  '- failas yra sugadintas;'#13'- failas jau yra atvertas ir urakintas kitoje programoje.',
  'Klaida atveriant paveikslo fail.'#13#13'Galimos prieastys:'#13'- paveikslo failo formatas yra nesuprantamas iai programai;'#13+
  '- faile nra paveikslo;'#13+
  '- failas yra sugadintas;'#13'- failas jau yra atvertas ir urakintas kitoje programoje.',
  'Klaida saugant fail.'#13#13'Galimos prieastys:'#13'- nra vietos diske;'#13+
  '- diskas yra tik skaitymui;'#13'- nra dtos informacijos laikmenos;'#13+
  '- failas jau yra atvertas ir urakintas kitoje programoje;'#13'- informacijos laikmena yra sugadinta.',
  // File filters --------------------------------------------------------------
  // RVF, RTF, XML (for RichViewXML)
  'RichView Failai (*.rvf)|*.rvf',  'RTF Failai (*.rtf)|*.rtf' , 'XML Failai (*.xml)|*.xml',
  // Text - ansi, unicode, auto
  'Teksto Failai (*.txt)|*.txt', 'Teksto Failai - Unicode (*.txt)|*.txt', 'Teksto Failai - Automatinis nustatymas (*.txt)|*.txt',
  // open html (RVHtmlImporter), save HTML with CSS, save HTML without CSS
  'HTML Failai (*.htm;*.html)|*.htm;*.html', 'HTML (*.htm;*.html)|*.htm;*.html',
  'HTML - Supaprastintas (*.htm;*.html)|*.htm;*.html',
  // DocX
  'Microsoft Word Dokumentai (*.docx)|*.docx',
  // Search and replace --------------------------------------------------------
  // Search complete; String not found
  'Paieka Baigta', 'Iekoma eilut ''%s'' nerasta.',
  // 1 string replaced; Several strings replaced
  '1 eilut sukeista.', '%d eilui sukeista.',
  // continue search from the beginning/end?
  'Dokumento pabaiga pasiekta, tsti nuo dokumento pradios?',
  'Dokumento pradia pasiekta, tsti nuo dokumento pabaigos?',
  // Colors -------------------------------------------------------------------
  // Transparent, Auto
  'Permatoma', 'Nustatytoji',
  // Black, Brown, Olive Green, Dark Green, Dark Teal, Dark blue, Indigo, Gray-80%
  'Juoda', 'Ruda', 'Rusvai alia', 'Tamsiai alia', 'Tamsiai alsva-Mlyna', 'Tamsiai Mlyna', 'Indigo', 'Pilka-80%',
  // Dark Red, Orange, Dark Yellow, Green, Teal, Blue, Blue-Gray, Gray-50%
  'Tamsiai Raudona', 'Oranin', 'Tamsiai Geltona', 'alia', 'alsva-Mlyna', 'Mlyna', 'Pilkai-Mlyna', 'Pilka-50%',
  // Red, Light Orange, Lime, Sea Green, Aqua, Light Blue, Violet, Grey-40%
  'Raudona', 'Lengvai Oranin', 'Gelsva', 'Jrin alia', 'Akva', 'Lengvai Mlyna', 'Violetin', 'Pilka-40%',
  // Pink, Gold, Yellow, Bright Green, Turquoise, Sky Blue, Plum, Gray-25%
  'Roin', 'Auksin', 'Geltona', 'viesiai alia', 'Turkio', 'Dangaus', 'Tamsiai Violetin', 'Pilka-25%',
  // Rose, Tan, Light Yellow, Light Green, Light Turquoise, Pale Blue, Lavender, White
  'Roi', 'Gelsvai Ruda', 'viesiai Geltona', 'Lengvai alia', 'Lengvai Melsva', 'Blykiai Mlyna', 'viesiai Violetin', 'Balta',
  // color picker buttons: Transparent, Auto, More Colors, Default
  // (correspond to color names, but have hotkeys)
  'Per&matoma', '&Automatin', '&Daugiau Spalv...', '&Nustatyta',
  // Background Form -----------------------------------------------------------
  // Title, Color label, Position group-box, Background group-box, Sample text
  'Pagrindo fonas', '&Spalva:', 'Pozicija', 'Pagrindo vaizdas', 'Pavyzdys.',
  //positions: None, Full Window, Fixed Tiles, Tiles, Center,
  '&Jokia', 'I&plsta', '&Fiksuota vieta', '&Iklotine', '&Centre',
  // Padding button
  '&Poslinkis...',
  // Fill Color Form -----------------------------------------------------------
  // Title, Apply to, More Colors button, Padding button, Please select color
  'Upildo Spalva', 'Kam &aktyvuoti:', '&Daugiau Spalv...', '&Poslinkis...',
  'Pasirinkite spalv',
  // [apply to:] text, paragraph, table, cell
  'tekstui', 'pastraipai' , 'lentelei', 'lstelei',
  // Font Form -----------------------------------------------------------------
  // Title, Font tab, Layout tab
  'riftas', 'riftas', 'Idstymas',
  // Font Name, Font Size labels, Font Style group-box, Bold, Italic check-boxes
  '&riftas:', '&Dydis', '&Stilius', 'St&orintas', '&Kursyvas',
  // Script, Color, Back color labels, Default charset
  '&Indeksas:', '&Spalva:', '&Fonas:', '(Nustatytas)',
  // Effects group-box, Underline, Overline, Strikethrough, All Caps
  'Efektai', '&Pabraukimas', '&Ubrauktas', 'Per&brauktas', '&Visos Didiosios',
  // Sample, Sample text
  'Pavyzdys', 'Pavyzdinis tekstas',
  // Spacing group-box, Spacing label, Expanded, Condensed,
  'Tarpai tarp raidi', '&Tarpai:', '&Iplstas', '&Sutrauktas',
  // Offset group-box, Offset label, Down, Up,
  'Poslinkis', '&Poslinkis:', '&emyn', '&Virun',
  // Scaling group-box, Scaling
  'Mstelis', 'P&roporcijos:',
  // Sub/super script group box, Normal, Sub, Super
  'Apatinis ir virutinis indeksai', '&Normalus', 'Ap&atinis', 'V&irutinis',
  // 4 Sides Form --------------------------------------------------------------
  // Default Title; Top, Left, Bottom, Right, Equal values check-box
  'Poslinkis', '&Virus:', '&Kair:', '&Apaia:', '&Dein:', 'V&ienodi Dydiai',
  // Hyperlink Form ------------------------------------------------------------
  // Title, Group-box Title, Text, Target, <<Selected Fragment>>
  'terpti Hipernuorod', 'Hipernuoroda', 'Tekstas:', 'Nuoroda:', '<<pasirinkimas>>',
  // cannot open URL
  'Negalime susisiekti su "%s"',
  // hyperlink properties button, hyperlink style
  '&Derinti...', '&Stilius:',
  // Hyperlink Properties Form -------------------------------------------------
  // Title, Group-boxes: Normal colors, Active (highlight) olors
  'Hipernuorodos Savybs', 'Normalios spalvos', 'Aktyvios spalvos',
  // Text [color], Background [color]
  '&Teksto:', '&Fono',
  // Underline [color]
  'Pa&braukimas:',
  // Text [color], Background [color] (different hotkeys)
  'T&eksto:', 'F&ono',
  // Underline [color], Attributes group-box,
  'Pa&braukimas:', 'Poymiai',
  // Underline type: always, never, active (below the mouse)
  '&Pabraukimas:', 'visada', 'niekada', 'aktyvintas',
  // Same as normal check-box
  'Tokia kaip &normali',
  // underline active links check-box
  'Pa&braukti aktyvias nuorodas',
  // Insert Symbol Form --------------------------------------------------------
  // Title, Font name, Character set, Unicode
  'terpti enkl', '&riftas:', '&enkl sraas:', 'Unicode',
  // Unicode block
  '&Blokas:',
  // Character Code, Character Unicode Code, No Character
  'enklo kodas: %d', 'enklo kodas: Unicode %d', '(jokio enklo)',
  // Insert Table Form ---------------------------------------------------------
  // Title, Table size group-box, nCols, nRows,
  'terpti Lentel', 'Lentels dydis', '&Stulpeli skaiius:', '&Eilui skaiius:',
  // Table layout group-box, Autosize, Fit, Manual size,
  'Lentels planas', '&Autopltimasis', 'Sutapdinti su &lango dydiu', 'Nustatyti matmenis',
  // Remember check-box
  'siminti &matmenis naujoms lentelms',
  // VAlign Form ---------------------------------------------------------------
  'Pozicija',
  // Item Properties Form ------------------------------------------------------
  // Default checkbox
  {*} 'Default',
  // Title; Image, Position and size, Line, Table, Rows, Cells tabs
  'Savybs', 'Paveikslas', 'Vieta ir Dydis', 'Linija', 'Lentel', 'Eiluts', 'Lstels',
  // Image Appearance, Image Misc, Number tabs
  'Ivaizda', 'vairs', 'Skaiius',
  // Box position, Box size, Box appearance tabs
  'Vieta', 'Dydis', 'Ivaizda',
  // Preview label, Transparency group-box, checkbox, label
  'Perira:', 'Permatomumas', '&Permatoma', 'P&ermatoma spalva:',
  // change button, save button, no transparent color (use color right-bottom pixel)
  'Pa&keisti...', 'I&saugoti...', 'Autom.',
  // VAlign group-box (used 3 times) and label, bottom-baseline, middle-baseline, top, bottom, middle
  'Vertikalus lygiavimas', 'L&ygiuoti:',
  'apaioje pagal teksto linij', 'viduryje pagal teksto linij',
  'viruje pagal eiluts vir', 'apaioje pagal eiluts apai', 'viduryje pagal eiluts vidur',
  // align to left side, align to right side
  'kairje pusje', 'deinje pusje',
  // Shift By label, Stretch group box, Width, Height, Default size
  'P&astumti per:', 'Itempti', 'Pl&otis:', '&Auktis:', 'Nustatytas dydis: %d x %d',
  // Scale proportionally checkbox, Reset ("no stretch") button
  'Ididinti &proporcingai', 'P&radin bsena',
  // Inside the border, border, outside the border groupboxes
  'Viduje krat', 'Rmelis', 'Iorje krat',
  // Fill color, Padding (i.e. margins inside border) labels
  '&Upildo spalva:', '&Poslinkis:',
  // Border width, Border color labels
  'Rmelio &storis:', 'Rmelio s&palva:',
  // Horizontal and vertical spacing (i.e. margins outside border) labels
  '&Horizontalus tarpelis:', '&Vertikalus tarpelis:',
  // Miscellaneous groupbox, Tooltip label
  'vairs', '&Patarimas:',
  // web group-box, alt text
  'Tinklas', 'Pagalbinis &tekstas:',
  // Horz line group-box, color, width, style
  'Horizontali linija', '&Spalva:', '&Plotis:', 'S&tilius:',
  // Table group-box; Table Width, Color, CellSpacing,
  'Lentel', '&Plotis:', 'Upil&do spalva:', '&Tarpai tarp lsteli...',
  // Horizontal cellpadding, Vertical cellpadding, Border&Background groupbox
  '&Horizontalus lstels poslinkis:', '&Vertikalus lstels poslinkis:', 'Kratins ir fonas',
  // Visible table border sides button, auto width (in combobox), auto width label
  'Matomos &kratins...', 'Autom.', 'autom.',
  // Keep row content together checkbox
  'I&laikyti turin vientis',
  // Rotation groupbox, rotations: 0, 90, 180, 270
  'Pasukimas', '&Jokio', '&90', '&180', '&270',
  // Cell border label, Visible cell border sides button,
  'Kratin:', 'Matomos &kratins...',
  // Border, CellBorders buttons
  '&Lentels Rmelis...', 'Lsteli &Briaunos...',
  // Table border, Cell borders dialog titles
  'Lentels Rmelis', 'Nustatytos Lsteli Briaunos',
  // Table Printing group-box, KeepOnPage checkbox, HeadingRows, HeadingRowsTip labels
  'Spausdinimas', 'Talpinti Lentel Viename La&pe', '&Antratini Eilui skaiius',
  'Antratins eiluts kartojamos kiekviename lentels lape',
  // top, center, bottom, default
  '&Virus', '&Centras', '&Apaia', '&Nustatyta',
  // Cell Settings group-box, BestWidth, BestHeight, FillColor
  'Nustatymai', 'Pageidaujamas &plotis:', '&Auktis maiausiai:', 'Upil&do spalva:',
  // Cell Border group-box,, VisibleSides; shadow, light, border colors
  'Briauna', 'Matomos briaunos:',  'elio &spalva:', '&Lengva spalva', '&Spalva:',
  // Background image
  '&Fono Paveikslas...',
  // Horizontal position, Vertical position, Position in text groupboxes and listitems
  'Horizontali padtis', 'Vertikali padtis', 'Vieta tekste',
  // Position types: align, absolute, relative
  'Lygiuota', 'Absoliuti padtis', 'Santykin padtis',
  // [Align] left side, center, right side
  'kairje lauko pusje kairje',
  'centruota lauke centre',
  'deinje lauko pusje deinje',
  // [Align] top side, center, bottom side
  'viruje lauko viruje',
  'centruota lauke centre',
  'apaioje lauko apaioje',
  // [Align] relative to
  'santykinai su',
  // [Position] to the right of the left side of
  'i deins kairje krato pusje',
  // [Position] below the top side of
  'emiau virutinio krato',
  // Anchors: page, main text area (x2)
  '&Lapas', '&Pagrindin teksto sritis', 'L&apas', 'Pagrindin te&ksto sritis',
  // Anchors: left margin, right margin
  '&Kairin riba', '&Deinioji riba',
  // Anchors: top margin, bottom margin, inner margin, outer margin
  '&Virutin riba', '&Apatin riba', 'V&idin riba', 'I&orin riba',
  // Anchors: character, line, paragraph
  '&enklas', 'L&inija', 'Pa&straipa',
  // Mirrored margins checkbox, layout in table cell checkbox
  'Veid&rodins ribos', 'I&dstymas lentels lstelje',
  // Above text, below text
  '&Viruje teksto', '&Apaioje teksto',
  // Width, Height groupboxes, Width, Height labels
  'Plotis', 'Aukitis', '&Plotis:', '&Auktis:',
  // Auto height label, Auto height combobox item
  'Autom.', 'autom.',
  // Vertical alignment groupbox; alignments: top, center, bottom
  'Vertikalus lygiavimas', '&Virus', '&Centras', '&Apaia',
  // Border and background button and title
  '&Rmelis ir splava...', 'Lauko Rmelis ir Spalva',
  // Paste Special Form --------------------------------------------------------
  //Title, Label; Formats: RTF, HTML, Text, UnicodeText, BMP, WMF, graphic files
  'Terpti ypatingai', '&terpti kaip:', '"Rich text" formatas', 'HTML formatas',
  'Tekstas', 'Unicode tekstas', '"Bitmap" paveikslas', '"Metafile" paveikslas',
  'Grafiniai failai', 'Nuoroda',
  // Options group-box, styles
  'Nustatymai', '&Stiliai:',
  // style options: apply target styles, use source styles, ignore styles
  'pritaikyti nurodyto dokumento stilius', 'ilaikyti stilius ir ivaizd',
  'ilaikyti ivaizd, ignoruoti stilius',
  // List Gallery Form ---------------------------------------------------------
  // Title; Bulleted, Numbered tabs; Bulleted, Numbered group-boxes
  'ymjimas ir Numeravimas', 'ymjimas', 'Numeravimas', 'ymjim sraai', 'Numeruoti sraai',
  // Customize, Reset, None
  '&Prisitaikyti...', '&Naujai', 'Joks',
  // Numbering: continue, reset to, create new
  'tsti numeravim', 'nustatyti nauj numeravim ', 'sukurti nauj sra, pradedant nuo',
  // List Gallery 2 Form (HTML) -----------------------------------------------
  // Numbering type
  'Didiosios Raids', 'Didiosios Romnikos', 'Deimtainis', 'Maosios Raids', 'Maosios Romnikos',
  // Bullet type
  'Aspkritimai', 'Ratukai', 'Kvadratukai',
  // Level, Start from, Continue numbering, Numbering group-box
  '&Lygis:', '&Pradti nuo:', '&Tsti', 'Numeravimas',
  // Customize List Form -------------------------------------------------------
  // Title, Levels, Level count, List properties, List type,
  'Keisti srao ymes', 'Lygiai', '&Skaiius:', 'Srao savybs', '&Srao tipas:',
  // List types: bullet, image
  'ymjimas', 'paveikslas', 'terpti Skaii|',
  // Number format, Number, Start level from, Font button
  '&Skaii formatas:', 'Skaiius', '&Pradti lygio numeravim nuo:', '&riftas...',
  // Image button, bullet character, Bullet button,
  '&Paveikslas...', 'yms &enklas', '&ymjimas...',
  // Position of list text, bullet, number, image, text
  'Teksto srae pozicija', 'ymjimo pozicija', 'Skaiiaus pozicija', 'Paveikslo pozicija', 'Teksto pozicija',
  // at, left indent, first line indent, from left indent
  '&nuo:', '&Kairioji trauka:', '&Pirmos eiluts trauka:', 'nuo kairiosios traukos',
  // [only] one level preview, preview
  '&Vieno lygio perira', 'Perira',
  // Preview text
  'Text tekstas text tekstas text. Text tekstas text tekstas text. Text tekstas text tekstas text. Text tekstas text tekstas text. Text tekstas text tekstas text. Text tekstas text tekstas text.',
  // marker align: left side of marker is aligned [at ...],
  // right side of marker is aligned [at ...], center of marker is aligned [at ...]
  'lygiuoti kairje', 'lygiuoti deinje', 'centre',
  // level #, this level (for combo-box)
  'Lygis %d', 'is lygis',
  // Marker character dialog title
  'Keisti ymjimo enkl',
  // Paragraph Border and Backgound Form ---------------------------------------
  // Title; Border, Background tabs
  'Pastraipos Rmelis ir Pagrindas', 'Rmelis', 'Pagrindas',
  // Settings group-box; Color, Width, Internal width labels; Offsets button
  'Nustatymai', '&Spalva:', '&Plotis:', 'Vidinis p&lotis:', 'P&oslinkis...',
  // Sample, Border type group-boxes;
  'Pavyzdys', 'Rmelio tipas',
  // Border types: none, single, double, tripple, thick inside, thick outside
  '&Jokio', '&Viengubas', '&Dvigubas', '&Trigubas', 'Storas vid&uje', 'Storas &iorje',
  // Fill color group-box; More colors, padding buttons
  'Upildo spalva', '&Daugiau spalv...', '&Poslinkis...',
  // preview text
  'Text tekstas text tekstas text. Text tekstas text tekstas text. Text tekstas text tekstas text.',
  // title and group-box in Offsets dialog
  'Poslinkis', 'Rmelio poslinkis',
  // Paragraph Form ------------------------------------------------------------
  // Form title; Alignment group-box; alignments: left, right, center, justify, distribute
  'Pastraipa', 'Lygiavimas', '&Kairje', '&Deinje', '&Centre', '&Kratuose', {*} '&Distribute',
  // Last line alignment, auto, left, right, center, justify
  {*} 'Las&t line:', 'auto', 'left', 'right', 'center', 'both',
  // Spacing group-box; spacing before, after, between lines, [spacing] by
  'Tarpai', 'P&rie:', 'P&o:', 'Eilui &tarpai:', 'per:',
  // Indents group-box; indents: left, right, first line
  'traukos', 'K&airioji:', 'D&einioji:', '&Pirmos eiluts:',
  // indented, hanging
  'tra&ukta', 'Ka&banti', 'Pavyzdys',
  // line spacing: single, 1.5 lines, double, at least, exactly, multiple
  'Vienos eiluts', '1.5 eiluts', 'Dviej eilui', 'Bent', 'Tiksliai', 'Didesnis',
  // preview text
  'Text tekstas text tekstas text. Text tekstas text tekstas text. Text tekstas text tekstas text. Text tekstas text tekstas text. Text tekstas text tekstas text. Text tekstas text tekstas text.',
  // tabs: Indents and spacing, Tabs, Advanced
  'traukos ir idstymas', 'Tabuliatoriai', {*} 'Advanced',
  // tab stop position label; buttons: set, delete, delete all
  '&Tabuliatoriaus sustojimai:', '&Nustatyti', '&Naikinti', 'Panaikinti &Visus',
  // tab align group; left, right, center aligns,
  'Lygiavimas', '&Kairje', '&Deinje', '&Centre',
  // leader radio-group; no leader
  'Punktyras', '(jokio)',
  // tab stops to be deleted, delete none, delete all labels
  'Naikinami tabuliatoriai:', '(jokio)', 'Visi.',
  // Pagination group-box, keep with next, keep lines together
  'Puslapi numeracija', '&Kartu su tekstu', '&Ilaikyti eilutes kartu',
  // Outline level, Body text, Level #
  '&Bendras lygis:', 'Pirminis Tekstas', 'Lygis %d',
  // Preview Form --------------------------------------------------------------
  // Title; page width, full pages; pages label
  'Spausdinimo Perira', 'Lapo plotis', 'Visas lapas', 'Lapai:',
  // Invalid Scale, [page #] of #
  'veskite skii nuo 10 iki 500', 'i %d',
  // Hints on buttons: first, prior, next, last pages
  'Pirmas Lapas', 'Ankstesnis Lapas', 'Sekantis Lapas', 'Paskutinis Lapas',
  // Cell Spacing Form ---------------------------------------------------------
  // Title, groupbox, between cells, from table border to cells
  'Tarpai tarp lsteli', 'Tarpai', '&Tarp lsteli', 'Nuo lentels rmelio iki lsteli',
  // vertical, horizontal (x2)
  '&Vertikaliai:', '&Horizontaliai:', 'V&ertikaliai:', 'H&orizontaliai:',
  // Table Borders Form --------------------------------------------------------
  // Title; Settings group-box; Color, light color, shadow color
  'Rmeliai', 'Nustatymai', '&Spalva:', '&viesi spalva:', 'elio &spalva:',
  // Width; Border type group-box;
  '&Plotis:', 'Rmelio tipas',
  // Border types: none, sunken, raised, flat
  '&Joks', 'd&ubs', '&Ikils', '&Plokias',
  // Split Cells Form ----------------------------------------------------------
  // title, group-box
  'Perskelti', 'Perskelti ',
  // split to specified number of rows and cols, split to original cells (unmerge)
  '&nurodyt kiek eilui ir stulpeli', '&Originalias lsteles',
  // number of columns, rows, merge before
  '&Stulpeli skaiius:', '&Eilui skaiius:', '&Sujungti prie perskeliant',
  // to original cols, rows check-boxes
  'Perskelti  originalius s&tulpelius', 'Perskelti  originalias ei&lutes',
  // Add Rows form -------------------------------------------------------------
  'terpti Eilutes', 'Eilui &skaiius:',
  // Page Setup form -----------------------------------------------------------
  // title, Page tab, Header&Footer tab
  'Lapo nustatymai', 'Lapas', 'Antrat ir Inaos',
  // margins group-box, left, right, top, bottom
  'Ribos (millimetrais)', 'Ribos (coliais)', '&Kair:', '&Virus:', '&Dein:', '&Apaia:',
  // mirror margins check-box
  '&Veidrodins ribos',
  // orientation group-box, portrait, landscape
  'Orientacija', '&Portretas', 'Pei&zaas',
  // paper group-box, paper size, default paper source
  'Popierius', '&Dydis:', 'alt&inis:',
  // header group-box, print on the first page, font button
  'Antrat', '&Tekstas:', '&Antrat pirmame lape', '&riftas...',
  // header alignments: left, center, right
  '&Kairje', '&Centre', '&Deinje',
  // the same for footer (different hotkeys)
  'Inaos', 'Te&kstas:', 'Inaos pirmame &lape', 'ri&ftas...',
  'K&airje', 'Ce&ntre', 'D&einje',
  // page numbers group-box, start from
  'Lap numeravimas', '&Pradti nuo:',
  // hint about codes
  'Ypatingos enkl kombinacijos:'#13'&&p - lapo numeris; &&P - lap skaiius; &&d - dabartin data; &&t - dabartinis laikas.',
  // Code Page form ------------------------------------------------------------
  // title, label
  'Tekstinio Failo Koduot', '&Pasirinkite failo kodavim:',
  // thai, japanese, chinese (simpl), korean
  'Tai', 'Japon', 'Kin (Supaprastintas)', 'Korjiei',
  // chinese (trad), central european, cyrillic, west european
  'Kin (Tradicinis)', 'Centrins ir Ryt Europos', 'Kirilica', 'Vakar Europos',
  // greek, turkish, hebrew, arabic
  'Graik', 'Turk', 'Hebraj', 'Arab',
  // baltic, vietnamese, utf-8, utf-16
  'Balt', 'Vietnamiei', 'Unicode (UTF-8)', 'Unicode (UTF-16)',
  // Style form ----------------------------------------------------------------
  'Vaizdinis Stilius', '&Pasirinkite stili:',
  // Delimiter form ------------------------------------------------------------
  // title, label
  'Konvertuoti  Tekst', 'Pasirinkite &skyrikl:',
  // line break, tab, ';', ','
  'nauja eilut', 'tabuliacija', 'kabliatakis', 'kablelis',
  // Table sort form -----------------------------------------------------------
  // error message
  'Lentel turinti sujungtas eilutes negali bti surikiuota',
  // title, main options groupbox
  'Lentels Rikiavimas', 'Rikiavimas',
  // sort by column, case sensitive
  '&Rikiavimas pagal stulpel:', '&Didisias ir masias raides skiriantis',
  // heading row, range or rows
  'Nerikiuoti &virutins eiluts', 'Rikiuoti eilutes: nuo %d iki %d',
  // order, ascending, descending
  'Tvarka', '&Didjanti', '&Majanti',
  // data type, text, number
  'Tipas', '&Tekstas', '&Skaiius',
  // Insert number form --------------------------------------------------------
  // title, properties groupbox, counter name, numbering type
  'terpti Skaii', 'Savybs', '&Skaitliuko vardas:', '&Numeravimo tipas:',
  // numbering groupbox, continue, start from
  'Numeravimas', '&Tsti', '&Pradti nuo:',
  // Insert caption form -------------------------------------------------------
  // title, label, exclude label checkbox
  'Antrat', '&Etiket:', '&Netraukti etikets  antrat',
  // position radiogroup
  'Vieta', '&Vir pasirinkto objekto', '&emiau pasirinkto objekto',
  // caption text
  'Antrats &tekstas:',
  // Default sequences ---------------------------------------------------------
  // numbering, figure, table
  'Numeravimas', 'Diagrama', 'Lentel',
  // visible sides form --------------------------------------------------------
  // Title, Groupbox
  'Matomos rmelio kratins', 'Rmelis',
  // Left, Top, Right, Bottom checkboxes
  '&Kair kratin', '&Virutin kratin', '&Din kratin', '&Apatin kratin',
  // Ruler ---------------------------------------------------------------------
  // Hints: table column resize, row resize
  'Keisti Lentels Stulpelio Dyd(ilg)', 'Keisti Lentels Eiluts Dyd(aukt)',
  // Hints on indents: first line, left (together with first), left (without first), right
  'Pirmos Eiluts trauka', 'Kairioji trauka', 'Kabanti trauka', 'Deinioji trauka',
  // Hints on lists: up one level (left), down one level (right)
  'Vienu lygiu aukiau', 'Vienu lygiu emiau',
  // Hints for margins: bottom, left, right and top
  'Apatin riba', 'Kairioji riba', 'Deinioji riba', 'Virutin riba',
  // Hints for tabs: left, right, center, decimal (reserved) aligned
  'Kairiojo Lygiavimo Tabuliatorius', 'Deinio Lygiavimo Tabuliatorius', 'Vidurio (Centre) Lygiavimo Tabuliatorius', '(De)imtj Lygiavimo Tabuliatorius',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // Standard styles -----------------------------------------------------------
  // Normal, Normal Indent, No Spacing, Heading %d, List Paragraph
  'Normalus', 'Normalus trauktas', 'Joki tarp', 'Antrat %d', 'Srao Pastraipa',
  // Hyperlink, Title, Subtitle
  'Nuoroda', 'Pavadinimas', 'Paantrat',
  // Emphasis, Subtle Emphasis, Intense Emphasis, Strong
  'Irykinimas', 'Subtilus Irykinimas', 'Intensyvus Irykinimas', 'Stiprus',
  // Quote, Intense Quote, Subtle Reference, Intense Reference
  'Citata', 'Ryki Citata', 'Subtilus Paminjimas', 'Rykus Paminjimas',
  // Block Text, HTML Variable, HTML Code, HTML Acronym,
  'Blokinis Tekstas', 'HTML Kintamasis', 'HTML Kodas', 'HTML Akronimas',
  // HTML Definition, HTML Keyboard, HTML Sample, HTML Typewriter,
  'HTML Apibrimas', 'HTML Klaviatra', 'HTML Pavyzdys', 'HTML Raomoji-mainl',
  // HTML Preformatted, HTML Cite, Header, Footer, Page Number
  'HTML Preformatuotas', 'HTML Citavimas', 'Antrat', 'Apaia', 'Puslapio Numeris',
  // Caption
  'Antrat',
  // Endnote Reference, Footnote Reference, Endnote Text, Footnote Text
  'Ina Nuorodos', 'Pastab Nuorodos', 'Ina Tekstas', 'Pastab Tekstas',
  // Sidenote Reference, Sidenote Text
  'inuts Nuoroda', 'inuts Tekstas',
  // Style description ---------------------------------------------------------
  // color, background color, transparent, default [color], underline color,
  'spalva', 'fono spalva', 'permatoma', 'numatytoji', 'pabraukimo spalva',
  // default background color, default text color, [color] same as text
  'numatytoji fono spalva', 'numatytoji teksto spalva', 'tokia pati kaip teksto',
  // underline types: single, thick, double, dotted, thick dotted, dashed
  'viengubas', 'storas', 'dvigubas', 'takuotas', 'storas takuotas', 'brkniuotas',
  // underline types: thick dashed, long dashed, thick long dashed,
  'storas brkniuotas', 'ilgi brkniai', 'stori ilgi brkniai',
  // underline types: dash dotted, thick dash dotted,
  'brknys-takas', 'storas brknys-takas',
  // underline types: dash dot dotted, thick dash dot dotted
  'brknys-takas takuotas', 'storas brknys-takas takuotas',
  // sub/superscript: not, subsript, superscript
  'be apat./vir. indekso', 'apatinis indeksas', 'virutinis indeksas',
  // bi-di mode, inherited [bi-di mode], LTR, RTL
  'bi-di bdas:', 'paveldtas', 'i kairs  dein', 'i deins  kair',
  // bold, not bold
  'storintas', 'nestorintas',
  // italic, not italic
  'kursyvas', 'nebe kursyvas',
  // underlined, not underlined, default underline
  'pabrauktas', 'nepabrauktas', 'numatytasis pabraukimas',
  // struck out, not struck out
  'perbrauktas', 'neperbrauktas',
  // overlined, not overlined
  'ubrauktas', 'neubrauktas',
  // all capitals: yes, all capitals: no
  'visos didiosios', 'nebe visos didiosios',
  // vertical shift: none, by x% up, by x% down
  'be vertikalaus poslinkio', 'paslinkta per %d%% virun', 'paslinkta per %d%% apaion',
  // characters width [: x%]
  'simboli plotis',
  // character spacing: none, expanded by x, condensed by x
  'normals simboli tarpai', 'tarpai praplsti per %s', 'tarpai sutraukti per %s',
  // charset
  'skriptas',
  // default font, default paragraph, inherited attributes [of font, paragraph attributes, etc.]
  'numatytasis riftas', 'numatytoji pastraipa', 'paveldta',
  // [hyperlink] highlight, default hyperlink attributes
  'paymta', 'numatyta',
  // paragraph alignment: left, right, center, justify, distribute
  'kairysis lygiavimas', 'deinysis lygiavimas', 'centruota', 'abipus lygiuot', {*} 'distributed',
  // last line alignment: auto, left, right, center, justify
  {*} 'last line is auto-aligned', 'last line is left aligned', 'last line is right aligned',
  {*} 'last line is centered', 'last line is aligned to both sides',
  // line height: x%, space between lines: x, line height: at least x, line height: exactly x
  'eiluts auktis: %d%%', 'tarpas tarp eilui: %s', 'eiluts auktis: bent %s',
  'eiluts aukts: tiksliai %s',
  // no wrap, wrap
  'eilui klimas udrastas', 'eilui klimas',
  // keep lines together: yes, no
  'ilaikyti eilutes kartu', 'nelaikyti eilui kartu',
  // keep with next: yes, no
  'ilaikyti su sekania pastraipa', 'nelaikyti su sekania pastraipa',
  // read only: yes, no
  'tik skaitymas', 'redaguojamas',
  // body text, heading level x
  'bendras lygis: pirminis tekstas', 'lygis: %d',
  // indents: first line, left, right
  'pirmos eiluts trauka', 'kairin trauka', 'deinin trauka',
  // space before, after
  'tarpas prie', 'tarpas po',
  // tabs, no tabs, tab alignment, tab alignment: left, right, center
  'tabuliatoriai', 'joki', 'vieta', 'kair', 'dein', 'centras',
  // tab leader (filling character)
  'skirtukas',
  // no, yes
  'ne', 'taip',
  // [padding/spacing/side:] left, top, right, bottom
  'kair', 'virus', 'dein', 'apaia',
  // border: none, single, double, triple, thick inside, thick outside
  'jokio', 'viengubas', 'dvigubas', 'trigubas', 'storas viduje', 'storas iorje',
  // background, border, padding, spacing [between text and border]
  'fonas', 'kratas', 'atitraukimas', 'tarpas',
  // border: style, width, internal width, visible sides
  'stilius', 'plotis', 'vidinis plotis', 'matomi kratai',
  // style inspector -----------------------------------------------------------
  // title
  'Styliaus Tikrintojas',
  // style, no style, paragraph, font, attributes (of font/paragraph)
  'Stilius', '(Jokio)', 'Pastraipa', 'riftas', 'Poymiai',
  // border and background, hyperlink, standard [style]
  'Kratai ir fonas', 'Nuoroda', '(Standartinis)',
  // Styles Form ---------------------------------------------------------------
  // title, style group-box
  'Stiliai', 'Stilius',
  // name, applicable to,
  '&Vardas:', 'Pri&taikomas:',
  // based on, based on (no &),
  '&Paremtas:', 'Paremtas:',
  //  next style, next style (no &)
  'Se&kanios pastraipos stilius:', 'Sekanios pastraipos stilius:',
  // quick access check-box, description and preview
  '&Greitoji prieiga', 'Apray&mas ir perira:',
  // [applicable to:] paragraph and text, paragraph, text
  'pastraipa ir tekstas', 'pastraipa', 'tekstas',
  // text and paragraph styles, default font
  'Teksto ir Pastraipos Stiliai', 'Numatytasis riftas',
  // links: edit, reset, buttons: add, delete
  'Redaguoti', 'Naujai nustatyti', 'Pri&dti', 'I&trinti',
  // add standard style, add custom style, default style name
  'Pridti &Standartin Stili...', 'Pridti &Individul Stili', 'Stilius %d',
  // choose style
  'Pasirinkti &stili:',
  // import, export,
  '&Importuoti...', '&Eksportuoti...',
  // Style Import Form ---------------------------------------------------------
  // RichViewStyles filter, load error, no styles
  'RichView Stiliai (*.rvst)|*.rvst', 'Klaida ukraunant fail', 'iame faile nra joki stili',
  // Title, group-box, import styles
  'Importuoti Stilius i Failo', 'Importuoti', 'I&mportuoti stilius:',
  // existing styles radio-group: Title, override, auto-rename
  'Esantys stiliai', '&perrayti', 'pri&dti pervardint',
  // Select, Unselect, Invert,
  'Pa&ymti', 'A&tymti', '&Invertuoti',
  // select/unselect: all styles, new styles, existing styles
  '&Visi Stiliai', '&Naujas Stilius', '&Esantys Stiliai',
  // Style Combo-box -----------------------------------------------------------
  // clear format, more styles
  'Valyti Formatavim', 'Visi Stiliai',
  // dialog title, prompt
  'Stiliai', '&Pasirinktas stilius taikymui:',
  {$ENDIF}
  // spelling check and thesaurus ----------------------------------------------
  '&Sinonimai', '&Ignoruoti Visus', '&rayti  odyn',
  // Progress messages ---------------------------------------------------------
  'Siuniama %s', 'Ruoiamasi spausdinti...', 'Spausdinamas lapas %d',
  'Konvertuojama i RTF...',  'Konvertuojama  RTF...',
  'Skaitoma %s...', 'Raoma %s...', 'tekstas',
  // Edit note -----------------------------------------------------------------
  // Titles: No note, Footnote, Endnote, Sidenote, Text box
  'Joki pastab', 'Pastaba', 'Inaa', 'inut', 'Teksto laukelis'
  );


initialization
  RVA_RegisterLanguage(
    'Lithuanian', // english language name, do not translate
    'Lietuvi',   // native language name
    BALTIC_CHARSET, @Messages);

end.
