{*******************************************************}
{                                                       }
{       RichViewActions                                 }
{       Polish translation                              }
{                                                       }
{       Copyright (c) 2002-2003, Sergey Tkachenko       }
{       svt@trichview.com                               }
{       http://www.trichview.com                        }
{                                                       }
{*******************************************************}
{ Translated: 2004-10-04 by Grzegorz Rewucki            }
{                           rewucki@rewucki.pl          }
{                           http://www.rewucki.pl       }
{ Updated: 2010-03-14 by Tomasz Trejderowski            }
{ Updated: 2010-04-06 by Bogusaw Kaleta                }
{ Updated: 2011-02-09 by Grzegorz Rewucki               }
{ Updated: 2011-09-15 by Grzegorz Rewucki               }
{ Updated: 2012-08-31 by Grzegorz Rewucki               }
{ Updated: 2014-04-20 by Grzegorz Rewucki               }
{*******************************************************}

unit RVAL_Polish;
{$I RV_Defs.inc}
interface

implementation
uses Windows, RVALocalize;

const
  Messages: TRVAMessages =
  (
  '',
  // units: inches, cm, mm, picas, pixels, points
  'cale', 'cm', 'mm', 'pica', 'piksele', 'punkty',
  // units : [n] inches, [n] cm, [n] mm, [n] picas, [n] pixels, [n] points
  '''''', 'cm', 'mm', 'pc', 'px', 'pkt',
  // not used in actions, but can be useful: common menus:
  // top-level menus: File, Format, Text, Paragraph, Insert, Table, Window, Help
  '&Plik', '&Edycja', 'F&ormat', '&Czcionka', '&Akapit', 'W&staw', '&Tabela', '&Okno', 'Pomo&c',
  // exit
  'Za&kocz',
  // top-level menus: View, Tools,
  '&Widok', '&Narzdzia',
  // menus: Font size, Font style, Table select, Table cell align, table cell borders
  '&Rozmiar', '&Styl czcionki', '&Zaznacz', 'Wyrw&nanie komrek', 'Obra&mowanie komrek',
  // menus: Table cell rotation
  'Obracanie kom&rek',
  // menus: Text flow, Footnotes/endnotes
  'Prz&epyw tekstu', '&Przypisy',
  // ribbon tabs: tab1, tab2, view, table
  'Narzdzia &gwne', 'Z&aawansowane', 'Wid&ok', '&Tabela',
  // ribbon groups: clipboard, font, paragraph, list, editing
  'Schowek', 'Czcionka', 'Akapit', 'Lista', 'Edytowanie',
  // ribbon groups: insert, background, page setup,
  'Wstawianie', 'To strony', 'Ustawienia strony',
  // ribbon groups: links, footnotes, document views, show/hide, zoom, options,
  'cza', 'Przypisy', 'Widoki dokumentu', 'Pokazywanie/ukrywanie', 'Powikszenie', 'Opcje',
  // ribbon groups on table tab: insert, delete, operations, borders
  'Wstaw', 'Usu', 'Operacje', 'Obramowanie',
  // ribbon groups: styles
  'Style',
  // ribbon screen tip footer,
  'F1 - pomoc',
  // ribbon app menu: recent files, save-as menu title, print menu title
  'Niedawno uywane dokumenty', 'Zapisz kopi dokumentu', 'Wywietl podgld dokumentu i wydrukuj go',
  // ribbon label: units combo
  'Miara:',
  // actions -------------------------------------------------------------------
  // TrvActionNew
  '&Nowy', 'Nowy|Tworzy nowy dokument',
  // TrvActionOpen
  '&Otwrz...', 'Otwrz|Otwiera istniejcy dokument',
  // TrvActionSave
  '&Zapisz', 'Zapisz|Zapisuje aktywny dokument',
  // TrvActionSaveAs
  'Zapisz j&ako...', 'Zapisz jako...|Zapisuje aktywny dokument pod now nazw',
  // TrvActionExport
  '&Eksportuj...', 'Exportuj|Eksportuje aktywny dokument do innego formatu',
  // TrvActionPrintPreview
  '&Podgld wydruku', 'Podgld wydruku|Wywietla pene strony',
  // TrvActionPrint
  '&Drukuj...', 'Drukuj|Ustawia waciwoci drukowania i drukuje aktywny dokument',
  // TrvActionQuickPrint
  '&Drukuj', '&Szybkie drukowanie', 'Drukuj|Drukuje aktywny dokument',
  // TrvActionPageSetup
  '&Ustawienia strony...', 'Ustawienia strony|Zmienia ustawienia ukadu strony',
  // TrvActionCut
  'Wyt&nij', 'Wytnij|Wycina zaznaczony fragment i umieszcza go w Schowku',
  // TrvActionCopy
  '&Kopiuj', 'Kopiuj|Kopiuje zaznaczony fragment i umieszcza go w Schowku',
  // TrvActionPaste
  'Wkl&ej', 'Wklej|Wstawia zawarto Schowka',
  // TrvActionPasteAsText
  'Wklej jako &tekst', 'Wklej jako tekst|Wstawia zawarto schowka jako tekst',
  // TrvActionPasteSpecial
  'Wklej &specjalnie...', 'Wklej specjalnie|Wstawia zawarto schowka umoliwiajc wybr formatu',
  // TrvActionSelectAll
  'Z&aznacz wszystko', 'Zaznacz wszystko|Zaznacza cay dokument',
  // TrvActionUndo
  'Co&fnij', 'Cofnij|Cofa ostatni czynno',
  // TrvActionRedo
  '&Ponw', 'Ponw|Ponawia ostatnio cofnit czynno',
  // TrvActionFind
  '&Znajd...', 'Znajd|Znajduje podany tekst',
  // TrvActionFindNext
  'Znajd &nastpny', 'Znajd nastpny|Powtarza ostatnie wyszukiwanie',
  // TrvActionReplace
  'Za&mie...', 'Zamie|Znajduje i zamienia podany tekst',
  // TrvActionInsertFile
  '&Plik...', 'Wstaw plik|Wstawia zawarto pliku',
  // TrvActionInsertPicture
  '&Obraz...', 'Wstaw obraz|Wstawia obraz',
  // TRVActionInsertHLine
  '&Linia pozioma', 'Wstaw lini poziom|Wstawia lini poziom',
  // TRVActionInsertHyperlink
  '&Hipercze...', 'Wstaw hipercze|Wstawia hipercze',
  // TRVActionRemoveHyperlinks
  '&Usu odnoniki', 'Usu odnoniki|Usuwa wszystkie odnoniki w zaznaczonym tekcie',
  // TrvActionInsertSymbol
  '&Symbol...', 'Wstaw symbol|Wstawia symbol',
  // TrvActionInsertNumber
  '&Licznik...', 'Wstaw licznik|Wstawia licznik',
  // TrvActionInsertCaption
  'Wstaw &podpis...', 'Wstaw podpis|Wstawia podpis wybranego obiektu',
  // TrvActionInsertTextBox
  'Przypis &ssiadujacy', 'Wstaw przypis ssiadujcy|Wstawia przypis ssiadujcy z miejcem wstawienia',
  // TrvActionInsertSidenote
  'Przypis &boczny', 'Wstaw przypis boczny|Wstawia przypis boczny',
  // TrvActionInsertPageNumber
  '&Numer strony', 'Wstaw numer strony|Wstawia numer strony',
  // TrvActionInsertPageCount
  {*} 'Page Count', 'Insert Page Count|Inserts a count of pages',
  // TrvActionParaList
  'Wy&punktowanie i numerowanie...', 'Wypunktowanie i numerowanie|Zmienia ustawienia wypunktowania i numerowania w zaznaczonych akapitach',
  // TrvActionParaBullets
  '&Wypunktowanie', 'Wypunktowanie|Dodaje bd usuwa wypunktowanie akapitu',
  // TrvActionParaNumbering
  '&Numerowanie', 'Numerowanie|Dodaje bd usuwa numerowanie akapitu',
  // TrvActionColor
  'Kolor &ta...', 'Kolor ta|Zmienia ustawienia koloru ta dokumentu',
  // TrvActionFillColor
  'Kolor &wypenienia...', 'Kolor wypenienia|Zmienia kolor wypenienia zaznaczonego elementu',
  // TrvActionInsertPageBreak
  'Wstaw znak podzia&u strony', 'Wstaw znak podziau strony|Wstawia znak podziau strony',
  // TrvActionRemovePageBreak
  '&Usu znak podziau strony', 'Usu znak podziau strony|Usuwa znak podziau strony',
  // TrvActionClearLeft
  'Usu przepyw tekstu po &lewej stronie', 'Usu przepyw tekstu po lewej stronie|Umieszcza ten paragraf poniej dowolnego obrazka z wyrwnaniem do lewego marginesu',
  // TrvActionClearRight
  'Usu przepyw tekstu po &prawej stronie', 'Usu przepyw tekstu po prawej stronie|Umieszcza ten paragraf poniej dowolnego obrazka z wyrwnaniem do prawego marginesu',
  // TrvActionClearBoth
  'Usu przepyw tekstu po &obu stronach', 'Usu przepyw tekstu po obu stronach|Umieszcza ten paragraf poniej dowolnego obrazka z wyrwnaniem do obu marginesw',
  // TrvActionClearNone
  '&Normalny przeyw tekstu', 'Normalny przeyw tekstu|Normalny przepyw tekstu wok obrazkw z wyrwnaniem do obu marginesw',
  // TrvActionVAlign
  'Pozycja &obiektu...', 'Pozycja obiektu...|Zmienia pozycj wybranego obiektu',
  // TrvActionItemProperties
  '&Waciwoci obiektu...', 'Waciwoci obiektu|Definiuje waciwoci wybranego obiektu',
  // TrvActionBackground
  '&To...', 'To|Zmienia efekty ta',
  // TrvActionParagraph
  '&Akapit...', 'Akapit|Zmienia ustawienia akapitu',
  // TrvActionIndentInc
  'Zwiksz wcicie', 'Zwiksz wcicie|Zwiksza wcicie zaznaczonych akapitw',
  // TrvActionIndentDec
  'Zmniejsz wcicie', 'Zmniejsz wcicie|Zmniejsza wcicie zaznaczonych akapitw',
  // TrvActionWordWrap
  '&Zawijaj tekst', 'Zawijaj tekst|Przecza zawijanie tekstu w zaznaczonych akapitach',
  // TrvActionAlignLeft
  'Wyrwnaj do &lewej', 'Wyrwnaj do lewej|Wyrwnuje zaznaczony tekst do lewej',
  // TrvActionAlignRight
  'Wyrwnaj do &prawej', 'Wyrwnaj do prawej|Wyrwnuje zaznaczony tekst do prawej',
  // TrvActionAlignCenter
  'Wyr&odkuj', 'Wyrodkuj|Wyrwnuje zaznaczony tekst do rodka',
  // TrvActionAlignJustify
  'Wy&justuj', {*} 'Wyjustuj|Wyrwnuje zaznaczony tekst do prawej i lewej jednoczenie, adding space between words if necessary',
  // TrvActionAlignDistribute
  {*} '&Distribute', 'Distribute|Aligns the selected text to both left and right sides, adding space between characters if necessary',
  // TrvActionParaColor
  'Kolor ta akapitu...', 'Kolor ta akapitu|Zmienia kolor ta zaznaczonych akapitw',
  // TrvActionLineSpacing100
  'Odstp &pojedynczy', 'Odstp pojedynczy|Ustawia pojedynczy odstp miedzy wierszami',
  // TrvActionLineSpacing150
  'Odstp &1.5', 'Odstp 1.5|Ustawia odstp 1.5 midzy wierszami',
  // TrvActionLineSpacing200
  '&Podwjny odstp', 'Podwjny odstp|Ustawia powdjny odstp midzy wierszami',
  // TrvActionParaBorder
  '&Obramowanie i to akapitu...', 'Obramowanie i to akapitu|Ustawia obramowanie i to zaznaczonych akapitw',
  // TrvActionInsertTable
  'Wstaw t&abel...', '&Tabela', 'Wstaw tabel|Wstawia now tabel',
  // TrvActionTableInsertRowsAbove
  'Wstaw wi&ersz powyej', 'Wstaw wiersz powyej|Wstawia wiersz powyej zaznaczonych komrek',
  // TrvActionTableInsertRowsBelow
  'Wstaw &wiersz poniej', 'Wstaw wiersz poniej|Wstawia wiersz poniej zaznaczonych komrek',
  // TrvActionTableInsertColLeft
  'Wstaw k&olumn po lewej', 'Wstaw kolumn po lewej|Wstawia kolumn po lewej stronie zaznaczonych komrek',
  // TrvActionTableInsertColRight
  'Wstaw &kolumn po prawej', 'Wstaw kolumn po prawej|Wstawia kolumn po prawej stronie zaznaczonych komrek',
  // TrvActionTableDeleteRows
  'Usu wi&ersze', 'Usu wiersze|Usuwa wiersze zawierajce zaznaczone komrki',
  // TrvActionTableDeleteCols
  'Usu &kolumny', 'Usu kolumny|Usuwa kolumny zawierajce zaznaczone komrki',
  // TrvActionTableDeleteTable
  'Usu &tabel', 'Usu tabel|Usuwa zaznaczon tabel',
  // TrvActionTableMergeCells
  'S&calaj komrki', 'Scalaj komrki|Scala zaznaczone komrki',
  // TrvActionTableSplitCells
  'Podzi&el komrki...', 'Podziel komrki|Dzieli zaznaczone komrki',
  // TrvActionTableSelectTable
  'Zaznacz &tabel', 'Zaznacz tabel|Zaznacza tabel',
  // TrvActionTableSelectRows
  'Zaznacz &wiersze', 'Zaznacz wiersze|Zaznacza wiersze',
  // TrvActionTableSelectCols
  'Zaznacz k&olumny', 'Zaznacz kolumny|Zaznacza kolumny',
  // TrvActionTableSelectCell
  'Zaznacz &komrk', 'Zaznacz komrk|Zaznacza komrk',
  // TrvActionTableCellVAlignTop
  'Wyrwnaj komrki do &gry', 'Wyrwnaj komrki do gry|Wyrwnuje zawarto zaznaczonych komrek do gry',
  // TrvActionTableCellVAlignMiddle
  'Wyrwnaj komrki do r&odka', 'Wyrwnaj komrki do rodka|Wyrwnuje zawarto zaznaczonych komrek do rodka',
  // TrvActionTableCellVAlignBottom
  'Wyrwnaj komrki do &dou', 'Wyrwnaj komrki do dou|Wyrwnuje zawarto zaznaczonych komrek do dou',
  // TrvActionTableCellVAlignDefault
  '&Domylne wyrwnanie pionowe', 'Domylne wyrwnanie pionowe|Ustawia domylne wyrwnywanie zaznaczonych komrek w pionie',
  // TrvActionTableCellRotationNone
  '&Nie obracaj komrek', 'Nie obracaj komrek|Nie obraca zawartoci komrek',
  // TrvActionTableCellRotation90
  'Obr komrki o &90', 'Obr komrki o 90|Obraca zawarto komrek o 90',
  // TrvActionTableCellRotation180
  'Obr komrki o &180', 'Obr komrki o 180|Obraca zawarto komrek o 180',
  // TrvActionTableCellRotation270
  'Obr komrki o &270', 'Obr komrki o 270|Obraca zawarto komrek o 270',
  // TrvActionTableProperties
  '&Waciwoci tabeli...', 'Waciwoci tabeli|Zmienia waciwoci zaznaczonej tabeli',
  // TrvActionTableGrid
  'Poka &linie siatki', 'Poka linie siatki|Pokazuje lub ukrywa linie siatki zaznaczonej tabeli',
  // TRVActionTableSplit
  'Podzie&l tabel', 'Podziel tabel|Dzieli tabel na dwie osobne tabele zaczynajc od wskazanego wiersza',
  // TRVActionTableToText
  'Przekszta w te&kst...', 'Przekszta w tekst|Przeksztaca tabel w tekst',
  // TRVActionTableSort
  '&Sortuj...', 'Sortuj|Sortuje wiersze tabeli',
  // TrvActionTableCellLeftBorder
  'Krawd &lewa', 'Krawd lewa|Pokazuje lub ukrywa lew krawd zaznaczonych komrek',
  // TrvActionTableCellRightBorder
  'Krawd &prawa', 'Krawd prawa|Pokazuje lub ukrywa praw krawd zaznaczonych komrek',
  // TrvActionTableCellTopBorder
  'Krawd &grna', 'Krawd grna|Pokazuje lub ukrywa grn krawd zaznaczonych komrek',
  // TrvActionTableCellBottomBorder
  'Krawd &dolna', 'Krawd dolna|Pokazuje lub ukrywa doln krawd zaznaczonych komrek',
  // TrvActionTableCellAllBorders
  '&Wszystkie krawdzie', 'Wszystkie krawdzie|Pokazuje lub ukrywa wszystkie krawdzie zaznaczonych komrek',
  // TrvActionTableCellNoBorders
  '&Brak krawdzi', 'Brak krawdzi|Ukrywa wszystkie krawdzie zaznaczonych komrek',
  // TrvActionFonts & TrvActionFontEx
  '&Czcionka...', 'Czcionka|Zmienia czcionk zaznaczonego tekstu',
  // TrvActionFontBold
  '&Pogrubienie', 'Pogrubienie|Zmienia styl pogrubienia zaznaczonego tekstu',
  // TrvActionFontItalic
  '&Kursywa', 'Kursywa|Zmienia styl pochylenia zaznaczonego tekstu',
  // TrvActionFontUnderline
  'Podk&relenie', 'Podkrelenie|Zmienia styl podkrelenia zaznaczonego tekstu',
  // TrvActionFontStrikeout
  'Prze&krelenie', 'Przekrelenie|Zmienia styl przekrelenia zaznaczonego tekstu',
  // TrvActionFontGrow
  '&Powieksz czcionk', 'Powieksz czcionk|Powiksza wielko czcionki zaznaczonego tekstu o 10%',
  // TrvActionFontShrink
  'P&omniejsz czcionk', 'Pomniejsz czcionk|Zmniejsza wielko czcionki zaznaczonego tekstu o 10%',
  // TrvActionFontGrowOnePoint
  '&Powieksz czcionk o 1 pt', 'Powieksz czcionk o 1 pt|Powiksza wielko czcionki zaznaczonego tekstu o 1 punkt',
  // TrvActionFontShrinkOnePoint
  'P&omniejsz czcionk o 1 pt', 'Pomniejsz czcionk o 1 pt|Zmniejsza wielko czcionki zaznaczonego tekstu o 1 punkt',
  // TrvActionFontAllCaps
  '&Wielkie litery', 'Wielkie litery|Zmienia wszystkie litery zaznaczonego tekstu na wielkie',
  // TrvActionFontOverline
  '&Nadkrelenie', 'Nadkrelenie|Zmienia styl nadkrelenia zaznaczonego tekstu',
  // TrvActionFontColor
  'Kolor &tekstu...', 'Kolor tekstu|Zmienia kolor zaznaczonego tekstu',
  // TrvActionFontBackColor
  'Kolor ta te&kstu...', 'Kolor ta tekstu|Zmienia kolor ta zaznaczonego tekstu',
  // TrvActionAddictSpell3
  '&Pisownia', 'Pisownia|Sprawdza pisowni',
  // TrvActionAddictThesaurus3
  '&Tezaurus', 'Tezaurus|Wyszukuje synonimy zaznaczonego sowa',
  // TrvActionParaLTR
  'Akapit z lewej do prawej', 'Akapit z lewej do prawej|Ustawia kierunek tekstu z lewej do prawej w zaznaczonych akapitach',
  // TrvActionParaRTL
  'Akapit z prawej do lewej', 'Akapit z prawej do lewej|Ustawia kierunek tekstu z prawej do lewej w zaznaczonych akapitach',
  // TrvActionLTR
  'Tekst z lewej do prawej', 'Tekst z lewej do prawej|Ustawia kierunek z lewej do prawej w zaznaczonym tekcie',
  // TrvActionRTL
  'Tekst z prawej do lewej', 'Tekst z prawej do lewej|Ustawia kierunek z prawej do lewej w zaznaczonym tekcie',
  // TrvActionCharCase
  'Wielko znakw', 'Wielko znakw|Zmienia wielko znakw w zaznaczonym tekcie',
  // TrvActionShowSpecialCharacters
  'Znaki &formatowania', 'Znaki formatowania|Pokazuje bd ukrywa znaki formatowania',
  // TrvActionSubscript
  'Indeks &dolny', 'Indeks dolny|Zmienia styl indeksu dolnego zaznaczonego tekstu',
  // TrvActionSuperscript
  'Indeks &grny', 'Indeks grny|Zmienia styl indeksu grnego zaznaczonego tekstu',
  // TrvActionInsertFootnote
  '&Przypis dolny', 'Przypis dolny|Wstawia przypis dolny',
  // TrvActionInsertEndnote
  'Przypis &kocowy', 'Przypis kocowy|Wstawia przypis kocowy',
  // TrvActionEditNote
  'E&dytuj tre przypisu', 'Edytuj tre przypisu|Rozpoczyna edycj treci przypisu',
  'Ukryj', 'Ukryj|Ukrywa lub pokazuje zaznaczony fragment',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // TrvActionStyleTemplates
  '&Style...', 'Style|Otwiera okno zarzdzania stylami',
  // TrvActionAddStyleTemplate
  'Dod&aj styl...', 'Dodaj styl|Tworzy nowy styl tekstu lub akapitu',
  // TrvActionClearFormat,
  'Wy&czy formatowanie', 'Wyczy formatowanie|Usuwa formatowanie tekstu i akapitu z zaznaczonego fragmentu',
  // TrvActionClearTextFormat,
  'Wyczy formatowanie &tekstu', 'Wyczy formatowanie tekstu|Usuwa formatowanie z zaznaczonego tekstu',
  // TrvActionStyleInspector
  '&Inspektor stylw', 'Inspektor stylw|Pokazuje lub ukrywa inspektora stylw',
  {$ENDIF}
  // button captions: OK, Cancel, Close, Insert, Open, Save, Clear, Help, Remove -------
   'OK', 'Anuluj', 'Zamknij', 'Wstaw', '&Otwrz...', '&Zapisz...', '&Wyczy', 'Pomoc', 'Usu',
  // Others  -------------------------------------------------------------------
  // percents,
  'procent',
  // left, top, right, bottom sides
  'Lewa', 'Gra', 'Prawa', 'D',
  // save changes? confirm title
  'Zapisz zmiany do %s?', 'Potwierd',
  // warning: losing formatting
  '%s moe zawiera funkcje, ktre nie s zgodne z wybranym formatem.'#13+
  'Czy chcesz zapisa dokument w tym formacie?',
  // RVF format name
  'RVF format',
  // Error messages ------------------------------------------------------------
  'Bd',
  'Bd wczytywania pliku.'#13#13'Przypuszczalne powody:'#13'- format wczytywanego pliku nie jest obsugiwany;'#13+
  '- plik jest uszkodzony;'#13'- plik jest w uyciu.',
  'Bd wczytywania obrazu.'#13#13'Przypuszczalne powody:'#13'- format wczytywanego obrazu nie jest obsugiwany;'#13+
  '- plik nie zawiera obrazu;'#13+
  '- plik jest uszkodzony;'#13'- plik jest w uyciu.',
  'Bd zapisu pliku.'#13#13'Przypuszczalne powody:'#13'- brak miejsca na dysku;'#13+
  '- dysk jest zabezpieczony przed zapisem;'#13'- dysk wymmienny nie zosta woony;'#13+
  '- plik jest w uyciu;'#13'- nonik jest uszkodzony.',
  // File filters --------------------------------------------------------------
  // RVF, RTF, XML (for RichViewXML)
  'Pliki RVF (*.rvf)|*.rvf',  'Pliki RTF (*.rtf)|*.rtf' , 'Pliki XML (*.xml)|*.xml',
  // Text - ansi, unicode, auto
  'Pliki tekstowe(*.txt)|*.txt', 'Pliki tekstowe - Unicode (*.txt)|*.txt', 'Pliki tekstowe - wykryj automatycznie (*.txt)|*.txt',
  // open html (RVHtmlImporter), save HTML with CSS, save HTML without CSS
  'Pliki HTML (*.htm;*.html)|*.htm;*.html', 'HTML (*.htm;*.html)|*.htm;*.html',
  'HTML - upro (*.htm;*.html)|*.htm;*.html',
  // DocX
  'Dokument programu Word (*.docx)|*.docx',
  // Search and replace --------------------------------------------------------
  // Search complete; String not found
  'Wyszukiwanie zakoczone', 'Wyszukiwany tekst ''%s'' nie zosta znaleziony.',
  // 1 string replaced; Several strings replaced
  'Zastapiono 1 cig znakw.', 'Liczba zastpionych cigw znakw wynosi: %d.',
  // continue search from the beginning/end?
  'Osignito koniec dokumentu, rozpocz od pocztku?',
  'Osignito pocztek dokumentu, rozpocz od koca?',
  // Colors -------------------------------------------------------------------
  // Transparent, Auto
  'Przezroczysty', 'Automatyczny',
  // Black, Brown, Olive Green, Dark Green, Dark Teal, Dark blue, Indigo, Gray-80%
  'Czarny', 'Brzowy', 'Oliwkowy', 'Ciemnozielony', 'Szarobkitny', 'Ciemnoniebieski', 'Indygo', 'Szary 80%',
  // Dark Red, Orange, Dark Yellow, Green, Teal, Blue, Blue-Gray, Gray-50%
  'Ciemnoczerwony', 'Pomaraczowy', 'Ciemnoty', 'Zielony', 'Ciemnobkitny', 'Niebieski', 'Niebieskoszary', 'Szary 50%',
  // Red, Light Orange, Lime, Sea Green, Aqua, Light Blue, Violet, Grey-40%
  'Czerwony', 'Jasnopomaraczowy', 'Zielony', 'Morski', 'Bkitny', 'Jasnoniebieski', 'Fioletowy', 'Szary 40%',
  // Pink, Gold, Yellow, Bright Green, Turquoise, Sky Blue, Plum, Gray-25%
  'Rowy', 'Zoty', 'ty', 'Jasnozielony', 'Turkusowy', 'Lazurowy', 'liwkowy', 'Szary 25%',
  // Rose, Tan, Light Yellow, Light Green, Light Turquoise, Pale Blue, Lavender, White
  'Rany', 'Beowy', 'Jasnoty', 'Bladozielony', 'Pastelowobkitny', 'Bladoniebieski', 'Liliowy', 'Biay',
  // color picker buttons: Transparent, Auto, More Colors, Default
  // (correspond to color names, but have hotkeys)
  'Przez&roczysty', '&Automatyczny', '&Wicej kolorw...', '&Domylny',
  // Background Form -----------------------------------------------------------
  // Title, Color label, Position group-box, Background group-box, Sample text
  'To', 'K&olor:', 'Pozycja obrazu', 'To', 'Tekst tekst tekst tekst tekst.',
  //positions: None, Full Window, Fixed Tiles, Tiles, Center,
  '&Brak', '&Rozcignij', '&Na zakadk', '&Ssiadujco', '&Centralnie',
  // Padding button
  '&Marginesy...',
  // Fill Color Form -----------------------------------------------------------
  // Title, Apply to, More Colors button, Padding button, Please select color
  'Kolor wypenienia', '&Zastosuj do:', '&Wicej kolorw...', '&Marginesy...',
  'Prosz wybra kolor',
  // [apply to:] text, paragraph, table, cell
  'tekst', 'akapit' , 'tabela', 'komrka',
  // Font Form -----------------------------------------------------------------
  // Title, Font tab, Layout tab
  'Czcionka', 'C&zcionka', '&Odstpy midzy znakami',
  // Font Name, Font Size labels, Font Style group-box, Bold, Italic check-boxes
  '&Czcionka:', '&Rozmiar:', 'Styl czcionki', '&Pogrubienie', '&Kursywa',
  // Script, Color, Back color labels, Default charset
  '&Skrypt:', 'Ko&lor:', '&To:', '(Domylny)',
  // Effects group-box, Underline, Overline, Strikethrough, All Caps
  'Efekty', 'Podkrelenie', '&Nadkrelenie', 'Prz&ekrelenie', '&Wielkie litery',
  // Sample, Sample text
  'Podgld', 'Przykadowy tekst',
  // Spacing group-box, Spacing label, Expanded, Condensed,
  'Odsp', 'O&dstp:', '&Rozstrzelone', 'Z&agszczony',
  // Offset group-box, Offset label, Down, Up,
  'Pooenie', '&Pooenie:', 'O&bnione', 'Pod&niesione',
  // Scaling group-box, Scaling
  'Skalowanie', 'Ska&la:',
  // Sub/super script group box, Normal, Sub, Super
  'Indeks gny i dolny', 'Nor&malny', 'Indeks doln&y', 'Indeks &grny',
  // 4 Sides Form --------------------------------------------------------------
  // Default Title; Top, Left, Bottom, Right, Equal values check-box
  'Marginesy', '&Grny:', '&Lewy:', '&Dolny:', '&Prawy:', '&Jednakowe',
  // Hyperlink Form ------------------------------------------------------------
  // Title, Group-box Title, Text, Target, <<Selected Fragment>>
  'Hipercze', 'Hipercze', '&Etykieta:', '&Lokalizacja:', '<<Wybr>>',
  // cannot open URL
  'Nieudane przejcie do "%s"',
  // hyperlink properties button, hyperlink style
  '&Dostosuj...', '&Style:',
  // Hyperlink Properties Form -------------------------------------------------
  // Title, Group-boxes: Normal colors, Active (highlight) colors
  'Atrybuty hipercza', 'Niewaktywne', 'Aktywne',
  // Text [color], Background [color]
  'T&ekst:', '&To',
  // Underline [color]
  'Podk&relenie:',
  // Text [color], Background [color] (different hotkeys)
  'Te&kst:', 'T&o',
  // Underline [color], Attributes group-box,
  'Podk&relenie:', 'Atrybuty',
  // Underline type: always, never, active (below the mouse)
  'Podk&relenie:', 'zawsze', 'nigdy', 'aktywne',
  // Same as normal check-box
  'Takie same jak &nieaktywne',
  // underline active links check-box
  '&Podkrel aktywne cza',
  // Insert Symbol Form --------------------------------------------------------
  // Title, Font name, Character set, Unicode
  'Wstaw symbol', 'C&zcionka:', '&Kodowanie:', 'Unicode',
  // Unicode block
  '&Blok:',
  // Character Code, Character Unicode Code, No Character
  'Kod znaku: %d', 'Kod znaku: Unicode %d', '(brak)',
  // Insert Table Form ---------------------------------------------------------
  // Title, Table size group-box, nCols, nRows,
  'Wstaw tabel', 'Rozmiar tabeli', 'Liczba &kolumn:', 'Liczba &wierszy:',
  // Table layout group-box, Autosize, Fit, Manual size,
  'Zachowanie autodopasowania', '&Automatyczne', 'Autodopasowanie do &okna', 'Dopasowanie &manualne',
  // Remember check-box
  '&Ustaw jako domylne dla nowych tabel',
  // VAlign Form ---------------------------------------------------------------
  'Pozycja',
  // Item Properties Form ------------------------------------------------------
  // Default checkbox
  {*} 'Default',
  // Title; Image, Position and size, Line, Table, Rows, Cells tabs
  'Waciwoci', 'Obraz', 'Rozmiar i pozycja', '&Linie', 'T&abela', '&Wiersze', '&Komrki',
  // Image Appearance, Image Misc, Number tabs
  'Wygld', 'Inne', 'Licznik',
  // Box position, Box size, Box appearance tabs
  'Pozycja', 'Rozmiar', 'Wygld',
  // Preview label, Transparency group-box, checkbox, label
  'Podgld:', 'Wypenienie', '&Przezroczysty', '&Kolor:',
  // change button, save button, no transparent color (use color right-bottom pixel)
  'Z&mie...', '&Zapisz...', 'Automatyczny',
  // VAlign group-box (used 3 times) and label, bottom-baseline, middle-baseline, top, bottom, middle
  'Wyrwnywanie', '&Wyrwnaj:',
  'do dou', 'do rodka',
  'gra do grnej czci linii', 'd do dolnej czci linii', 'rodek do rodkowej czci linii',
  // align to left side, align to right side
  'do lewej strony', 'do prawej strony',
  // Shift By label, Stretch group box, Width, Height, Default size
  '&Przesunicie:', 'Rozmiar', 'S&zeroko:', 'W&ysoko:', 'Domylny rozmiar: %d x %d',
  // Scale proportionally checkbox, Reset ("no stretch") button
  '&Skaluj proporcjonalnie', '&Resetuj',
  // Inside the border, border, outside the border groupboxes
  'Obramowanie', 'Krawdzie', 'Odstpy',
  // Fill color, Padding (i.e. margins inside border) labels
  '&Kolor:', '&Szeroko:',
  // Border width, Border color labels
  'S&zeroko:', 'Kolo&r:',
  // Horizontal and vertical spacing (i.e. margins outside border) labels
  'P&oziomy:', 'P&ionowy:',
  // Miscellaneous groupbox, Tooltip label
  'Inne', '&Podpowied:',
  // web group-box, alt text
  'Sie Web', '&Tekst alternatywny:',
  // Horz line group-box, color, width, style
  'Linia pozioma', '&Kolor:', '&Szeroko:', '&Styl:',
  // Table group-box; Table Width, Color, CellSpacing,
  'Tabela', 'Sz&eroko:', 'K&olor wypenienia:', '&Odstpy komrek...',
  // Horizontal cellpadding, Vertical cellpadding, Border&Background groupbox
  '&Marginesy poziome komrek:', 'M&arginesy pionowe komrek:', 'Krawdzie i to',
  // Visible table border sides button, auto width (in combobox), auto width label
  'Wi&doczne krawdzie...', 'Automatyczna', 'automatyczna',
  // Keep row content together checkbox
  'Zachowaj wi&ersze razem',
  // Rotation groupbox, rotations: 0, 90, 180, 270
  'Rotacja', '&Brak', '&90', '&180', '&270',
  // Cell border label, Visible cell border sides button,
  'Krawdzie:', 'Widocz&ne krawdzie...',
  // Border, CellBorders buttons
  'K&rawdzie tabeli...', 'Krawdz&ie komrek...',
  // Table border, Cell borders dialog titles
  'Krawdzie tabeli', 'Krawdzie komrek',
  // Table Printing group-box, KeepOnPage checkbox, HeadingRows, HeadingRowsTip labels
  'Drukowanie', '&Zachowj na jednej stronie', 'Liczba wiersz&y nagwka:',
  'Wiersze nagwka bd powtarzane na kadej stronie',
  // top, center, bottom, default
  'Do &gry', 'Do ro&dka', 'Do do&u', 'Do&mylnie',
  // Cell Settings group-box, BestWidth, BestHeight, FillColor
  'Ustawienia', 'Preferowana &szeroko:', 'Preferowana w&ysoko:', 'Kolor wype&nienia:',
  // Cell Border group-box,, VisibleSides; shadow, light, border colors
  'Krawdzie', 'Widoczne krawdzie:',  'Kolor &cienia:', 'Kolor w&iata', 'Ko&lor:',
  // Background image
  '&To...',
  // Horizontal position, Vertical position, Position in text groupboxes and listitems
  'Pozycja pozioma', 'Pozycja pionowa', 'Pozycja w tekcie',
  // Position types: align, absolute, relative
  'Wyrwnanie', 'Pooenie bezwzgldne', 'Pooenie wzgldne',
  // [Align] left side, center, right side
  'lewy bok ramki do lewego boku',
  'rodek ramki do rodka',
  'prawy bok ramki do prawego boku',
  // [Align] top side, center, bottom side
  'grny bok ramki do grnego boku',
  'rodek ramki do rodka',
  'dolny bok ramki do dolnego boku',
  // [Align] relative to
  'wzgldem',
  // [Position] to the right of the left side of
  'od prawego boku ramki do lewego boku',
  // [Position] below the top side of
  'poniej grnekgo boku',
  // Anchors: page, main text area (x2)
  '&Strony', '&Obszaru tekstu', 'St&rony', 'Obszaru &tekstu',
  // Anchors: left margin, right margin
  '&Lewego marginesu', '&Prawego marginesu',
  // Anchors: top margin, bottom margin, inner margin, outer margin
  '&Grnego marginesu', '&Dolnego marginesu', '&Wewntrznego marginesu', 'Z&ewntrznego marginesu',
  // Anchors: character, line, paragraph
  '&Znacznika', '&Linii', '&Akapitu',
  // Mirrored margins checkbox, layout in table cell checkbox
  '&Marginesy odwrcne', '&Ukad w komrce tabeli',
  // Above text, below text
  '&Przed tekstem', '&Za tekstem',
  // Width, Height groupboxes, Width, Height labels
  'Szeroko', 'Wysoko', 'Szero&ko:', 'W&ysoko:',
  // Auto height label, Auto height combobox item
  'Automatyczna', 'automatycznie',
  // Vertical alignment groupbox; alignments: top, center, bottom
  'Wyrwnaie pionowe', 'Do &gry', 'Do ro&dka', 'Do do&u',
  // Border and background button and title
  '&Krawdzie i to...', 'Krawdzie i to',
  // Paste Special Form --------------------------------------------------------
  //Title, Label; Formats: RTF, HTML, Text, UnicodeText, BMP, WMF, graphic files
  'Wklej specjalnie', '&Wstaw jako:', 'Format RTF', 'Format HTML',
  'Tekst', 'Tekst unicode', 'Obraz - bitmapa', 'Obraz - metaplik',
  'Pliki graficzne',  'Adres',
  // Options group-box, styles
  'Opcje', '&Style:',
  // style options: apply target styles, use source styles, ignore styles
  'zastosuj style dokumentu docelowego', 'zachowaj style i wygld',
  'zachowaj wygld, ignoruj style',
  // List Gallery Form ---------------------------------------------------------
  // Title; Bulleted, Numbered tabs; Bulleted, Numbered group-boxes
  'Wypunktowanie i numerowanie', '&Wypunktowane', '&Numerowane', 'Lista punktatorw', 'Lista numeratorw',
  // Customize, Reset, None
  '&Dostosuj...', '&Zresetuj', '(Brak)',
  // Numbering: continue, reset to, create new
  'kontynuuj numerowanie', 'zresetuj numerowanie, zaczynajc do', 'utwrz now list, zaczynajc od',
  // List Gallery 2 Form (HTML) -----------------------------------------------
  // Numbering type
  'Due litery', 'Due rzymskie', 'Liczby', 'Mae litery', 'Mae rzymskie',
  // Bullet type
  'Koo', 'Dysk', 'Kwadrat',
  // Level, Start from, Continue numbering, Numbering group-box
  '&Poziom:', '&Zacznij od:', '&Kontynuuj', 'Numerowanie',
  // Customize List Form -------------------------------------------------------
  // Title, Levels, Level count, List properties, List type,
  'Dostosuj list', 'Poziomy', '&Liczba:', 'Waciwoci listy', '&Typ listy:',
  // List types: bullet, image
  'Wypunktowanie', 'Obraz', 'Wstaw numeracj|',
  // Number format, Number, Start level from, Font button
  'Format &numeracji:', 'Numeracja', '&Rozpocznij poziom od:', '&Czcionka...',
  // Image button, bullet character, Bullet button,
  '&Obraz...', 'Zn&ak wypunktowania', '&Znak...',
  // Position of list text, bullet, number, image, text
  'Pozycje', 'Pozycja punktora', 'Pozycja numeru', 'Pozycja obrazu', 'Pozycja tekstu',
  // at, left indent, first line indent, from left indent
  '&od:', 'Lewe &wcicie:', '&Pierwszy wiersz:', 'od lewego wcicia',
  // [only] one level preview, preview
  'Podgld &jednego poziomu', 'Podgld',
  // Preview text
  'Tekst tekst tekst tekst tekst. Text tekst tekst tekst tekst. Tekst tekst tekst tekst tekst. Tekst tekst tekst tekst tekst. Tekst tekst tekst tekst tekst. Tekst tekst tekst tekst tekst.',
  // marker align: left side of marker is aligned [at ...],
  // right side of marker is aligned [at ...], center of marker is aligned [at ...]
  'wyrwnaj do lewej', 'wyrwnaj do prawej', 'wyrodkuj',
  // level #, this level (for combo-box)
  'Poziom %d', 'Ten poziom',
  // Marker character dialog title
  'Edytuj znak punktora',
  // Paragraph Border and Backgound Form ---------------------------------------
  // Title; Border, Background tabs
  'Obramowanie i to akapitu', '&Krawdzie', '&To',
  // Settings group-box; Color, Width, Internal width labels; Offsets button
  'Ustawienia', 'Ko&lor:', '&Szeroko:', 'O&dstp:', '&Marginesy...',
  // Sample, Border type group-boxes;
  'Podgld', 'Rodzaj krawdzi',
  // Border types: none, single, double, tripple, thick inside, thick outside
  '&Brak', '&Pojedyncza', 'Pod&wjna', 'Pot&rjna', 'Sklej w&ewntrznie', 'Sklej &zewntrznie',
  // Fill color group-box; More colors, padding buttons
  'Kolor wypenienia', '&Wicej kolorw...', '&Marginesy...',
  // preview text
  'Tekst tekst tekst tekst tekst. Tekst tekst tekst tekst tekst. Tekst tekst tekst tekst tekst.',
  // title and group-box in Offsets dialog
  'Marginesy wewntrzne', 'Marginesy',
  // Paragraph Form ------------------------------------------------------------
  // Form title; Alignment group-box; alignments: left, right, center, justify, distribute
  'Akapit', 'Wyrwnanie do', '&lewej', 'pr&awej', 'ro&dka', 'lewej &i prawej', {*} '&Distribute',
  // Last line alignment, auto, left, right, center, justify
  {*} 'Las&t line:', 'auto', 'left', 'right', 'center', 'both',
  // Spacing group-box; spacing before, after, between lines, [spacing] by
  'Odstpy', 'P&rzed:', '&Po:', 'Mid&zy wierszami:', '&Co:',
  // Indents group-box; indents: left, right, first line
  'Wcicia', 'Od l&ewej:', '&Od prawej:', 'Pierwszy &wiersz:',
  // indented, hanging
  'Wci&ty', 'Wy&sunity', 'Podgld',
  // line spacing: single, 1.5 lines, double, at least, exactly, multiple
  'Pojedyncze', '1.5 wiersza', 'Podwjne', 'Przynajmniej', 'Dokadnie', 'Wielokrotne',
  // preview text
  'Tekst tekst tekst tekst tekst. Tekst tekst tekst tekst tekst. Tekst tekst tekst tekst tekst. Tekst tekst tekst tekst tekst. Tekst tekst tekst tekst tekst. Tekst tekst tekst tekst tekst.',
  // tabs: Indents and spacing, Tabs, Advanced
  'Wcicia i odstp&y', 'Ta&bulatory', {*} 'Advanced',
  // tab stop position label; buttons: set, delete, delete all
  'Pooenie &tabulatora:', '&Ustaw', 'U&su', 'Usu &wszystkie',
  // tab align group; left, right, center aligns,
  'Wyrwnanie', 'Do &lewej', 'Do pr&awej', 'Do ro&dka',
  // leader radio-group; no leader
  '&Znaki wiodce', 'Brak',
  // tab stops to be deleted, delete none, delete all labels
  'Tabulatory do usunicia:', '(Brak)', 'Wszystkie.',
  // Pagination group-box, keep with next, keep lines together
  'Podzia na strony', '&Razem z nastpnym', 'Zachowaj wi&ersze razem',
  // Outline level, Body text, Level #
  '&Poziom konspektu:', 'Tekst podstawowy', 'Poziom %d',
  // Preview Form --------------------------------------------------------------
  // Title; page width, full pages; pages label
  'Podgld wydruku', 'Szeroko strony', 'Caa strona', 'Strony:',
  // Invalid Scale, [page #] of #
  'Podaj liczb pomidzy 10 a 500', 'z %d',
  // Hints on buttons: first, prior, next, last pages
  'Piewrsza strona', 'Poprzednia strona', 'Nastpna strona', 'Ostatnia strona',
  // Cell Spacing Form ---------------------------------------------------------
  // Title, groupbox, between cells, from table border to cells
  'Odstpy komrek', 'Odstpy', '&midzy komrkami', 'od krawdzi tabeli',
  // vertical, horizontal (x2)
  '&Pionowy:', 'P&oziomy:', 'P&ionowy:', 'Po&ziomy:',
  // Table Borders Form --------------------------------------------------------
  // Title; Settings group-box; Color, light color, shadow color
  'Krawdzie', 'Ustawienia', 'K&olor:', 'Kolor w&iata:', 'Kolor &cienia:',
  // Width; Border type group-box;
  '&Szeroko:', 'Rodzaj krawdzi',
  // Border types: none, sunken, raised, flat
  '&Brak', '&Zapadnita', '&Wypuka', '&Paska',
  // Split Cells Form ----------------------------------------------------------
  // title, group-box
  'Podziel', 'Podziel na',
  // split to specified number of rows and cols, split to original cells (unmerge)
  '&Podaj liczb wierszy i kolumn', '&Rozczne komrki',
  // number of columns, rows, merge before
  'Liczba &kolumn:', 'Liczba &wierszy:', '&Scal komrki przed podziaem',
  // to original cols, rows check-boxes
  'Rozcz k&olumny', 'Rozcz wi&ersze',
  // Add Rows form -------------------------------------------------------------
  'Dodaj wiersze', '&Liczba wierszy:',
  // Page Setup form -----------------------------------------------------------
  // title, Page tab, Header&Footer tab
  'Ustawienia strony', 'Stron&a', 'Nagwek &i stopka',
  // margins group-box, left, right, top, bottom
  'Marginesy (milimetry)', 'Marginesy (cale)', 'L&ewy:', '&Grny:', '&Prawy:', 'D&olny:',
  // mirror margins check-box
  'Marginesy lustr&zane',
  // orientation group-box, portrait, landscape
  'Orientacja', 'P&ionowa', 'Pozio&ma',
  // paper group-box, paper size, default paper source
  'Papier', 'Rozmia&r:', 'r&do:',
  // header group-box, print on the first page, font button
  'Nagwek', '&Tekst:', '&Nagwek na pierwszej stronie', '&Czcionka...',
  // header alignments: left, center, right
  'Do &lewej', 'Do &rodka', 'Do &prawej',
  // the same for footer (different hotkeys)
  'Stopka', 'Te&kst:', '&Stopka na pierwszej stronie', 'C&zcionka...',
  'Do l&ewej', 'Do r&odka', 'Do prawe&j',
  // page numbers group-box, start from
  'Numery stron', 'Zacznij od nu&meru:',
  // hint about codes
  'Znaki specjalne:'#13'&&p - numer strony; &&P - liczba stron; &&d - bieca data; &&t - biecy czas.',
  // Code Page form ------------------------------------------------------------
  // title, label
  'Strona kodowa pliku tekstowego', '&Wybierz sposb kodowania pliku:',
  // thai, japanese, chinese (simpl), korean
  'Tajski', 'Japoski', 'Chiski (uproszczony)', 'Koreaski',
  // chinese (trad), central european, cyrillic, west european
  'Chiski (tradycyjny)', 'rodkowoeuropejski', 'Cyrylica', 'Zachodnioeuropejski',
  // greek, turkish, hebrew, arabic
  'Grecki', 'Turecki', 'Hebrajski', 'Arabski',
  // baltic, vietnamese, utf-8, utf-16
  'Batycki', 'Wietnamski', 'Unicode (UTF-8)', 'Unicode (UTF-16)',
  // Style form ----------------------------------------------------------------
  'Styl', 'Wybierz &styl:',
  // Delimiter form ------------------------------------------------------------
  // title, label
  'Przekszta w tekst', 'Wy&bierz separator:',
  // line break, tab, ';', ','
  'podzia linii', 'tabulacja', 'rednik', 'przecinek',
  // Table sort form -----------------------------------------------------------
  // error message
  'Tabele zawierajce scalone wiersze nie mg by sortowane.',
  // title, main options groupbox
  'Sortowanie tabeli', 'Sortuj',
  // sort by column, case sensitive
  '&Sortuj wg kolumny:', 'Rozrniaj &wielko znakw',
  // heading row, range or rows
  'Pomi wiersz &nagwka', 'Sortuj wiersze: od %d do %d',
  // order, ascending, descending
  'Porzdek', '&Rosncy', '&Malejcy',
  // data type, text, number
  'Typ danych', '&Tekst', '&Liczba',
  // Insert number form --------------------------------------------------------
  // title, properties groupbox, counter name, numbering type
  'Wstaw licznik', 'Waciwoci', '&Nazwa licznika:', 'Nu&merowanie:',
  // numbering groupbox, continue, start from
  'Numerowanie', 'K&ontynuuj', '&Rozpocznij od:',
  // Insert caption form -------------------------------------------------------
  // title, label, exclude label checkbox
  'Podpis', '&Etykieta:', 'W&yklucz etykiet z podpisu',
  // position radiogroup
  'P&ooenie', 'Po&wyej wybranego obiektu', 'Po&nieej wybranego obiektu',
  // caption text
  '&Podpis:',
  // Default sequences ---------------------------------------------------------
  // numbering, figure, table
  'Licznik', 'Obraz', 'Tabela',
  // visible sides form --------------------------------------------------------
  // Title, Groupbox
  'Widoczne krawdzie', 'Krawdzie',
  // Left, Top, Right, Bottom checkboxes
  '&Lewa', '&Grna', '&Prawa', '&Dolna',
  // Ruler ---------------------------------------------------------------------
  // Hints: table column resize, row resize
  'Szeroko kolumny', 'Wysoko wiersza',
  // Hints on indents: first line, left (together with first), left (without first), right
  'Wcicie pierwszego wiersza', 'Wcicie z lewej', 'Wysunicie', 'Wcicie z prawej',
  // Hints on lists: up one level (left), down one level (right)
  'Poziom do gry', 'Poziom w d',
  // Hints for margins: bottom, left, right and top
  'Dolny margines', 'Lewy margines', 'Prawy margines', 'Grny margines',
  // Hints for tabs: left, right, center, decimal (reserved) aligned
  'Tabulator lewy', 'Tabulator prawy', 'Tabulator rodkowy', 'Tabulator dziesitny',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // Standard styles -----------------------------------------------------------
  // Normal, Normal Indent, No Spacing, Heading %d, List Paragraph
  'Normalny', 'Wcicie normalne', 'Bez odstpw', 'Nagwek %d', 'Akapit z list',
  // Hyperlink, Title, Subtitle
  'Hipercze', 'Tytu', 'Podtytu',
  // Emphasis, Subtle Emphasis, Intense Emphasis, Strong
  'Uwydatnienie', 'Wyrnienie delikatne', 'Wyrnienie intensywne', 'Wzmocnienie',
  // Quote, Intense Quote, Subtle Reference, Intense Reference
  'Cytat', 'Cytat intnsywny', 'Odwoanie delikatne', 'Odwoanie intensywne',
  // Block Text, HTML Variable, HTML Code, HTML Acronym,
  'Tekst blokowy', 'HTML - zmienna', 'HTML - kod', 'HTML - akronim',
  // HTML Definition, HTML Keyboard, HTML Sample, HTML Typewriter,
  'HTML - definicja', 'HTML - klawiatura', 'HTML - przykad', 'HTML - staa szeroko',
  // HTML Preformatted, HTML Cite, Header, Footer, Page Number
  'HTML - wstpnie sformatowany', 'HTML - cytat', 'Nagwek', 'Stopka', 'Numer strony',
  // Caption
  'Podpis',
  // Endnote Reference, Footnote Reference, Endnote Text, Footnote Text
  'Odsyacz przypisu kocowego', 'Odsyacz przypisu dolnego', 'Tekst przypisu kocowego', 'Tekst przypisu dolnego',
  // Sidenote Reference, Sidenote Text
  'Odsyacz przypisu bocznego', 'Tekst przypisu bocznego',
  // Style description ---------------------------------------------------------
  // color, background color, transparent, default [color], underline color,
  'kolor', 'kolor ta', 'przezroczysty', 'domylny', 'kolor podkrelenie',
  // default background color, default text color, [color] same as text
  'domylny kolor ta', 'domylny kolor tekstu', 'taki sam jak tekst',
  // underline types: single, thick, double, dotted, thick dotted, dashed
  'pojedyncze', 'grube', 'podwjne', 'wykropkowane', 'grube kropki', 'kreski',
  // underline types: thick dashed, long dashed, thick long dashed,
  'grube kreski', 'dugie kreski', 'dugie grube kreski',
  // underline types: dash dotted, thick dash dotted,
  'kropka kreska', 'gruba kropka kreska',
  // underline types: dash dot dotted, thick dash dot dotted
  'kreska kropka kropka', 'gruba kreska kropka kropka',
  // sub/superscript: not, subsript, superscript
  'bez indeksu', 'indeks dolny', 'indeks grny',
  // bi-di mode, inherited [bi-di mode], LTR, RTL
  'kierunek:', 'odziedziczony', 'z lewej do prawej', 'z prawej do lewej',
  // bold, not bold
  'pogrubienie', 'bez pogrubienia',
  // italic, not italic
  'kursywa', 'bez kursywy',
  // underlined, not underlined, default underline
  'podkrelenie', 'bez podkrelenia', 'domylne podkrelenie',
  // struck out, not struck out
  'przekrelenie', 'bez przekrelenia',
  // overlined, not overlined
  'nadkrelenie', 'bez nadkrelenia',
  // all capitals: yes, all capitals: no
  'kapitaliki', 'bez kapitalikw',
  // vertical shift: none, by x% up, by x% down
  'bez przesunicia', 'podniesiony o %d%%', 'opuszczony o %d%%',
  // characters width [: x%]
  'szeroko znakw',
  // character spacing: none, expanded by x, condensed by x
  'normalny odstp', 'odstp rozstrzelony o %s', 'odstp zagszczony o %s',
  // charset
  'skrypt',
  // default font, default paragraph, inherited attributes [of font, paragraph attributes, etc.]
  'domylna', 'domylny', 'odziedziczone',
  // [hyperlink] highlight, default hyperlink attributes
  'podwietlenie', 'domylne',
  // paragraph alignment: left, right, center, justify, distribute
  'do lewej', 'do prawej', 'do rodka', 'wyjustowany', {*} 'distributed',
  // last line alignment: auto, left, right, center, justify
  {*} 'last line is auto-aligned', 'last line is left aligned', 'last line is right aligned',
  {*} 'last line is centered', 'last line is aligned to both sides',
  // line height: x%, space between lines: x, line height: at least x, line height: exactly x
  'wysoko wiersza: %d%%', 'odstp midzy wierszami: %s', 'wysoko wiersza: przynajmniej %s',
  'wysoko wiersza: dokdnie %s',
  // no wrap, wrap
  'bez zawijania wierszy', 'zawijanie wierszy',
  // keep lines together: yes, no
  'zachowaj wiersze razem', 'nie zachowuj wierszy razem',
  // keep with next: yes, no
  'zachowaj razem z nastpnym akapitem', 'nie zachowuj razem z nastpnym akapitem',
  // read only: yes, no
  'tylko do odczytu', 'do edycji',
  // body text, heading level x
  'poziom konspektu: tre', 'poziom konspektu: %d',
  // indents: first line, left, right
  'wcicie pierwszego wiersza', 'lewe wcicie', 'prawe wcicie',
  // space before, after
  'odstp przed', 'odstp po',
  // tabs, no tabs, tab alignment, tab alignment: left, right, center
  'tabulatory', 'brak', 'wyrwnanie', 'do lewej', 'do prawej', 'do rodka',
  // tab leader (filling character)
  'znak wiodcy',
  // no, yes
  'nie', 'tak',
  // [padding/spacing/side:] left, top, right, bottom
  'lewy', 'grny', 'prawy', 'dolny',
  // border: none, single, double, triple, thick inside, thick outside
  'brak', 'pojedyncze', 'podwjne', 'potrjne', 'sklejone wewntrznie', 'sklejone zewntrznie',
  // background, border, padding, spacing [between text and border]
  'to', 'krawd', 'margines', 'odstp',
  // border: style, width, internal width, visible sides
  'styl', 'szeroko', 'wewntrzna szeroko', 'widoczne krawdzie',
  // style inspector -----------------------------------------------------------
  // title
  'Inspektor stylw',
  // style, no style, paragraph, font, attributes (of font/paragraph)
  'Styl', '(brak)', 'Akapit', 'Czcionka', 'Atrybuty',
  // border and background, hyperlink, standard [style]
  'Obramowanie i to', 'Hipercze', '(Standardowy)',
  // Styles Form ---------------------------------------------------------------
  // title, style group-box
  'Style', 'Styl',
  // name, applicable to,
  '&Nazwa:', 'Stosowany &do:',
  // based on, based on (no &),
  '&Oparty na:', 'Oparty na:',
  //  next style, next style (no &)
  'Styl nastpnego &akapitu:', 'Styl nastpnego akapitu:',
  // quick access check-box, description and preview
  '&Szybki dostp', 'Opis i &podgld:',
  // [applicable to:] paragraph and text, paragraph, text
  'akapitu i tekstu', 'akapitu', 'tekstu',
  // text and paragraph styles, default font
  'Style tekstu i akapitu', 'Domylna czcionka',
  // links: edit, reset, buttons: add, delete
  'Zmie', 'Przywr', '&Dodaj', '&Usu',
  // add standard style, add custom style, default style name
  'Dodaj styl &standardowy...', 'Dodaj styl &wasny', 'Styl %d',
  // choose style
  'Wybierz &styl:',
  // import, export,
  '&Import...', '&Eksport...',
  // Style Import Form ---------------------------------------------------------
  // RichViewStyles filter, load error, no styles
  'Style RichView (*.rvst)|*.rvst', 'Bd wczytywania pliku', 'Plik nie zawiera adnych stylw',
  // Title, group-box, import styles
  'Import stylw z pliku', 'Import', 'I&mport stylw:',
  // existing styles radio-group: Title, override, auto-rename
  'Jeli styl istnieje to', '&nadpisz', '&dodaj pod zmienion nazw',
  // Select, Unselect, Invert,
  '&Zaznacz', '&Odznacz', 'Od&wr',
  // select/unselect: all styles, new styles, existing styles
  '&Wszystkie style', '&Nowe style', '&Istniejce style',
  // Style Combo-box -----------------------------------------------------------
  // clear format, more styles
  'Wyczy wirmatowanie', 'Wszystkie style',
  // dialog title, prompt
  'Style', '&Wybierz style:',
  {$ENDIF}
  // Spelling check and thesaurus ----------------------------------------------
  '&Synonimy', 'Pom&i wszystkie', 'Dod&aj do Sownika',
  // Progress messages ---------------------------------------------------------
  'Pobieranie %s', 'Przygotowanie do druku...', 'Drukowanie strony %d',
  'Konwertowanie z RTF...',  'Konwertowanie do RTF...',
  'Odczytywanie %s...', 'Zapisywanie %s...', 'tekst',
  // Edit note -----------------------------------------------------------------
  // Titles: No note, Footnote, Endnote, Sidenote, Text box
  'Brak przypisu', 'Przypis dolny', 'Przypis kocowy', 'Przypis boczny', 'Przypis ssiadujcy'
  );
initialization
  RVA_RegisterLanguage(
    'Polish', // english language name, do not translate
    'Polski', // native language name
    EASTEUROPE_CHARSET, @Messages);
end.

