{*******************************************************}
{                                                       }
{       RichViewActions                                 }
{       Portuguese (Portuguese) translation             }
{                                                       }
{       Copyright (c) Sergey Tkachenko                  }
{       svt@trichview.com                               }
{       http://www.trichview.com                        }
{                                                       }
{*******************************************************}
{ Translated by:	Gilberto Fonte 2012-07-26			        }
{ Updated by: 		Bruno Martins 2014-06-30			        }
{*******************************************************}

unit RVAL_PtPt;
{$I RV_Defs.inc}
interface

implementation
uses Windows, RVALocalize;

const
  Messages: TRVAMessages =                            
  (
  '',
  // units: inches, cm, mm, picas, pixels, points
  'polegadas', 'cm', 'mm', 'picas', 'pixeis', 'pontos',
  // units : [n] inches, [n] cm, [n] mm, [n] picas, [n] pixels, [n] points
  '''''', 'cm', 'mm', 'pi', 'px', 'pt',  
  // not used in actions, but can be useful: common menus:
  // top-level menus: File, Format, Text, Paragraph, Insert, Table, Window, Help
  '&Ficheiro', '&Editar', 'F&ormatar', 'Tipo de &letra', '&Pargrafo', '&Inserir', '&Tabela', '&Janela', '&Ajuda',
  // exit
  'Sai&r',
  // top-level menus: View, Tools,
  '&Ver', 'Ferramen&tas',
  // menus: Font size, Font style, Table select, Table cell align, table cell borders
  'Tamanho', 'Estilo', 'Selec&ionar', 'Ali&nhamento de Clulas', 'Limites de C&lulas',
  // menus: Table cell rotation
  '&Orientao de Clula',    
  // menus: Text flow, Footnotes/endnotes
  '&Fluxo de texto', 'Notas de &Rodap',
  // ribbon tabs: tab1, tab2, view, table
  '&Base', '&Avanado', '&Ver', '&Tabela',
  // ribbon groups: clipboard, font, paragraph, list, editing
  'rea de Transferncia', 'Tipo de Letra', 'Pargrafo', 'Lista', 'Editar',
  // ribbon groups: insert, background, page setup,
  'Inserir', 'Fundo', 'Configurar Pgina',
  // ribbon groups: links, footnotes, document views, show/hide, zoom, options
  'Ligaes', 'Notas de Rodap', 'Vistas de Documento', 'Mostrar/Ocultar', 'Zoom', 'Opes',
  // ribbon groups on table tab: insert, delete, operations, borders
  'Inserir', 'Eliminar', 'Operaes', 'Limites',
  // ribbon groups: styles 
  'Estilos',
  // ribbon screen tip footer,
  'Prima F1 para obter mais ajuda',
  // ribbon app menu: recent files, save-as menu title, print menu title
  'Recentes', 'Guardar documento', 'Pr-visualizar e imprimir',
  // ribbon label: units combo
  'Unidades:',  
  // actions -------------------------------------------------------------------
  // TrvActionNew
  '&Novo', 'Novo|Cria um novo documento em branco',
  // TrvActionOpen
  '&Abrir...', 'Abrir|Abre um documento',
  // TrvActionSave
  '&Guardar', 'Guardar|Guarda o documento',
  // TrvActionSaveAs
  'Guardar &Como...', 'Guardar Como...|Guarda o documento com um novo nome',
  // TrvActionExport
  '&Exportar...', 'Exportar|Exporta o documento para outro formato',
  // TrvActionPrintPreview
  'Pr-vi&sualizar Impresso', 'Pr-visualizar Impresso|Mostrar o documento como ser impresso',
  // TrvActionPrint
  '&Imprimir...', 'Imprimir|Configurar a impresso e imprime o documento',
  // TrvActionQuickPrint
  '&Imprimir', '&Impresso rpida', 'Imprimir|Imprime o documento',
   // TrvActionPageSetup
  'Configurar P&gina...', 'Configurar Pgina|Configurar margens, tamanho de papel, orientao, fonte, cabealho e rodap',
  // TrvActionCut
  'Cor&tar', 'Cortar|Corta a seleo para a rea de Transferncia',
  // TrvActionCopy
  '&Copiar', 'Copiar|Copia a seleo para a rea de Transferncia',
  // TrvActionPaste
  'Co&lar', 'Colar|Colar o contedo da rea de Transferncia',
  // TrvActionPasteAsText
  'Colar como &Texto', 'Colar como Texto|Colar apenas o texto do contedo da rea de Transferncia',
  // TrvActionPasteSpecial
  'Colar E&special...', 'Colar Especial|Colar o contedo da rea de Transferncia no formato especificado',
  // TrvActionSelectAll
  'Selecionar &Tudo', 'Selecionar Tudo|Seleciona todos os itens',
  // TrvActionUndo
  '&Anular', 'Anular|Anula a ltima ao',
  // TrvActionRedo
  '&Refazer', 'Refazer|Refaz a ltima ao anulada',
  // TrvActionFind
  '&Localizar...', 'Localizar|Localiza texto no documento',
  // TrvActionFindNext
  'Localizar &Seguinte', 'Localizar Seguinte|Continua a ltima localizao',
  // TrvActionReplace
  '&Substituir...', 'Substituir|Substitui o texto especificado no documento',
  // TrvActionInsertFile
  '&Ficheiro...', 'Inserir Ficheiro|Inserir o contedo do ficheiro no documento',
  // TrvActionInsertPicture
  '&Imagem...', 'Inserir Imagem|Inserir uma imagem',
  // TRVActionInsertHLine
  'Linha &Horizontal', 'Inserir Linha Horizontal|Inserir uma linha horizontal',
  // TRVActionInsertHyperlink
  '&Hiperligao...', 'Inserir Hiperligao|Inserir uma hiperligao',
  // TRVActionRemoveHyperlinks
  '&Remover Hiperligao', 'Remove Hiperligao|Remove todas as hiperligaes no texto selecionado',
  // TrvActionInsertSymbol
  '&Smbolo...', 'Inserir Smbolo|Inserir smbolo',
  // TrvActionInsertNumber
  '&Nmero...', 'Inserir Nmero|Insere um nmero',
  // TrvActionInsertCaption
  'Inserir &Legenda...', 'Inserir Legenda|Adiciona uma legenda ao objeto selecionado',
  // TrvActionInsertTextBox
  '&Caixa de Texto', 'Inserir Caixa de Texto|Insere uma caixa de texto',
  // TrvActionInsertSidenote
  '&Comentrio', 'Inserir comentrio|Adiciona uma nota de comentrio exibida numa caixa de texto',
  // TrvActionInsertPageNumber
  '&Nmero de Pgina', 'Inserir Nmero de Pgina|Insere um nmero de pgina',
  // TrvActionInsertPageCount
  {*} 'Page Count', 'Insert Page Count|Inserts a count of pages',
  // TrvActionParaList
  '&Marcas e Numerao...', 'Marcas e Numerao|Aplica ou edita marcas ou numeraes para os pargrafos selecionados',
  // TrvActionParaBullets
  '&Marcas', 'Marcas|Adicionar ou remove marcas ao pargrafo',
  // TrvActionParaNumbering
  '&Numerao', 'Numerao|Adicionar ou remove numerao ao pargrafo',
  // TrvActionColor
  'Cor da &Pagina...', 'Cor da Pgina|Aplica a cor para fundo do documento',
  // TrvActionFillColor
  '&Sombreado...', 'Sombreado|Aplica a cor de fundo do texto, pargrafo, clula, tabela ou documento',
  // TrvActionInsertPageBreak
  '&Inserir Quebra de Pgina', 'Inserir Quebra de Pgina|Inserir uma quebra de pgina',
  // TrvActionRemovePageBreak
  '&Remover Quebra de Pgina', 'Remover Quebra de Pgina|Remove a quebra de pgina',
  // TrvActionClearLeft
  'Limpar Fluxo do Texto do Lado &Esquerdo', 'Limpar Fluxo do Texto do Lado Esquerdo|Posiciona este pargrafo abaixo de qualquer figura alinhada pela esquerda',
  // TrvActionClearRight
  'Limpar Fluxo do Texto do Lado &Direito', 'Limpar Fluxo do Texto do Lado Direito|Posiciona este pargrafo abaixo de qualquer figura alinhada pela direita',
  // TrvActionClearBoth
  'Limpar Fluxo do Texto de &Ambos os Lados', 'Limpar Fluxo do Texto de &Ambos os Lados|Posiciona este pargrafo abaixo de qualquer',
  // TrvActionClearNone
  'Fluxo de Texto &Normal', 'Fluxo do Texto Normal|Texto ao redor de figuras alinhadas pela esquerda ou pela direita',
  // TrvActionVAlign
  'Posio do &Objeto...', 'Posio do Objeto|Muda a posio do objeto selecionado',
  // TrvActionItemProperties
  '&Propriedades de Objeto...', 'Propriedades de Objeto|Define propriedades do objeto ativo',
  // TrvActionBackground
  '&Fundo...', 'Fundo|Escolhe a cor e imagem de fundo',
  // TrvActionParagraph
  '&Pargrafo...', 'Pargrafo|Muda os atributos do pargrafo',
  // TrvActionIndentInc
  '&Aumentar Avano', 'Aumentar Avano|Aumentar avano  esquerda dos pargrafos selecionados',
  // TrvActionIndentDec
  '&Diminuir Avano', 'Diminuir Avano|Diminuir avano  esquerda dos pargrafos selecionados',
  // TrvActionWordWrap
  '&Quebra de Linha', 'Quebra de Linha|Liga/Desliga quebra de linha para os pargrafos selecionados',
  // TrvActionAlignLeft
  'Alinhar  &Esquerda', 'Alinhar  Esquerda|Alinha o texto selecionado  esquerda',
  // TrvActionAlignRight
  'Alinhar  &Direita', 'Alinhar  Direita|Alinha o texto selecionado  direita',
  // TrvActionAlignCenter
  'Alinhar ao &Centro', 'Alinhar ao &Centro|Centrar o texto selecionado',
  // TrvActionAlignJustify
  '&Justificar', {*} 'Justificar|Alinha o texto selecionado  direita e  esquerda, adding space between words if necessary',
  // TrvActionAlignDistribute
  {*} '&Distribute', 'Distribute|Aligns the selected text to both left and right sides, adding space between characters if necessary',
  // TrvActionParaColor
  'Cor de Fu&ndo do Pargrafo...', 'Cor de Fundo do Pargrafo|Configurar cor de fundo de pargrafos',
  // TrvActionLineSpacing100
  'Espaamento de Linha &Simples', 'Espaamento de Linha Simples|Configurar espaamento de linha simples',
  // TrvActionLineSpacing150
  'Espaamento de 1,5 Lin&has', 'Espaamento de 1,5 Lin&has|Configurar espaamento de 1,5 linhas',
  // TrvActionLineSpacing200
  'Espaamento de Linha &Duplo', 'Espaamento de Linha Duplo|Configurar espaamento de linha duplo',
  // TrvActionParaBorder
  '&Limites e Sombreado...', 'Limites e Sombreado|Configurar limites e cor de fundo para os pargrafos selecionados',
  // TrvActionInsertTable
  '&Inserir Tabela...', '&Tabela', 'Inserir Tabela|Inserir uma nova tabela',
  // TrvActionTableInsertRowsAbove
  'Inserir Linha &Acima', 'Inserir Linha Acima|Inserir nova linha acima das clulas selecionadas',
  // TrvActionTableInsertRowsBelow
  'Inserir Linha A&baixo', 'Inserir Linha Abaixo|Inserir nova linha abaixo das clulas selecionadas',
  // TrvActionTableInsertColLeft
  'Inserir Coluna  &Esquerda', 'Inserir Coluna  Esquerda|Inserir nova coluna  esquerda das clulas selecionadas',
  // TrvActionTableInsertColRight
  'Inserir Coluna  &Direita', 'Inserir Coluna  Direita|Inserir nova coluna  direita das clulas selecionadas',
  // TrvActionTableDeleteRows
  'Eliminar L&inhas', 'Eliminar Linhas|Elimina linhas contendo as clulas selecionadas',
  // TrvActionTableDeleteCols
  'Eliminar &Colunas', 'Eliminar Colunas|Elimina colunas contendo as clulas selecionadas',
  // TrvActionTableDeleteTable
  '&Eliminar Tabela', 'Eliminar Tabela|Elimina a tabela',
  // TrvActionTableMergeCells
  '&Unir Clulas', 'Unir Clulas|Intercala as clulas selecionadas',
  // TrvActionTableSplitCells
  '&Dividir Clulas...', 'Dividir Clulas|Divide as clulas selecionadas',
  // TrvActionTableSelectTable
  'Selecionar &Tabela', 'Selecionar Tabela|Seleciona a tabela',
  // TrvActionTableSelectRows
  'Selecionar Lin&has', 'Selecionar Linhas|Seleciona linhas',
  // TrvActionTableSelectCols
  'Selecionar Col&unas', 'Selecionar Colunas|Seleciona colunas',
  // TrvActionTableSelectCell
  'Selecionar C&lula', 'Selecionar Clula|Selecionar clula',
  // TrvActionTableCellVAlignTop
  'Alinhar Clula em &Cima', 'Alinhar Clula em Cima|Alinha contedo na parte superior da clula',
  // TrvActionTableCellVAlignMiddle
  'Alinhar Clula ao C&entro', 'Alinhar Clula no Centro|Alinha contedo na parte central da clula',
  // TrvActionTableCellVAlignBottom
  'Alinhar Clula em &Baixo', 'Alinhar Clula em Baixo|Alinha contedo na parte inferior da clula',
  // TrvActionTableCellVAlignDefault
  'Alinhamento Vertical de Clula &Normal', 'Alinhamento Vertical de Clula Normal|Configurar o alinhamento vertical normal para as clulas selecionadas',
  // TrvActionTableCellRotationNone
  '&Sem Orientao de Clula', 'Sem Orientao de Clula|Orienta o contedo da clula para 0',
  // TrvActionTableCellRotation90
  'Orientao de Clula a &90', 'Orientao Clula para 90|Orienta o contedo da clula para 90',
  // TrvActionTableCellRotation180
  'Orientao de Clula a &180', 'Orientao Clula para 180|Orienta o contedo da clula para 180',
  // TrvActionTableCellRotation270
  'Orientao de Clula a &270', 'Orientao Clula para 270|Orienta o contedo da clula para 270',
  // TrvActionTableProperties
  '&Propriedades da Tabela...', 'Propriedades da Tabela|Alterar as propriedades da tabela selecionada',
  // TrvActionTableGrid
  'Mostrar Linhas de &Grelha', 'Mostrar Linhas de Grelha|Mostrar ou ocultar as linhas de grelha na tabela',
  // TRVActionTableSplit
  'Di&vidir Tabela', 'Dividir Tabela|Divide a tabela em duas tabelas comeando na linha selecionada',
  // TRVActionTableToText
  'Converter em Te&xto...', 'Converter em Texto|Converte a tabela em texto normal',
  // TRVActionTableSort
  '&Ordenar...', 'Ordenar|Ordena as linhas da tabela',
  // TrvActionTableCellLeftBorder
  'Limite &Esquerdo', 'Limite Esquerda|Mostrar ou Ocultar o limite esquerdo da clula',
  // TrvActionTableCellRightBorder
  'Limite &Direita', 'Limite Direita|Mostrar ou Ocultar o limite direito da clula',
  // TrvActionTableCellTopBorder
  'Limite &Superior', 'Limite Superior|Mostrar ou Ocultar o limite superior da clula',
  // TrvActionTableCellBottomBorder
  'Limite &Inferior', 'Limite Inferior|Mostrar ou Ocultar o limite inferior da clula',
  // TrvActionTableCellAllBorders
  '&Todos os Limites', 'Todos os Limites|Mostrar ou Ocultar todos os limites da clula',
  // TrvActionTableCellNoBorders
  '&Sem Limites', 'Sem Limites|Ocultar todos os limites da clulas',
  // TrvActionFonts & TrvActionFontEx
  'Tipo de &Letra...', 'Tipo de Letra|Alterar o tipo de letra do texto selecionado',
  // TrvActionFontBold
  '&Negrito', 'Negrito|Alterar o estilo do texto selecionado para negrito',
  // TrvActionFontItalic
  '&Itlico', 'Itlico|Alterar o estilo do texto selecionado para itlico',
  // TrvActionFontUnderline
  '&Sublinhado', 'Sublinhado|Alterar o estilo do texto selecionado para sublinhado',
  // TrvActionFontStrikeout
  '&Rasurado', 'Rasurado|Desenha um linha no meio do texto selecionado',
  // TrvActionFontGrow
  '&Aumentar Tipo de Letra', 'Aumentar Tipo de Letra|Aumentar o tamanho do tipo de letra selecionado em 10%',
  // TrvActionFontShrink
  'D&iminuir Tipo de Letra', 'Diminuir Tipo de Letra|Diminuir o tamanho do tipo de letra selecionado em 10%',
  // TrvActionFontGrowOnePoint
  'A&umentar Tipo de Letra em Um Ponto', 'Aumentar Tipo de Letra em Um Ponto|Aumentar o tamanho do tipo de letra selecionado em 1 ponto',
  // TrvActionFontShrinkOnePoint
  'D&iminuir Tipo de Letra em Um Ponto', 'Diminuir Tipo de Letra em Um Ponto|Diminuir o tamanho do tipo de letra selecionado em 1 ponto',
  // TrvActionFontAllCaps
  '&Tudo Maisculas', 'Tudo Maisculas|Alterar todos os carateres do texto selecionado para maisculas',
  // TrvActionFontOverline
  '&SobreLinha', 'SobreLinha|Adicionar linha sobre o texto selecionado',
  // TrvActionFontColor
  '&Cor do Tipo de Letra...', 'Cor do Tipo de Letra|Alterar a cor do texto selecionado',
  // TrvActionFontBackColor
  'Cor de &Realce do Texto...', 'Cor de Realce do Texto|Alterar a cor de fundo do texto selecionado',
  // TrvActionAddictSpell3
  'Verificar &Ortografia', 'Verificar Ortografia|Verifica a ortografia',
  // TrvActionAddictThesaurus3
  '&Sinnimos', 'Sinnimos|Lista de sinnimos para a palavra selecionada',
  // TrvActionParaLTR
  'Esquerda para Direita', 'Esquerda para Direita|Configurar direo do texto da esquerda para direita para pargrafos selecionados',
  // TrvActionParaRTL
  'Direita para Esquerda', 'Direita para Esquerda|Configurar direo do texto da direita para esquerda para pargrafos selecionados',
  // TrvActionLTR
  'Texto Esquerda para Direita', 'Texto Esquerda para Direita|Configurar direo do texto da esquerda para direita para texto selecionado',
  // TrvActionRTL
  'Texto Direita para Esquerda', 'Texto Direita para Esquerda|Configurar direo do texto da direita para esquerda para texto selecionado',
  // TrvActionCharCase
  'Maisculas/Minsculas', 'Maisculas/Minsculas|Alterar para maisculas ou minsculas do texto selecionado',
  // TrvActionShowSpecialCharacters
  'Mostrar &Tudo', 'Mostrar Tudo|Mostrar ou ocultar smbolos ocultos',
  // TrvActionSubscript
  '&Inferior  linha', 'Inferior  linha|Cria letras pequenas por baixo da linha de texto',
  // TrvActionSuperscript
  '&Superior  linha', 'Superior  linha|Cria letras pequenas por cima da linha de texto',
  'Nota de &Rodap', 'Nota de Rodap|Inserir uma nota de rodap',
  // TrvActionInsertEndnote
  'Nota de &Fim', 'Nota de Fim|Inserir uma nota de fim',
  // TrvActionEditNote
  'E&ditar Nota', 'Editar Nota|Editar uma nota de rodap ou de fim',
  '&Ocultar', 'Ocultar|Ocultar ou Mostrar o texto selecionado',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // TrvActionStyleTemplates
  '&Estilos...', 'Estilos|Abrir a janela de estilos',
  // TrvActionAddStyleTemplate
  '&Adicionar Estilo...', 'Adicionar Estilo|Criar um novo estilo de texto ou pargrafo',
  // TrvActionClearFormat,
  '&Limpar formatao', 'Limpar Formatao|Limpar todas as formataes no texto ou pargrafo selecionado',
  // TrvActionClearTextFormat,
  'Limpar &Formato de texto', 'Limpar Formato de Texto|Limpar todas as formataes no texto selecionado',
  // TrvActionStyleInspector
  '&Inspetor de Estilos', 'Inspetor de Estilos|Abre ou fecha o inspetor de estilos',
  {$ENDIF}
  // button captions: OK, Cancel, Close, Insert, Open, Save, Clear, Help, Remove -------
   'OK', 'Cancelar', 'Fechar', 'Inserir', '&Abrir...', '&Guardar...', '&Limpar', 'Ajuda', 'Eliminar',
  // Others  -------------------------------------------------------------------
  // percents
  'percentagem',
  // left, top, right, bottom sides
  'Esquerdo', 'Superior', 'Direito', 'Inferior',
  // save changes? confirm title
  'Deseja guardar as alteraes no documento %s?', 'Confirmao',
  // warning: losing formatting
  '%s pode conter recursos no compatveis com o tipo de ficheiro escolhido.'#13+
  'Deseja guardar o documento neste tipo de ficheiro?',
  // RVF format name
  'Tipo RichView',
  // Error messages ------------------------------------------------------------
  'Erro',
  'Erro ao abrir o ficheiro.'#13#13'Causas possveis:'#13'- tipo de ficheiro no compatvel;'#13+
  '- o ficheiro est corrompido;'#13'- o ficheiro est aberto noutra aplicao.',
  'Erro ao abrir a imagem.'#13#13'Causas possveis:'#13'- tipo de ficheiro no compatvel;'#13+
  '- o ficheiro no  uma imagem;'#13+
  '- o ficheiro est corrompido;'#13'- o ficheiro est aberto noutra aplicao.',
  'Erro ao guardar o ficheiro.'#13#13'Causas possveis:'#13'- sem espao em disco;'#13+
  '- disco est protegido contra escrita;'#13'- disco amovvel no inserido;'#13+
  '- o ficheiro esta aberto noutra aplicao;'#13'- disco amovvel est corrompido.',
  // File filters --------------------------------------------------------------
  // RVF, RTF, XML (for RichViewXML)
  'Ficheiros RichView (*.rvf)|*.rvf',  'Ficheiros RTF (*.rtf)|*.rtf' , 'Ficheiros XML (*.xml)|*.xml',
  // Text - ansi, unicode, auto
  'Ficheiros Texto (*.txt)|*.txt', 'Ficheiros Texto - Unicode (*.txt)|*.txt', 'Ficheiros Texto - Deteo automtica (*.txt)|*.txt',
  // open html (RVHtmlImporter), save HTML with CSS, save HTML without CSS
  'Ficheiros HTML (*.htm;*.html)|*.htm;*.html', 'HTML (*.htm;*.html)|*.htm;*.html',
  'Ficheiros HTML - Simplificado (*.htm;*.html)|*.htm;*.html',
  // DocX
  'Documento do Microsoft Word (*.docx)|*.docx',
  // Search and replace --------------------------------------------------------
  // Search complete; String not found
  'Pesquisa Completa', 'O texto ''%s'' no foi encontrado.',
  // 1 string replaced; Several strings replaced
  '1 item substitudo.', '%d itens substitudos.',
  // continue search from the beginning/end?
  'O final do documento foi atingido, continuar do incio?',
  'O incio do documento foi atingido, continuar do final?',
  // Colors -------------------------------------------------------------------
  // Transparent, Auto
  'Transparente', 'Auto',
  // Black, Brown, Olive Green, Dark Green, Dark Teal, Dark blue, Indigo, Gray-80%
  'Preto', 'Castanho', 'Verde Azeitona', 'Verde Escuro', 'Azul Petrleo Escuro', 'Azul escuro', 'Indigo', 'Cinza-80%',
  // Dark Red, Orange, Dark Yellow, Green, Teal, Blue, Blue-Gray, Gray-50%
  'Vermelho Escuro', 'Laranja', 'Amarelo Escuro', 'Verde', 'Azul Petrleo', 'Azul', 'Azul-Cinza', 'Cinza-50%',
  // Red, Light Orange, Lime, Sea Green, Aqua, Light Blue, Violet, Grey-40%
  'Vermelho', 'Laranja Claro', 'Verde Lima', 'Verde Mar', 'Azul gua', 'Azul Claro', 'Violeta', 'Cinza-40%',
  // Pink, Gold, Yellow, Bright Green, Turquoise, Sky Blue, Plum, Gray-25%
  'Rosa Choque', 'Dourado', 'Amarelo', 'Verde Brilhante', 'Turquesa', 'Azul Cu', 'Ameixa', 'Cinza-25%',
  // Rose, Tan, Light Yellow, Light Green, Light Turquoise, Pale Blue, Lavender, White
  'Rosa', 'Castanho Claro', 'Amarelo Claro', 'Verde Claro', 'Turquesa Claro', 'Azul Plido', 'Lils', 'Branco',
  // color picker buttons: Transparent, Auto, More Colors, Default
  // (correspond to color names, but have hotkeys)
  'Tr&ansparente', '&Auto', '&Mais Cores...', '&Cores Padro',
  // Background Form -----------------------------------------------------------
  // Title, Color label, Position group-box, Background group-box, Sample text
  'Fundo', 'C&or:', 'Posio', 'Fundo', 'Texto de exemplo.',
  //positions: None, Full Window, Fixed Tiles, Tiles, Center,
  '&Nenhum', '&Expandido', 'Lado a Lado F&ixo', '&Lado a Lado', 'C&entrado',
  // Padding button
  '&Ajustar...',
  // Fill Color Form -----------------------------------------------------------
  // Title, Apply to, More Colors button, Padding button, Please select color
  'Cor Preenchimento', '&Aplicar em:', '&Mais Cores...', '&Ajustar...',
  'Favor selecionar uma cor',
  // [apply to:] text, paragraph, table, cell
  'texto', 'pargrafo' , 'tabela', 'clula',
  // Font Form -----------------------------------------------------------------
  // Title, Font tab, Layout tab
  'Tipo de Letra', 'Tipo de Letra', 'Apresentao',
  // Font Name, Font Size labels, Font Style group-box, Bold, Italic check-boxes
  '&Tipo de Letra:', '&Tamanho', 'Estilo do Tipo de Letra', '&Negrito', '&Itlico',
  // Script, Color, Back color labels, Default charset
  'Sc&ript:', '&Cor do Tipo de Letra:', 'Cor do &realce:', '(Padro)',
  // Effects group-box, Underline, Overline, Strikethrough, All Caps
  'Efeitos', 'Sublinhado', '&Linha superior', 'R&asurado', '&Maisculas',
  // Sample, Sample text
  'Pr-visualizar', 'Texto de exemplo',
  // Spacing group-box, Spacing label, Expanded, Condensed,
  'Espaamento entre Carateres', '&Por:', '&Expandido', '&Comprimido',
  // Offset group-box, Offset label, Down, Up,
  'Posicionamento', '&Por:', '&Rebaixado', '&Elevado',
  // Scaling group-box, Scaling
  'Escala', '&De:',
  // Sub/super script group box, Normal, Sub, Super
  'Efeitos', '&Normal', '&Inferior  linha', '&Superior  linha',
  // 4 Sides Form --------------------------------------------------------------
  // Default Title; Top, Left, Bottom, Right, Equal values check-box
  'Ajuste', '&Superior:', '&Esquerda:', '&Inferior:', '&Direita:', 'Valores &iguais',
  // Hyperlink Form ------------------------------------------------------------
  // Title, Group-box Title, Text, Target, <<Selected Fragment>>
  'Inserir Hiperligao', 'Hiperligao', 'T&exto:', '&Destino', '<<seleo>>',
  // cannot open URL
  'Impossvel abrir o endereo "%s"',
  // hyperlink properties button, hyperlink style
  '&Personalizar...', '&Estilo:',
  // Hyperlink Properties Form -------------------------------------------------
  // Title, Group-boxes: Normal colors, Active (highlight) olors
  'Atributos de Hiperlink', 'Cores normal', 'Cores ativo',
  // Text [color], Background [color]
  '&Texto:', '&Fundo',
  // Underline [color]
  'S&ublinhado:',   
  // Text [color], Background [color] (different hotkeys)
  'T&exto:', 'F&undo',
  // Underline [color], Attributes group-box,
  'S&ublinhado:', 'Atributos',
  // Underline type: always, never, active (below the mouse)
  'S&ublinhado:', 'sempre', 'nunca', 'ativo',
  // Same as normal check-box
  'Como &normal',
  // underline active links check-box
  '&Sublinhar os links ativos',
  // Insert Symbol Form --------------------------------------------------------
  // Title, Font name, Character set, Unicode
  'Inserir Smbolo', '&Tipo de Letra:', 'Subconjunto:', 'Unicode',
  // Unicode block
  '&Bloco:',
  // Character Code, Character Unicode Code, No Character
  'Cd. Carter: %d', 'Cd. Carter: Unicode %d', '(sem carter)',
  // Insert Table Form ---------------------------------------------------------
  // Title, Table size group-box, nCols, nRows,
  'Inserir Tabela', 'Tamanho Tabela', 'Nmero de &colunas:', 'Nmero de &linhas:',
  // Table layout group-box, Autosize, Fit, Manual size,
  'Comportamento do ajuste automtico', 'Ajuste &Automtico', 'Ajuste automtico  &janela', 'Largura &manual',
  // Remember check-box
  'Lembrar &dimenses de novas tabelas',
  // VAlign Form ---------------------------------------------------------------
  'Posio',
  // Item Properties Form ------------------------------------------------------
  // Default checkbox
  {*} 'Default',
  // Title; Image, Position and size, Line, Table, Rows, Cells tabs
  'Propriedades', 'Imagem', 'Posio e Tamanho', 'Linha', 'Tabela', 'Linhas', 'Clulas',
  // Image Appearance, Image Misc, Number tabs
  'Aspeto', 'Diversos', 'Nmero',
  // Box position, Box size, Box appearance tabs
  'Posio', 'Tamanho', 'Aspeto',
  // Preview label, Transparency group-box, checkbox, label
  'Pr-visualizao:', 'Transparncia', '&Transparente', '&Cor transparente:',
  // change button, save button, no transparent color (use color of right-bottom pixel)
  'Al&terar...', '&Guardar...', 'Auto',
  // VAlign group-box (used 3 times) and label, bottom-baseline, middle-baseline, top, bottom, middle
  'Alinhamento vertical', '&Alinhamento:',
  'inferior  linha de texto', 'meio da linha de texto',
  'superior  linha de texto', 'em linha com o texto', 'meio com o centro da linha de texto',
  // align to left side, align to right side
  'lado esquerdo', 'lado direito',
  // Shift By label, Stretch group box, Width, Height, Default size
  '&Deslocao de:', 'Ajustar', '&Largura:', '&Altura:', 'Tamanho padro: %d x %d',
  // Scale proportionally checkbox, Reset ("no stretch") button
  'Manter &proporo', '&Restaurar',
  // Inside the border, border, outside the border groupboxes
  'Dentro do contorno', 'Contorno', 'Fora do contorno',
  // Fill color, Padding (i.e. margins inside border) labels
  '&Cor de preenchimento:', '&Margem interna:',
  // Border width, Border color labels
  '&Largura do contorno:', '&Cor do contorno:',
  // Horizontal and vertical spacing (i.e. margins outside border) labels
  'Espaamento &horizontal:', 'Espaamento &vertical:',
  // Miscellaneous groupbox, Tooltip label
  'Outros', '&Ajuda:',
  // web group-box, alt text
  'Web', '&Texto alternativo:',
  // Horz line group-box, color, width, style
  'Linha horizontal', '&Cor:', '&Largura:', '&Estilo:',
  // Table group-box; Table Width, Color, CellSpacing,
  'Tabela', '&Largura:', 'Cor &preenchimento:', 'Espaamento entre &clulas...',
  // Horizontal cellpadding, Vertical cellpadding, Border&Background groupbox
  'Margem &horizontal das clulas:', 'Margem &vertical das clulas:', 'Contorno e fundo',
  // Visible table border sides button, auto width (in combobox), auto width label
  '&Contornos visveis...', 'Auto', 'auto',
  // Keep row content together checkbox
  '&Manter o contedo junto',
  // Rotation groupbox, rotations: 0, 90, 180, 270
  'Rotao', '&Nenhuma', '&90', '&180', '&270',
  // Cell border label, Visible cell border sides button,
  'Contorno:', 'Cont&ornos visveis...',
  // Border, CellBorders buttons
  'Limite de &Tabela...', 'Limites das &Clulas...',
  // Table border, Cell borders dialog titles
  'Limite da Tabela', 'Limites das Clula',
  // Table Printing group-box, KeepOnPage checkbox, HeadingRows, HeadingRowsTip labels
  'Impresso', '&Manter tabela numa pgina', 'Nmero de linhas de &cabealho:',
  'Linhas de cabealho so repetidas no inco de cada pgina',
  // top, center, bottom, default
  'Em &Cima', '&Centrado', 'Em &Baixo', '&Normal',
  // Cell Settings group-box, BestWidth, BestHeight, FillColor
  'Configuraes', '&Largura Preferida:', '&Altura mnima:', 'Cor &Preenchimento:',
  // Cell Border group-box,, VisibleSides; shadow, light, border colors
  'Limites', 'Limites visveis:',  'C&or sombra:', 'Cor &luz', 'C&or:',
  // Background image
  '&Imagem...',
  // Horizontal position, Vertical position, Position in text groupboxes and listitems
  'Posio horizontal', 'Posio vertical', 'Posio no texto',
  // Position types: align, absolute, relative
  'Alinhado', 'Posio absoluta', 'Posio relativa',
  // [Align] left side, center, right side
  'lado esquerdo do objeto com o lado esquerdo de',
  'centro do objeto com o centro de',
  'lado direito do objeto com o lado direito de',
  // [Align] top side, center, bottom side
  'parte superior do objeto com a parte superior de',
  'centro do objeto com o centro de',
  'parte inferior do objeto com a parte inferior de',
  // [Align] relative to
  'relativo a',
  // [Position] to the right of the left side of
  'para a direita do lado esquerdo de',
  // [Position] below the top side of
  'debaixo da parte superior de',
  // Anchors: page, main text area (x2)
  '&Pgina', '&Corpo de texto', 'P&gina', 'Corpo de te&xto',
  // Anchors: left margin, right margin
  'Margem &esquerda', 'Margem &direita',
  // Anchors: top margin, bottom margin, inner margin, outer margin
  'Margem &superior', 'Margem &inferior', 'Margem &interna', 'Margem &externa',
  // Anchors: character, line, paragraph
  '&Carter', 'L&inha', 'Par&grafo',
  // Mirrored margins checkbox, layout in table cell checkbox
  'Margens id&nticas', 'Es&quema nas clulas da tabela',
  // Above text, below text
  '&Acima do texto', '&Debaixo do texto',
  // Width, Height groupboxes, Width, Height labels
  'Largura', 'Comprimento', '&Largura:', '&Comprimento:',
  // Auto height label, Auto height combobox item
  'Auto', 'auto',
  // Vertical alignment groupbox; alignments: top, center, bottom
  'Alinhamento vertical', '&Superior', '&Centro', '&Inferior',
  // Border and background button and title
  'L&imites and fundo...', 'Box Border and Background',
  // Paste Special Form --------------------------------------------------------
  //Title, Label; Formats: RTF, HTML, Text, UnicodeText, BMP, WMF, graphic files
  'Colar Especial', '&Colar como:', 'Texto formatado (RTF)', 'Formato HTML',
  'Texto no formatado', 'Texto unicode no formatado', 'Imagem bitmap', 'Imagem metafile',
  'Ficheiros grficos', 'Endereo',
  // Options group-box, styles
  'Opes', '&Estilos:',
  // style options: apply target styles, use source styles, ignore styles
  'aplicar estilos ao documento', 'manter estilos e aparncia',
  'manter a aparncia, ignorar os estilos',  
  // List Gallery Form ---------------------------------------------------------
  // Title; Bulleted, Numbered tabs; Bulleted, Numbered group-boxes
  'Marcas e Numerao', 'Marcas', 'Numerao', 'Listas com Marcas', 'Listas numeradas',
  // Customize, Reset, None
  '&Personalizar...', '&Predefinir', 'Nenhum',
  // Numbering: continue, reset to, create new
  'continuar numerao', 'reiniciar numerao em', 'cria uma nova lista',
  // List Gallery 2 Form (HTML) -----------------------------------------------
  // Numbering type
  'Letras Maisculas', 'Nmeros Romanos Maisculos', 'Decimal', 'Letras Minsculas', 'Nmeros Romanos Minsculos',
  // Bullet type
  'Crculo', 'Disco', 'Quadrado',
  // Level, Start from, Continue numbering, Numbering group-box
  '&Nvel:', '&Iniciar em:', '&Continuar', 'Numerao',
  // Customize List Form -------------------------------------------------------
  // Title, Levels, Level count, List properties, List type,
  'Personaliza Lista', 'Nveis', '&Quant.:', 'Propriedades da Lista', 'Tipo de &lista:',
  // List types: bullet, image
  'marcas', 'imagem', 'Inserir Nmero|',
  // Number format, Number, Start level from, Font button
  'Formato dos &Nmeros:', 'Nmeros', 'Nvel &inicial a partir de :', '&Tipo de Letra...',
  // Image button, bullet character, Bullet button,
  '&Imagem...', 'C&arter da Marca', '&Marca...',
  // Position of list text, bullet, number, image, text
  'Posio do texto de lista', 'Posio da marca', 'Posio da numerao', 'Posio da imagem', 'Posio do texto',
  // at, left indent, first line indent, from left indent
  '&em:', 'Avano &esquerda:', 'Avano &primeira linha:', 'do avano esquerdo',
  // [only] one level preview, preview
  'Pr-visualizar &um nvel', 'Pr-visualizar',
  // Preview text
  'Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto.',
  // marker align: left side of marker is aligned [at ...],
  // right side of marker is aligned [at ...], center of marker is aligned [at ...]
  'alinha  esquerda', 'alinha  direita', 'centrado',
  // level #, this level (for combo-box)
  'Nvel %d', 'Este nvel',
  // Marker character dialog title
  'Alterar Marca',
  // Paragraph Border and Backgound Form ---------------------------------------
  // Title; Border, Background tabs
  'Limites e Sombreado do Pargrafo', 'Limites', 'Sombreado',
  // Settings group-box; Color, Width, Internal width labels; Offsets button
  'Configuraes', '&Cor:', '&Largura:', 'Largura int&erna:', 'D&eslocamento...',
  // Sample, Border type group-boxes;
  'Exemplo', 'Tipo de limite',
  // Border types: none, single, double, tripple, thick inside, thick outside
  '&Nenhum', '&Simples', '&Duplo', '&Triplo', 'Espesso &interno', 'Espesso &externo',
  // Fill color group-box; More colors, padding buttons
  'Cor de preenchimento', '&Mais cores...', '&Margem...',
  // preview text
  'Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto.',
  // title and group-box in Offsets dialog
  'Deslocamento', 'Deslocado do limite',
  // Paragraph Form ------------------------------------------------------------
  // Form title; Alignment group-box; alignments: left, right, center, justify, distribute
  'Pargrafo', 'Alinhamento', '&Esquerda', '&Direita', '&Centrado', '&Justificado', {*} '&Distribute',
  // Last line alignment, auto, left, right, center, justify
  {*} 'Las&t line:', 'auto', 'left', 'right', 'center', 'both',
  // Spacing group-box; spacing before, after, between lines, [spacing] by
  'Espaamento', '&Antes:', '&Depois:', '&Entre Linhas:', 'E&m:',
  // Indents group-box; indents: left, right, first line
  'Avano', '&Esquerda:', '&Direita:', '&Primeira linha:',
  // indented, hanging
  '&Avanado', '&Pendente', 'Pr-visualizar',
  // line spacing: single, 1.5 lines, double, at least, exactly, multiple
  'Simples', '1,5 linhas', 'Duplo', 'Pelo menos', 'Exatamente', 'Mltiplo',
  // preview text
  'Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto. Texto texto texto texto texto.',
  // tabs: Indents and spacing, Tabs, Advanced
  'Avanos e Espaamento', 'Tabulaes', {*} 'Advanced',
  // tab stop position label; buttons: set, delete, delete all
  'Posio de &tabulao:', '&Definir', '&Limpar', 'Limpar &Tudo',
  // tab align group; left, right, center aligns,
  'Alinhamento', '& esquerda', ' &direita', 'Ao &centro',
  // leader radio-group; no leader
  'Carter de Preenchimento', '(Nenhum)',
  // tab stops to be deleted, delete none, delete all labels
  'Tabulaes a desmarcar:', '(Nenhuma)', 'Todas.',
  // Pagination group-box, keep with next, keep lines together
  'Paginao', '&Manter com o seguinte', 'Manter &linhas juntas',
  // Outline level, Body text, Level #
  '&Nvel do contorno:', 'Corpo de Texto', 'Nvel %d',
  // Preview Form --------------------------------------------------------------
  // Title; page width, full pages; pages label
  'Pr-visualizar Impresso', 'Largura da Pgina', 'Pgina Inteira', 'Pginas:',
  // Invalid Scale, [page #] of #
  'Por favor introduza um nmero entre 10 e 500', 'de %d',
  // Hints on buttons: first, prior, next, last pages
  'Primeira Pgina', 'Pgina Anterior', 'Pgina Seguinte', 'ltima Pgina',
  // Cell Spacing Form ---------------------------------------------------------
  // Title, groupbox, between cells, from table border to cells
  'Espaamento de Clulas', 'Espaamento', 'E&ntre clulas', 'Do limite da tabela at as clulas',
  // vertical, horizontal (x2)
  '&Vertical:', '&Horizontal:', 'V&ertical:', 'H&orizontal:',  
  // Table Borders Form --------------------------------------------------------
  // Title; Settings group-box; Color, light color, shadow color
  'Limites', 'Configuraes', '&Cor:', 'Cor &Luz:', '&Cor sombra:',
  // Width; Border type group-box;
  '&Largura:', 'Tipo de limite',
  // Border types: none, sunken, raised, flat
  '&Nenhum', '&Baixo relevo', '&Alto relevo', '&Liso',
  // Split Cells Form ----------------------------------------------------------
  // title, group-box
  'Dividir clulas', 'Dividir para',
  // split to specified number of rows and cols, split to original cells (unmerge)
  'Nmero e&specificado', 'Clulas &originais',
  // number of columns, rows, merge before
  'Nmero de &colunas:', 'Nmero de &linhas:', '&Unir clulas antes de as dividir',
  // to original cols, rows check-boxes
  'Dividir para co&lunas originais', 'Dividir para li&nhas originais',
  // Add Rows form -------------------------------------------------------------
  'Adicionar Linhas', 'Nmero de &Linhas:',
  // Page Setup form -----------------------------------------------------------
  // title, Page tab, Header&Footer tab
  'Configurar de Pgina', 'Pgina', 'Cabealho e Rodap',
  // margins group-box, left, right, top, bottom
  'Margens (milmetros)', 'Margens (polegadas)', '&Esquerda:', '&Superior:', '&Direita:', '&Inferior:',
  // mirror margins check-box
  'Espelhar &margens',
  // orientation group-box, portrait, landscape
  'Orientao', '&Vertical', '&Horizontal',
  // paper group-box, paper size, default paper source
  'Papel', 'T&amanho:', '&Origem:',
  // header group-box, print on the first page, font button
  'Cabealho', '&Texto:', 'C&abealho na primeira pgina', '&Fonte...',
  // header alignments: left, center, right
  '&Esquerda', '&Centrado', '&Direita',
  // the same for footer (different hotkeys)
  'Rodap', 'Te&xto:', 'Rodap na primeira &pgina', 'F&onte...',
  'E&squerda', 'Ce&ntraliza', 'D&ireita',
  // page numbers group-box, start from
  'Nmeros de pgina', 'Inicia e&m:',
  // hint about codes
  'Combinaes de carateres especiais:'#13'&&p - nmero de pgina; &&P - total de pginas; &&d - data atual; &&t - hora atual.',
  // Code Page form ------------------------------------------------------------
  // title, label
  'Cdigo de Pgina do Ficheiro de Texto', '&Escolha a codificao do ficheiro:',
  // thai, japanese, chinese (simpl), korean
  'Tailands', 'Japons', 'Chins (Simplificado)', 'Coreano',
  // chinese (trad), central european, cyrillic, west european
  'Chins (Tradicional)', 'Europeu Central e Oriental', 'Cirlico', 'Europeu Ocidental',
  // greek, turkish, hebrew, arabic
  'Greco', 'Turco', 'Hebreu', 'Arbe',
  // baltic, vietnamese, utf-8, utf-16
  'Bltico', 'Vietnams', 'Unicode (UTF-8)', 'Unicode (UTF-16)',
  // Style form ----------------------------------------------------------------
  'Estilo Visual', '&Selecione o estilo:',
  // Delimiter form ------------------------------------------------------------
  // title, label
  'Converter em Texto', 'Selecione o &delimitador:',
  // line break, tab, ';', ','
  'quebra de linha', 'tabulao', 'ponto e vrgula', 'vrgula',
  // Table sort form -----------------------------------------------------------
  // error message
  'No  possvel ordenar uma tabela com linhas unidas',
  // title, main options groupbox
  'Ordenar Tabela', 'Ordenar',
  // sort by column, case sensitive
  '&Ordenar por coluna:', 'Diferenciar &maisculas de minsculas',
  // heading row, range or rows
  'Eliminar linha de &cabealho', 'Linhas a serem ordenadas: de %d at %d',
  // order, ascending, descending
  'Ordem', '&Ascendente', '&Descendente',
  // data type, text, number
  'Tipo', '&Texto', '&Nmero',
  // Insert number form --------------------------------------------------------
  // title, properties groupbox, counter name, numbering type
  'Inserir Nmero', 'Propriedades', '&Nome do contador:', '&Tipo de numerao:',
  // numbering groupbox, continue, start from
  'Numerao', 'C&ontinuar', '&Iniciar em:',
  // Insert caption form -------------------------------------------------------
  // title, label, exclude label checkbox
  'Legenda', '&Etiqueta:', '&Excluir etiqueta da legenda',
  // position radiogroup
  'Posio', '&Acima do objeto selecionado', '&Debaixo do objeto selecionado',
  // caption text
  '&Texto da Legenda:',
  // Default sequences ---------------------------------------------------------
  // numbering, figure, table
  'Numerao', 'Figura', 'Tabela',
  // visible sides form --------------------------------------------------------
  // Title, Groupbox
  'Contorno visvel', 'Contorno',
  // Left, Top, Right, Bottom checkboxes
  'Lado &esquerdo', 'Lado &superior', 'Lado &direito', 'Lado &inferior',
  // Ruler ---------------------------------------------------------------------
  // Hints: table column resize, row resize
  'Mover a Coluna da Tabela', 'Mover a Linha da Tabela',
  // Hints on indents: first line, left (together with first), left (without first), right
  'Avano da Primeira Linha', 'Avano Esquerdo', 'Avano', 'Avano Direito',
  // Hints on lists: up one level (left), down one level (right)
  'Um nvel acima', 'Um nvel abaixo',
  // Hints for margins: bottom, left, right and top
  'Margem inferior', 'Margem esquerda', 'Margem direita', 'Margem superior',
  // Hints for tabs: left, right, center, decimal (reserved) aligned
  'Tabulao  Esquerda', 'Tabulao  Direita', 'Tabulao Centrada', 'Tabulao Alinhada ao Ponto Decimal',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // Standard styles -----------------------------------------------------------
  // Normal, Normal Indent, No Spacing, Heading %d, List Paragraph
  'Normal', 'Avano Normal', 'Sem Espaamento', 'Cabealho %d', 'Pargrafo da lista',
  // Hyperlink, Title, Subtitle
  'Hiperligao', 'Ttulo', 'Subttulo',
  // Emphasis, Subtle Emphasis, Intense Emphasis, Strong
  'nfase', 'nfase Discreto', 'nfase Intenso', 'Forte',
  // Quote, Intense Quote, Subtle Reference, Intense Reference
  'Citao', 'Citao Intensa', 'Referncia Discreta', 'Referncia Intensa',
  // Block Text, HTML Variable, HTML Code, HTML Acronym,
  'Texto de Bloco', 'Varivel HTML', 'Cdigo HTML', 'Acrnimo HTML',
  // HTML Definition, HTML Keyboard, HTML Sample, HTML Typewriter,
  'Definio HTML', 'Teclado HTML', 'Exemplo de HTML', 'Mquina de Escrever HTML',
  // HTML Preformatted, HTML Cite, Header, Footer, Page Number
  'HTML Pr-formatado', 'Citao HTML', 'Cabealho', 'Rodap', 'Numero de Pgina',
  // Caption
  'Legenda',
  // Endnote Reference, Footnote Reference, Endnote Text, Footnote Text
  'Ref. de Nota de Fim', 'Ref. de Nota de Rodap', 'Texto de Nota de Fim', 'Texto de Nota de Rodap',
  // Sidenote Reference, Sidenote Text
  'Referncia da nota de comentrio', 'Nota de comentrio',
  // Style description ---------------------------------------------------------
  // color, background color, transparent, default [color], underline color,
  'cor', 'cor de fundo', 'transparente', 'por defeito', 'cor do sublinhado',
  // default background color, default text color, [color] same as text
  'cor de fundo por defeito', 'cor de texto por defeito', 'como texto',
  // underline types: single, thick, double, dotted, thick dotted, dashed
  'simples', 'grosso', 'duplo', 'pontilhado', 'pontilhado grosso', 'tracejado',
  // underline types: thick dashed, long dashed, thick long dashed,
  'tracejado grosso', 'tracejado longo', 'tracejado longo grosso',
  // underline types: dash dotted, thick dash dotted,
  'trao pontilhado', 'trao pontilhado grosso ',
  // underline types: dash dot dotted, thick dash dot dotted
  'ponto-trao-traco', 'ponto-trao-traco grosso',
  // sub/superscript: not, subsript, superscript
  'sem inferior/superior  linha', 'inferior  linha', 'superior  linha',
  // bi-di mode, inherited [bi-di mode], LTR, RTL
  'bi-di mode:', 'inherited', 'esquerda para a direita', 'direita para a esquerda',
  // bold, not bold
  'negrito', 'sem negrito',
  // italic, not italic
  'itlico', 'sem itlico',
  // underlined, not underlined, default underline
  'sublinhado', 'sem sublinhado', 'sublinhado por defeito',
  // struck out, not struck out
  'rasurado', 'sem rasurado',
  // overlined, not overlined
  'linha superior', 'sem linha superior',
  // all capitals: yes, all capitals: no
  'Em maisculas', 'Sem maisculas',
  // vertical shift: none, by x% up, by x% down
  'Sem deslocamento vertical', 'Elevado por %d%%', 'Rebaixado por %d%%',  
  // characters width [: x%]
  'largura dos carateres',
  // character spacing: none, expanded by x, condensed by x
  'espaamento carateres normal', 'espaamento carateres expandido por %s', 'espaamento carateres comprimido por %s',
  // charset
  'script',
  // default font, default paragraph, inherited attributes [of font, paragraph attributes, etc.]
  'tipo de letra por defeito', 'paragrafo por defeito', 'atributos base',
  // [hyperlink] highlight, default hyperlink attributes
  'realce', 'por defeito',
  // paragraph alignment: left, right, center, justify, distribute
  'alinhar  esquerda', 'alinhar  direita', 'ao centro', 'justificar', {*} 'distributed',
  // last line alignment: auto, left, right, center, justify
  {*} 'last line is auto-aligned', 'last line is left aligned', 'last line is right aligned',
  {*} 'last line is centered', 'last line is aligned to both sides',
  // line height: x%, space between lines: x, line height: at least x, line height: exactly x
  'altura da linha: %d%%', 'espaamento entre linhas: %s', 'altura da linha: pelo menos %s',
  'altura da linha: exatamente %s',
  // no wrap, wrap
  'sem quebra de linhas', 'com quebra de linhas',
  // keep lines together: yes, no
  'manter linhas juntas', 'no manter as linhas juntas',
  // keep with next: yes, no
  'manter com prximo pargrafo', 'no manter com prximo pargrafo',
  // read only: yes, no
  's de leitura', 'editvel',
  // body text, heading level x
  'nvel de contorno: corpo de texto', 'nvel: %d',
  // indents: first line, left, right
  'avano de primeira linha', 'avano  esquerda', 'avano  direita',
  // space before, after
  'espaamento antes', 'espaamento depois',
  // tabs, no tabs, tab alignment, tab alignment: left, right, center
  'tabulaes', 'nenhum', 'alinhamento', 'esquerda', 'direita', 'centro',
  // tab leader (filling character)
  'leader',
  // no, yes
  'no', 'sim',
  // [padding/spacing/side:] left, top, right, bottom
  'esquerda', 'cima', 'direita', 'baixo',
  // border: none, single, double, triple, thick inside, thick outside
  'nenhum', 'simples', 'duplo', 'triplo', 'grosso por dentro', 'grosso por fora',
  // background, border, padding, spacing [between text and border]
  'fundo', 'limite', 'espaamento', 'espaamento entre o texto e o limite',
  // border: style, width, internal width, visible sides
  'estilo', 'largura', 'largura interna', 'lados visiveis',
  // style inspector -----------------------------------------------------------
  // title
  'Inspetor de Estilos',
  // style, no style, paragraph, font, attributes (of font/paragraph)
  'Estilo', '(Nenhum)', 'Pargrafo', 'Tipo de letra', 'propriedades',
  // border and background, hyperlink, standard [style]
  'Limites e sombreados', 'Hiperligao', '(Padro)',
  // Styles Form ---------------------------------------------------------------
  // title, style group-box
  'Estilos', 'Estilo',
  // name, applicable to,
  '&Nome:', 'Aplicar &a:',
  // based on, based on (no &),
  '&Baseado em:', 'Baseado em:',
  //  next style, next style (no &)
  'Estilo para o &pargrafo seguinte:', 'Estilo para o pargrafo seguinte:',
  // quick access check-box, description and preview
  '&Adicionar aos estilos rpidos', 'Descrio e &pr-visualizao:',
  // [applicable to:] paragraph and text, paragraph, text
  'pargrafo e texto', 'pargrafo', 'texto',
  // text and paragraph styles, default font
  'Estilo de Texto e Paragrafo', 'Tipo de letra por defeito',
  // links: edit, reset, buttons: add, delete
  'Editar', 'Reiniciar', '&Adicionar', '&Eliminar',
  // add standard style, add custom style, default style name
  'Adicionar um estilo &modelo...', 'Adicionar um estilo &personalizado', 'Estilo %d',
  // choose style
  'Escolher &estilo:',
  // import, export,
  '&Importar...', '&Exportar...',
  // Style Import Form ---------------------------------------------------------
  // RichViewStyles filter, load error, no styles
  'RichView Styles (*.rvst)|*.rvst', 'Erro ao carregar o ficheiro', 'Este ficheiro no contm estilos',
  // Title, group-box, import styles
  'Importar Estilos de Ficheiro', 'Importar', 'Importar estilos:',
  // existing styles radio-group: Title, override, auto-rename
  'Estilos existentes' , '&substituir', '&auto renomear',
  // Select, Unselect, Invert,
  '&Selecionar', '&Desselecionar', '&Inverter',
  // select/unselect: all styles, new styles, existing styles
  '&Todos os estilos', '&Novos estilos', '&Estilos Existentes',
  // Style Combo-box -----------------------------------------------------------
  // clear format, more styles
  'Limpar tudo', 'Todos os Estilos',
  // dialog title, prompt
  'Estilos', '&Escolher o estilo a aplicar:',
  {$ENDIF}
  // Spelling check and thesaurus ----------------------------------------------
  '&Sinnimos', '&Ignorar Todos', '&Adicionar ao Dicionrio',
  // Progress messages ---------------------------------------------------------
  'A descarregar %s', 'A preparar a impresso...', 'A imprimir a pgina %d',
  'A converter de RTF...',  'A converter para RTF...',
  'A ler %s...', 'A escrever %s...', 'texto',
  // Edit note -----------------------------------------------------------------
  // Titles: No note, Footnote, Endnote, Sidenote, Text box
  'Sem nota', 'Nota de rodap', 'Nota final', 'Nota lateral', 'Caixa de texto'  
  );


initialization
  RVA_RegisterLanguage(
    'Portuguese (Portuguese)', // english language name, do not translate
    'Portugues (Portugal)', // native language name
    ANSI_CHARSET, @Messages);

end.