
{*******************************************************}
{                                                       }
{       RichViewActions                                 }
{       Romanian translation                            }
{                                                       }
{       Copyright (c) Sergey Tkachenko                  }
{       svt@trichview.com                               }
{       http://www.trichview.com                        }
{       Original translator: Viorel Doni                }
{                                                       }
{*******************************************************}
{ Updated by Morlova Daniel,                            }
{          by Alconost                                  }
{ Updated: 2012-10-11                                   }
{ Updated: 2014-05-01                                   }
{*******************************************************}

unit RVAL_Rom;
{$I RV_Defs.inc}
interface

implementation
uses Windows, RVALocalize;

const
  Messages: TRVAMessages =
  (
  '',
  // units: inches, cm, mm, picas, pixels, points
  'inci', 'cm', 'mm', 'pica', 'pixeli', 'puncte',
  // units : [n] inches, [n] cm, [n] mm, [n] picas, [n] pixels, [n] points
  '''''', 'cm', 'mm', 'pc', 'pixeli'{?}, 'pct',  
  // not used in actions, but can be useful: common menus:
  // top-level menus: File, Format, Text, Paragraph, Table
  'Fiier', 'Editare', 'Format', 'Font', 'Paragraf', 'Inserare', 'Tabel', 'Fereastr', 'Asisten',
  // exit
  'Ieire',
  // top-level menus: View, Tools,
  'Vedere', 'Instrument',
  // menus: Font size, Font style, Table select, Table cell align, table cell borders
  'Dimensiune', 'Stil', 'Selectare', 'Aliniere n celule', 'Chenar celul',
  // menus: Table cell rotation
  'Rotire &celul', 
  // menus: Text flow, Footnotes/endnotes
  '&Curgere text', '&Note de subsol/note de final',
  // ribbon tabs: tab1, tab2, view, table
  '&Acas', '&Avansat', '&Vizualizare', '&Tabel',
  // ribbon groups: clipboard, font, paragraph, list, editing
  'Clipboard', 'Font', 'Paragraf', 'List', 'Editare',
  // ribbon groups: insert, background, page setup,
  'Inserare', 'Fundal', 'Setare pagin',
  // ribbon groups: links, footnotes, document views, show/hide, zoom, options
  'Legturi', 'Note de subsol', 'Vizualizri Document', 'Arat/Ascunde', 'Panoramare', 'Opiuni',
  // ribbon groups on table tab: insert, delete, operations, borders
  'Inserare', 'tergere', 'Operaii', 'Chenare',
  // ribbon groups: styles 
  'Stiluri',
  // ribbon screen tip footer,
  'Apsai pe F1 pentru ajutor',
  // ribbon app menu: recent files, save-as menu title, print menu title
  'Documente Recente', 'Salvai o copie a documentului', 'Previzualizai i tiprii documentul',
  // ribbon label: units combo
  'Uniti:',  
  // actions -------------------------------------------------------------------
  // TrvActionNew
  'Nou', 'Nou|Creare document nou',
  // TrvActionOpen
  'Deschide...', 'Deschide|Deschidere fiier',
  // TrvActionSave
  'Salvare', 'Salvare|Salvare document',
  // TrvActionSaveAs
  'Salvare ca...', 'Salvare ca...|Salvare document cu alt denumire, format sau locaie',
  // TrvActionExport
  'Export...', 'Export|Exportare document n fiier cu alt denumire, format sau locaie',
  // TrvActionPrintPreview
  'Previzualizare', 'Previzualizare|Previzualizare document pentru tiprire',
  // TrvActionPrint
  'Tiprire...', 'Tiprire|Modificare setri imprimant i tiprire document',
  // TrvActionQuickPrint
  'Tiprire direct', '&Tiprire rapid', 'Tiprire direct|Tiprete documentul',
   // TrvActionPageSetup
  'Setrile paginii...', 'Setrile paginii|Setare parametri pagin',
  // TrvActionCut
  'Decupare', 'Decupare|tergere fragment selectat i plasare n clipboard',
  // TrvActionCopy
  '&Copiere', 'Copiere|Copiere fragment selectat n clipboard',
  // TrvActionPaste
  'Lipire', 'Lipire|Lipire fragment din clipboard n poziia curent a documentului',
  // TrvActionPasteAsText
  'Lipire ca &Text', 'Lipire ca text|Insereaz textul din Clipboard',
  // TrvActionPasteSpecial
  'Lipire special...', 'Lipire special|Lipire coninut din clipboard n document',
  // TrvActionSelectAll
  'Selectare tot', 'Selectare tot|Selectare ntreg document',
  // TrvActionUndo
  'Anulare', 'Anulare|Revenire asupra ultimei aciuni',
  // TrvActionRedo
  'Repetare', 'Repetare|Repetare ultima aciune',
  // TrvActionFind
  'Cutare...', 'Cutare|Cutare text indicat n document',
  // TrvActionFindNext
  'Continuare cutare', 'Continuare cutare|Continuare ultima cutare a textului',
  // TrvActionReplace
  'nlocuire...', 'nlocuire|Cutare i nlocuire text indicat n document',
  // TrvActionInsertFile
  'Fiier...', 'Inserare fiier|Inserare fiier n poziia curent a documentului',
  // TrvActionInsertPicture
  'Imagine...', 'Inserare imagine|Inserare imagine n poziia curent a documentului',
  // TRVActionInsertHLine
  'Linie orizontal', 'Inserare linie orizontal|Inserare linie orizontal n poziia curent a documentului',
  // TRVActionInsertHyperlink
  'Hiperlegtur...', 'Inserare hiperlegtur|Inserare hiperlegtur n poziia curent a documentului',
  // TRVActionRemoveHyperlinks
  '&ndeprtare Hiperlegturi', 'ndeprtare Hiperlegturi|ndeprteaz toate hiperlegturile din textul selectat',
  // TrvActionInsertSymbol
  'Simbol...', 'Inserare simbol|Inserare simbol sau caracter special',
  // TrvActionInsertNumber
  '&Numar...', 'Inserare numar|Insereaza un numar',
  // TrvActionInsertCaption
  'Inserare &Legenda...', 'Insereaza legenda|Insereaza o legenda pentru obiectul selectat',
  // TrvActionInsertTextBox
  '&Caseta Text', 'Insereaza caseta pentru text|Insereaza o caseta pentru text',
  // TrvActionInsertSidenote
  '&Nota', 'Inserare nota laterala|Insereaza o nota laterala n caseta pentru text',
  // TrvActionInsertPageNumber
  '&Numar pagina', 'Insereaza numarul paginii|Insereaza un numar pentru pagina',
  // TrvActionInsertPageCount
  {*} 'Page Count', 'Insert Page Count|Inserts a count of pages',
  // TrvActionParaList
  'List...', 'List|Adugare sau modificare a formatului marcajului sau a numerotrii n paragrafele selectate',
  // TrvActionParaBullets
  'Marcaj de list', 'Marcaj de list|Adugare sau modificare a marcajului de list n paragrafele selectate',
  // TrvActionParaNumbering
  'Numerotare', 'Numerotare|Adugare sau modificare a numerotrii n paragrafele selectate',
  // TrvActionColor
  'Culoare de fond...', 'Culoare de fond|Modificare culoare de fond a documentului',
  // TrvActionFillColor
  'Culoare de umplere...', 'Culoare de umplere|Modificare culoare de umplere a textului, paragrafului, tabelului sau a celulei',
  // TrvActionInsertPageBreak
  'Inserare ntrerupere pagin', 'Inserare ntrerupere pagin|Inserare ntrerupere pagin n poziia curent a documentului',
  // TrvActionRemovePageBreak
  'tergere ntrerupere pagin', 'tergere ntrerupere pagin|tergere ntrerupere pagin',
  // TrvActionClearLeft
  'tergere curgere text n &partea stng', 'tergere curgere text n partea stng|Plaseaz acest paragraf sub orice poz aliniat la stnga',
  // TrvActionClearRight
  'tergere curgere text n &partea dreapt', 'tergere curgere text n partea dreapt|Plaseaz acest paragraf sub orice poz aliniat la dreapta',
  // TrvActionClearBoth
  'tergere curgere text n &ambele pri', 'tergere curgere text n ambele pri|Plaseaz acest paragraf sub orice poz aliniat la stnga sau la dreapta',
  // TrvActionClearNone
  '&Curgere normal a textului', 'Curgere normal a textului|Permite curgerea textului n jurul pozelor aliniate la stnga sau la dreapta',
  // TrvActionVAlign
  '&Poziie obiect...', 'Poziie obiect|Modific poziia obiectului ales',
  // TrvActionItemProperties
  'Parametrii obiectului...', 'Parametrii obiectului|Setare parametri la imagine, linie sau tabel selectat',
  // TrvActionBackground
  'Fundal...', 'Fundal|Alegere imagine fundal',
  // TrvActionParagraph
  'Paragraf...', 'Paragraf|Modificare atribute la paragraful selectat',
  // TrvActionIndentInc
  'Mrire alineat', 'Mrire alineat|Mrire alineat din stnga la paragrafelor selectate',
  // TrvActionIndentDec
  'Micorare alineat', 'Micorare alineat|Micorare alineat din stnga la paragrafelor selectate',
  // TrvActionWordWrap
  'Desprire automat pe linii', 'Desprire automat pe linii|Activare/Dezactivare desprire automat pe linii n cadrul parafrafelor',
  // TrvActionAlignLeft
  'Aliniere la stnga', 'Aliniere la stnga|Aliniere text selectat dup marginea din stnga',
  // TrvActionAlignRight
  'Aliniere la dreapta', 'Aliniere la dreapta|Aliniere text selectat dup marginea din dreapta',
  // TrvActionAlignCenter
  'Aliniere la centru', 'Aliniere la centru|Aliniere text selectat la centru',
  // TrvActionAlignJustify
  'Aliniere dup lime', {*} 'Aliniere dup lime|Aliniere text selectat dup marginile din dreapta i stnga, adding space between words if necessary',
  // TrvActionAlignDistribute
  {*} '&Distribute', 'Distribute|Aligns the selected text to both left and right sides, adding space between characters if necessary',
  // TrvActionParaColor
  'Culoare fond n paragraf...', 'Culoare fond n paragraf|Alegere culoare la fond pentru paragraf',
  // TrvActionLineSpacing100
  'Interval unic', 'Interval unic|Setare interval la 1 ntre rndurile paragrafului',
  // TrvActionLineSpacing150
  'Interval 1,5', 'Interval 1,5|Setare interval la 1,5 ntre rndurile paragrafului',
  // TrvActionLineSpacing200
  'Interval dublu', 'Interval dublu|Setare interval dublu ntre rndurile paragrafului',
  // TrvActionParaBorder
  'Chenar i fond paragrafului...', 'Chenar i fond paragrafului|Setri la chenar i fond pentru paragrafele selectate',
  // TrvActionInsertTable
  'Inserare tabel...', '&Tabel', 'Inserare tabel|Inserare tabel n poziia curent a documentului',
  // TrvActionTableInsertRowsAbove
  'Inserare linie sus', 'Inserare linie sus|Inserare linie nou mai sus de celulele selectate',
  // TrvActionTableInsertRowsBelow
  'Inserare linie jos', 'Inserare linie jos|Inserare linie nou mai jos de celulele selectate',
  // TrvActionTableInsertColLeft
  'Inserare coloan la stnga', 'Inserare coloan la stnga|Inserare coloan nou la stnga de celulele selectate',
  // TrvActionTableInsertColRight
  'Inserare coloan la dreapta', 'Inserare coloan la dreapta|Inserare coloan nou la dreapta de celulele selectate',
  // TrvActionTableDeleteRows
  'tergere linii', 'tergere linii|tergere linii cu celule selectate',
  // TrvActionTableDeleteCols
  'tergere coloane', 'tergere coloane|tergere coloane cu celule selectate',
  // TrvActionTableDeleteTable
  'tergere tabel', 'tergere tabel|tergere tabel',
  // TrvActionTableMergeCells
  'mbinare celule', 'mbinare celule|mbinare celule selectate n una singur',
  // TrvActionTableSplitCells
  'Divizare celul...', 'Divizare celul|Divizare celul selectat n numrul indicat de rnduri i coloane',
  // TrvActionTableSelectTable
  'Selectare tabel', 'Selectare tabel|Selectare ntregul tabel',
  // TrvActionTableSelectRows
  'Selectare linii', 'Selectare linii|Selectare linii care conin celulele selectate',
  // TrvActionTableSelectCols
  'Selectare coloane', 'Selectare coloane|Selectare coloane care conin celulele selectate',
  // TrvActionTableSelectCell
  'Selectare celul', 'Selectare celul|Selectare celul',
  // TrvActionTableCellVAlignTop
  'Aliniere la marginea de sus', 'Aliniere la marginea de sus|Aliniere coninut celul la marginea de sus',
  // TrvActionTableCellVAlignMiddle
  'Centrare pe vertical', 'Centrare pe vertical|Aliniere coninut celul la centru',
  // TrvActionTableCellVAlignBottom
  'Aliniere la marginea de jos', 'Aliniere la marginea de jos|Aliniere coninut celul la marginea de jos',
  // TrvActionTableCellVAlignDefault
  'Aliniere prestabilit', 'Aliniere prestabilit|Aliniere prestabilit pe vertical',
  // TrvActionTableCellRotationNone
  '&Fr rotire a celulei', 'Fr rotire a celulei|Rotete coninutul celulei cu 0',
  // TrvActionTableCellRotation90
  'Rotire celul cu &90', 'Rotire celul cu 90|Rotete coninutul celulei cu 90',
  // TrvActionTableCellRotation180
  'Rotire celul cu &180', 'Rotire celul cu 180|Rotete coninutul celulei cu 180',
  // TrvActionTableCellRotation270
  'Rotire celul cu &270', 'Rotire celul cu 270|Rotete coninutul celulei cu 270',  
  // TrvActionTableProperties
  'Parametri tabel...', 'Parametri tabelul|Setare parametri tabel',
  // TrvActionTableGrid
  'Gril', 'Gril|Arat/Ascunde linii chenar n tabel',
  // TRVActionTableSplit
  'Divizare tabel', 'Divizare tabel|Divizeaz tabelul n dou tabele ncepnd de la rndul selectat',
  // TRVActionTableToText
  'Convertire n text...', 'Convertire n text|Convertete tabelul n text',
  // TRVActionTableSort
  '&Sortare...', 'Sortare|Sorteaz rndurile tabelului',
  // TrvActionTableCellLeftBorder
  'Margine din stnga', 'Margine din stnga|Vizualizare/ascundere margine din stnga pentru celulele selectate',
  // TrvActionTableCellRightBorder
  'Margine din dreapta', 'Margine din dreapta|Vizualizare/ascundere margine din dreapta pentru celulele selectate',
  // TrvActionTableCellTopBorder
  'Margine de sus', 'Margine de sus|Vizualizare/ascundere margine de sus pentru celulele selectate',
  // TrvActionTableCellBottomBorder
  'Margine de jos', 'Margine de jos|Vizualizare sau ascundere margine de jos pentru celulele selectate',
  // TrvActionTableCellAllBorders
  'Chenar', 'Chenarul|Vizualizare/ascundere chenar pentru celulele selectate',
  // TrvActionTableCellNoBorders
  'Fr chenar', 'Fr chenar|Ascundere chenar pentru celulele selectate',
  // TrvActionFonts & TrvActionFontEx
  'Font...', 'Font|Modificare parametri la caractere i distana dintre simboluri n textul selectat',
  // TrvActionFontBold
  'Aldin', 'Aldin|Setare text selectat cu caractere aldine',
  // TrvActionFontItalic
  'Cursiv', 'Cursiv|Setare text selectat cu caractere cursive',
  // TrvActionFontUnderline
  'Subliniat', 'Subliniat|Subliniere text selectat',
  // TrvActionFontStrikeout
  'Tiat cu linie', 'Tiat cu linie|Tiere cu linie a textului selectat',
  // TrvActionFontGrow
  'Mrire dimensiune', 'Mrire dimensiune|Mrire dimensiune font n textul selectat cu 10%',
  // TrvActionFontShrink
  'Micorare dimensiune', 'Micorare dimensiune|Micorare dimensiune font n textul selectat cu 10%',
  // TrvActionFontGrowOnePoint
  'Mrire dimensiune cu 1 pct', 'Mrire dimensiune cu 1 pct|Mrire dimensiune font n textul selectat cu 1 punct',
  // TrvActionFontShrinkOnePoint
  'Micorare dimensiune cu 1 pct', 'Micorare dimensiune cu 1 pct|Micorare dimensiune font n textul selectat cu 1 punct',
  // TrvActionFontAllCaps
  'Toate majuscule', 'Toate majuscule|Modificare litere n majuscule n textul selectat',
  // TrvActionFontOverline
  'Supraliniat', 'Supraliniat|Adugare linie orizontal asupra textului selectat',
  // TrvActionFontColor
  'Culoare text...', 'Culoare text|Modificare culoare la textul selectat',
  // TrvActionFontBackColor
  'Culoare umplere text...', 'Culoare umplere text|Modificare culoare fundal la textul selectat',
  // TrvActionAddictSpell3
  'Ortografie', 'Ortografie|Verificare ortografic',
  // TrvActionAddictThesaurus3
  'Tezaurus', 'Tezaurus|Cutare sinonime',
  // TrvActionParaLTR
  'De la stnga la dreapta', 'De la stnga la dreapta|Setare direcie text de la stnga la dreapta pentru paragrafele selectate',
  // TrvActionParaRTL
  'De la dreapta la stnga', 'De la dreapta la stnga|Setare direcie text de la dreapta la stnga pentru paragrafele selectate',
  // TrvActionLTR
  'Text de la stnga la dreapta', 'Text de la stnga la dreapta|Setare direcie text selectat de la stnga la dreapta',
  // TrvActionRTL
  'Text de la dreapta la stnga', 'Text de la dreapta la stnga|Setare direcie text selectat de la dreapta la stnga',
  // TrvActionCharCase
  'Tip de caracter', 'Tip de caracter|Modificare tip de caracter la litere n textul selectat',
  // TrvActionShowSpecialCharacters
  'Simboluri non-printing', 'Simboluri non-printing|Vizualizare/ascundere simboluri non-printing',
  // TrvActionSubscript
  'Indice', 'Indice|Convertire text selectat ca indice',
  // TrvActionSuperscript
  'Exponent', 'Exponent|Convertire text selectat ca exponent',
  // TrvActionInsertFootnote
  '&Not de subsol', 'Not de subsol|Insereaz o not de subsol',
  // TrvActionInsertEndnote
  '&Not de final', 'Not de final|Insereaz o not de final',
  // TrvActionEditNote
  'Editare not', 'Editare not|ncepe editarea notei de subsol sau de final',
  '&Ascundere', 'Ascundere|Ascunde sau arat fragmentul selectat',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // TrvActionStyleTemplates
  '&Stiluri...', 'Stiluri|Deschide caseta de dialog de gestionare a stilurilor',
  // TrvActionAddStyleTemplate
  '&Adugare stil...', 'Adugare stil|Creeaz un nou stil de text sau paragraf',
  // TrvActionClearFormat,
  '&tergere Format', 'tergere Format|terge formatele pentru texte i paragrafe din fragmentul selectat',
  // TrvActionClearTextFormat,
  'tergere &Format Text', 'tergere Format Text|terge formatele din textul selectat',
  // TrvActionStyleInspector
  'Inspector Stil', 'Inspector stil|Arat sau ascunde inspectorul de stil',
  {$ENDIF}
  // button captions: OK, Cancel, Close, Insert, Open, Save, Clear, Help, Remove -------
  'OK', 'Cancel', 'nchide', 'Inserare', 'Deschide...', 'Salvare...', 'terge', 'Asisten', 'ndepartare',
  // Others  -------------------------------------------------------------------
  // percents,
  '%',
  // left, top, right, bottom sides
  'Partea din stnga', 'Partea de sus', 'Partea din dreapta', 'Partea de jos',
  // save changes? confirm title
  'Dorii salvarea modificrilor n %s?', 'Confirmare',
  // warning: losing formatting
  '%s poate conine elemente de formatare care vor fi pierdute n procesul reformatrii fiierului.'#13+
  'Dorii salvarea documentului n acest format?',
  // RVF format name
  'Format RichView',
  // Error messages ------------------------------------------------------------
  'Eroare',
  'Eroare la citirea textului.'#13#13'Cauze posibile:'#13'- fiierul are format neacceptat de aplicaie;'#13+
  '- alterare;'#13'- fiierul este deschis n alt aplicaie care i-a blocat accesul.',
  'Eroare la citirea fiierului cu imagine.'#13#13'Cauze posibile:'#13'- fiierul conine imagine n format neacceptat de aplicaie;'#13+
  '- fiierul nu conine imagine;'#13+
  '- alterare;'#13'- fiierul este deschis n alt aplicaie care i-a blocat accesul.',
  'Eroare la salvarea fiierului.'#13#13'Cauze posibile:'#13'- spaiu insuficient;'#13+
  '- interzis accesul la salvare pe disc;'#13'- lipsete discul n unitatea de disc;'#13+
  '- fiierul este deschis n alt aplicaie care i-a blocat accesul;'#13+
  '- suport de informaie deteriorat.',
  // File filters --------------------------------------------------------------
  // RVF, RTF, XML (for RichViewXML)
  'Fiiere n formatul RichView (*.rvf)|*.rvf',  'Fiiere RTF (*.rtf)|*.rtf' , 'Fiiere XML (*.xml)|*.xml',
  // Text - ansi, unicode, auto
  'Fiiere textuale (*.txt)|*.txt', 'Fiiere textuale - Unicode (*.txt)|*.txt', 'Fiiere textuale - auto (*.txt)|*.txt',
  // open html (RVHtmlImporter), save HTML with CSS, save HTML without CSS
  'Fiiere HTML (*.htm;*.html)|*.htm;*.html', 'HTML (*.htm;*.html)|*.htm;*.html',
  'HTML - simplificat (*.htm;*.html)|*.htm;*.html',
  // DocX
  'Documente Microsoft Word (*.docx)|*.docx',
  // Search and replace --------------------------------------------------------
  // Search complete; String not found
  'Sfrit cutare', 'Textul ''%s'' nu a fost gsit.',
  // 1 string replaced; Several strings replaced
  'S-a fcut o nlocuire', 'S-au fcut %d nlocuiri',
  // continue search from the beginning/end?
  'S-a ajuns la sfritul documentului. S rencep cutarea de la nceput?',
  'S-a ajuns la nceputul documentului. S rencep cutarea de la sfrit?',
  // Colors --------------------------------------------------------------------
  // Transparent, Auto
  'Transparent', 'Automat',
  // Black, Brown, Olive Green, Dark Green, Dark Teal, Dark blue, Indigo, Gray-80%
  'Negru', 'Maro', 'Olive Green', 'Verde nchis', 'Dark Teal', 'Albastru nchis', 'Indigo', 'Gray-80%',
  // Dark Red, Orange, Dark Yellow, Green, Teal, Blue, Blue-Gray, Gray-50%
  'Dark Red', 'Orange', 'Dark Yellow', 'Green', 'Teal', 'Blue', 'Blue-Gray', 'Gray-50%',
  // Red, Light Orange, Lime, Sea Green, Aqua, Light Blue, Violet, Grey-40%
  'Red', 'Light Orange', 'Lime', 'Sea Green', 'Aqua', 'Light Blue', 'Violet', 'Grey-40%',
  // Pink, Gold, Yellow, Bright Green, Turquoise, Sky Blue, Plum, Gray-25%
  'Pink', 'Gold', 'Yellow', 'Bright Green', 'Turquoise', 'Sky Blue', 'Plum', 'Gray-25%',
  // Rose, Tan, Light Yellow, Light Green, Light Turquoise, Pale Blue, Lavender, White
  'Rose', 'Tan', 'Light Yellow', 'Light Green', 'Light Turquoise', 'Pale Blue', 'Lavender', 'White',
  // color picker buttons: Transparent, Auto, More Colors, Default
  // (correspond to color names, but have hotkeys)
  'Transparent', '&Auto', '&Alte culori...', '&Prestabilit',
  // Background Form -----------------------------------------------------------
  // Color label, Position group-box, Background group-box, Sample text
  'Fundal', '&Culoare:', 'Plasare', 'Imagine', 'Exemplu text.',
  //positions: None, Full Window, Fixed Tiles, Tiles, Center,
  '&Niciuna', 'ntins', 'Alturare fix', 'Alturat', 'n centru',
  // Padding button
  'Completare...',
  // Fill Color Form -----------------------------------------------------------
  // Title, Apply to, More Colors button, Padding button
  'Culoare de umplere', '&Aplicat la:', '&Alt culoare...', 'Completare...',
  'Alegei culoarea',
  // [apply to:] text, paragraph, table, cell
  'text', 'paragraf' , 'tabel', 'celul',
  // Font Form -----------------------------------------------------------------
  // Title, Font tab, Layout tab
  'Font', 'Font', 'Interval',
  // Font Name, Font Size labels, Font Style group-box, Bold, Italic check-boxes
  '&Font:', '&Dimensiune', '&Stil', 'Aldin', '&Cursiv',
  // Script, Color, Back color labels, Default charset
  'Set de simboluri:', '&Culoare:', 'Fundal:', '(prestabilit)',
  // Effects group-box, Underline, Overline, Strikethrough, All Caps
  'Efecte', 'Subliniat', 'Supraliniat', 'Tiat cu linie', '&Toate majuscule',
  // Sample, Sample text
  'Exemplu', 'Exemplu de text',
  // Spacing group-box, Spacing label, Expanded, Condensed,
  'Interval', '&Interval:', '&Extins', '&Comprimat',
  // Offset group-bix, Offset label, Down, Up,
  'Deplasament vertical', 'Deplasament:', 'Sus', 'Jos',
  // Scaling group-box, Scaling
  'Scalare orizontal', '&Scara:',
  // Sub/super script group box, Normal, Sub, Super
  'Indice i exponent', '&Normal', 'Indice', 'Exponent',
  // 4 Sides Form --------------------------------------------------------------
  // Default Title; Top, Left, Bottom, Right
  'Cmpuri', 'Sus:', 'Stnga:', 'Jos:', 'Dreapta:',
  // Equal values check-box
  '&Valori egale',
  // Hyperlink Form ------------------------------------------------------------
  // Title, Group-box Title, Text, Target, <<Selected Fragment>>
  'Inserare hiperlegturii', 'Hiperlegtur', '&Text:', '&URL:', '<<selectare>>',
  // cannot open URL
  'Eroare la navigare ctre "%s"',
  // hyperlink properties button, hyperlink style
  '&Atribute...', '&Stil:',
  // Hyperlink Properties Form -------------------------------------------------
  // Title, Group-boxes: Normal colors, Active (highlight) colors
  'Atributele hiperlegturii', 'Culori obinuite', 'Culori active',
  // Text [color], Background [color]
  '&Text:', '&Fundal',
  // Underline [color]
  'S&ubliniere:', 
  // Text [color], Background [color] (different hotkeys)
  'T&ext:', 'F&undal',
  // Underline [color], Attributes group-box,
  'S&ubliniere:', 'Atribute',
  // Underline type: always, never, active (below the mouse)
  '&Subliniere:', 'ntotdeauna', 'niciodat', 'activ',  
  // Same as normal check-box
  'Ca obinuite',
  // underline active links check-box
  '&Subliniere legturi active',
  // Insert Symbol Form --------------------------------------------------------
  // Title, Font name, Character set, Unicode
  'Inserare simbol', '&Font:', '&Set de caractere:', 'Unicode',
  // Unicode block
  '&Bloc:',
  // Character Code, Character Unicode Code, No Character
  'Cod simbol: %d', 'Cod simbol: Unicode %d', '(no character)',
  // Insert Table Form ---------------------------------------------------------
  // Title, Table size group-box, nCols, nRows        
  'Inserare tabel', 'Dimensiune tabel', 'Coloane:', 'Rnduri:',
  // Table layout group-box, Autosize, Fit, Manual size,
  'Limea tabelului', '&Auto', 'Dup limea ferestrei', '&Indicat:',
  // Remember check-box
  'Prestabilit pentru tabele noi',
  // VAlign Form ---------------------------------------------------------------
  'Poziie',
  // Item Properties Form ------------------------------------------------------
  // Default checkbox
  {*} 'Default',
  // Title; Image, Position and size, Line, Table, Rows, Cells tabs
  'Proprieti', 'Imagine', 'Pozitie si dimensiune', 'Linia', 'Tabel', 'Rnd', 'Celul',
  // Image Appearance, Image Misc, Number tabs
  'Aspect', 'Diverse', 'Numar',
  // Box position, Box size, Box appearance tabs
  'Pozitie', 'Dimensiune', 'Aspect',
  // Preview label, Transparency group-box, checkbox, label
  'Previzualizare:', 'Transparen', '&Transparent', 'Culoare transparent:',
  // change button, save button, no transparent color (use color right-bottom pixel)
  '&Selectare...', '&Salvare...', 'Auto',
  // VAlign group-box and label, bottom-baseline, middle-baseline, top, bottom, middle
  'Aliniere vertical', 'Aliniere:',
  'jos dup linia de baz a textului', 'centru dup linia de baz a textului',
  'sus dup linia de sus', 'jos dup linia de jos', 'la mijloc dup linia de mijloc',
  // align to left side, align to right side
  'partea stng', 'partea dreapt',  
  // Shift By label, Stretch group box, Width, Height, Default size
  '&Plasare cu:', 'Scara', 'Dup lime:', 'Dup nlime:', 'Mrimea iniial: %d x %d',
  // Scale proportionally checkbox, Reset ("no stretch") button
  'Ajustare &proportionala', '&Resetare',
  // Inside the border, border, outside the border groupboxes
  'n interiorul chenarului', 'Chenar', 'n exteriorul chenarului',
  // Fill color, Padding (i.e. margins inside border) labels
  '&Culoare de umplere:', '&Completare:',
  // Border width, Border color labels
  'Latime &chenar:', 'Chenar &culoare:',
  // Horizontal and vertical spacing (i.e. margins outside border) labels
  '&Interval pe orizontala:', '&interval pe Verticala:',
  // Miscellaneous groupbox, Tooltip label
  'Diverse', '&Tooltip:',
  // web group-box, alt text
  'Web', '&Text de nlocuire:',
  // Horz line group-box, color, width, style
  'Linie orizontal', '&Culoare:', '&Grosime:', '&Stil:',
  // Table group-box; Table Width, Color, CellSpacing
  'Tabel', '&Lime:', '&Culoare umplere:', '&Interval dintre celule...',
  // Horizontal cellpadding, Vertical cellpadding, Border&Background groupbox
  '&Completare celula pe orizontala:', '&Completare celula pe verticala:', 'Chenar si fundal',
  // Visible table border sides button, auto width (in combobox), auto width label
  '&Laturi chenar vizibile...', 'Auto', 'auto',
  // Keep row content together checkbox
  '&Pastrare continut mpreuna',
  // Rotation groupbox, rotations: 0, 90, 180, 270
  'Rotire', '&Niciuna', '&90', '&180', '&270',
  // Cell border label, Visible cell border sides button,
  'Chenar:', '&Laturi chenar vizibile...',
  // Border, CellBorders buttons
  '&Chenar tabel...', 'Chenar celule...',
  // Table border dialog title
  'Chenar tabel', 'Chenar celule predefinit',
  // Table Printing group-box, KeepOnPage checkbox, HeadingRows, HeadingRowsTip labels
  'Tipar', 'Interzicere trecere rnduri pe pagin nou', 'Nr. de rnduri n titlu:',
  'Rndurile titlului repetate pe fiecare pagin a tabelului',
  // top, center, bottom, default
  'Sus', 'La centru', 'Jos', 'Predefinit',
  // Cell Settings group-box, BestWidth, BestHeight, FillColor
  'Parametri celule', 'Lime aproximativ:', '&nlime mai mult de:', 'Culoare umplere:',
  // Cell Border group-box,, VisibleSides; shadow, light, border colors
  'Chenar', 'Laturile vizibile:', 'Culoare ntunecat:', 'Culoare aprins', 'Culoare:',
  // Background image
  'Imagine...',
  // Horizontal position, Vertical position, Position in text groupboxes and listitems
  'Pozitie orizontala', 'Pozitie Verticala', 'Pozitie n text',
  // Position types: align, absolute, relative
  'Aliniere', 'Pozitie absoluta', 'Pozitie relativa',
  // [Align] left side, center, right side
  'latura stnga a casetei spre latura stnga a',
  'centrul casetei spre centrul',
  'latura dreapta a casetei spre latura dreapta a',
  // [Align] top side, center, bottom side
  'latura de sus a casetei spre latura de sus a',
  'centrul casetei spre centrul',
  'latura de jos a casetei spre latura de jos a',
  // [Align] relative to
  'relativa fata de',
  // [Position] to the right of the left side of
  'spre dreapta platurii din stnga a',
  // [Position] below the top side of
  'sub latura de sus a',
  // Anchors: page, main text area (x2)
  '&Pagina', '&Zona text principal', 'P&agina', 'Zona te&xt principal',
  // Anchors: left margin, right margin
  '&Margine stnga', '&Margine dreapta',
  // Anchors: top margin, bottom margin, inner margin, outer margin
  '&Margine de sus', '&Margine de jos', '&Margine interioara', '&Margine exterioara',
  // Anchors: character, line, paragraph
  '&Caracter', 'L&inie', 'Para&graf',
  // Mirrored margins checkbox, layout in table cell checkbox
  'Margini n oglinda', 'Aranjarea n celula tabelului',
  // Above text, below text
  '&Text deasupra', '&Text dedesubt',
  // Width, Height groupboxes, Width, Height labels
  'Latime', 'naltime', '&Latime:', '&naltime:',
  // Auto height label, Auto height combobox item
  'Auto', 'auto',
  // Vertical alignment groupbox; alignments: top, center, bottom
  'Aliniere verticala', '&Sus', '&Centru', '&Jos',
  // Border and background button and title
  'C&henar si fundal...', 'Chenar si fundal caseta',
  // Paste Special Form --------------------------------------------------------
  //Title, Label; Formats: RTF, HTML, Text, UnicodeText, BMP, WMF, graphic files
  'Inserare special', '&Ca:', 'Format RTF', 'Format HTML',
  'Text neformatat', 'Text n codul Unicode', 'Imagine n puncte (BMP)', 'Metafiier (WMF)',
  'Fiiere grafice', 'URL',
  // Options group-box, styles
  'Opiuni', '&Stiluri:',
  // style options: apply target styles, use source styles, ignore styles
  'aplicare stiluri document int', 'pstrare stiluri i nfiare',
  'pstrare nfiare, ignorare stiluri',
  // List Gallery Form ---------------------------------------------------------
  // Bulleted, Numbered tabs; Bulleted, Numbered group-boxes
  'List', 'Marcat', 'Numerotat', 'Marcaj de list', 'List numerotat',
  // Customize, Reset, None
  '&Modific...', '&Anulare', 'Nu',
  // Numbering: continue, reset to, create new
  'continuare numerotare', 'nceput numerotare de la ', 'creare list nou de la',
  // List Gallery 2 Form (HTML) -----------------------------------------------
  // Numbering type
  'Litere mari', 'Numere romane, caractere mari', 'Numere ntregi', 'Litere mici', 'Numere romane, caractere mici',
  // Bullet type
  'Cerc', 'Disc', 'Ptrat',
  // Level, Start from, Continue numbering, Numbering group-box
  '&Nivel:', '&ncepere de la:', '&Continuare', 'Numerotare',
  // Customize List Form -------------------------------------------------------
  // Title, Levels, List properties, List types,
  'Modificare list', 'Nivele', '&Numr:', 'Proprieti list', '&Tip list:',
  // List types: bullet, image
  'marcaj', 'imagine', 'Inserare numr|',
  // Number format, Number, Start level from, Font button
  '&Format numr:', 'Numr', '&Numerotare nivel de la:', '&Font...',
  // Image button, bullet character, Bullet button,
  '&Imagine...', '&Simbol marcaj', 'Simbol...',
  // Position of list text, bullet, number, image
  'Poziie marcaj', 'Poziie marcaj', 'Poziie numr', 'Poziie imagine', 'Poziie text',
  // at, left indent, first line indent, from left indent
  '', '&Alineat din stnga:', '&Primul rnd:', 'de la alineatul din stnga',
  // [only] one level preview, preview
  '&Previzualizare numai un nivel', 'Model',
  // Preview text
  'Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text.',
  // marker align: left side of marker is aligned [at ...],
  // right side of marker is aligned [at ...], center of marker is aligned [at ...]
  'la dreapta de', 'la stnga de', 'la centru',
  // level #, this level (for combo-box)
  'Nivel %d', 'Acest nivel',
  // Marker character dialog title
  'Alegere simbol marcaj',
  // Paragraph Border and Backgound Form ---------------------------------------
  // Title; Border, Background tabs
  'Chenar i umplere paragraf', 'Chenar', 'Umplere',
  // Settings group-box; Color, Width, Internal width labels; Offsets button
  'Tip chenar', '&Culoare:', 'Grosime:', '&Spaiu:', '&Deplasamente...',
  // Sample, Border type group-boxes;
  'Model', 'Tip chenar',
  // Border types: none, single, double, tripple, thick inside, thick outside
  '&Fr', 'Unic', '&Dublu', '&Triplu', 'ngroat intern', 'ngroat extern',
  // Fill color group-box; More colors, padding buttons
  'Culoare umplere', '&Alt culoare...', '&Cmpuri...',
  // preview text
  'Text text text text text. Text text text text text. Text text text text text.',
  // title and group-box n Offsets dialog
  'Deplasamente', 'Deplasamente ntre text i chenar',
  // Paragraph Form ------------------------------------------------------------
  // Form title; Alignment group-box; alignments: left, right, center, justify, distribute
  'Alineat', 'Aliniere', '&Stnga', '&Dreapta', 'La centru', 'Dup lime', {*} '&Distribute',
  // Last line alignment, auto, left, right, center, justify
  {*} 'Las&t line:', 'auto', 'left', 'right', 'center', 'both',
  // Spacing group-box; spacing before, after, between lines, [spacing] by
  'Intervale', 'Pn la:', 'Dup:', '&ntre rnduri:', '&Valoare:',
  // Indents group-box; indents: left, right, first line
  'Deplasamente', 'Stnga:', 'Dreapta:', 'Primul rnd:',
  // indented, hanging
  'Indentat', 'Agat', 'Model',
  // line spacing: single, 1.5 lines, double, at least, exactly, multiple
  'Unic', '1,5', 'Dublu', 'Cel puin', 'Exact', 'Multiplu',
  // preview text
  'Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text.',
  // tabs: Indents and spacing, Tabs, Advanced
  'Alineate i intervale', 'Tabulare', {*} 'Advanced',
  // tab stop position label; buttons: set, delete, delete all
  'Poziie tabulare:', '&Setare', 'terge', 'terge toate',
  // tab align group; left, right, center aligns,
  'Aliniere', 'Stnga', 'Dreapta', 'La centru',
  // leader radio-group; no leader
  'Umplere', '(Fr)',
  // tab stops to be deleted, delete none, delete all labels
  'Vor fi terse:', '', 'Toate.',
  // Pagination group-box, keep with next, keep lines together
  'Separare pe pagini', 'Lipire cu urmtoarea', 'Lipire linii paragraf',
  // Outline level, Body text, Level #
  '&Nivel schi:', 'Text principal', 'Nivel %d',
  // Preview Form --------------------------------------------------------------
  // Title; page width, full pages; pages label
  'Previzualizare', 'Dup limea paginii', 'Pagina ntreag', 'Pagini:',
  // Invalid Scale, [page #] of #
  'Indicai un numr de la 10 pn la 500', 'din %d',
  // Hints on buttons: first, prior, next, last pages
  'Prima', 'Precedenta', 'Urmtoarea', 'Ultima',
  // Cell Spacing Form ---------------------------------------------------------
  // Title, groupbox, between cells, from table border to cells
  'Intervale', 'Intervale', 'ntre &celule', 'ntre chenarul tabelului i celule',
  // vertical, horizontal (x2)
  '&Vertical:', '&Orizontal:', 'V&ertical:', 'O&rizontal:',
  // Table Borders Form --------------------------------------------------------
  // Title; Settings group-box; Color, light color, shadow color
  'Chenare', 'Parametri', '&Culoare:', '&Culoare nchis:', 'Culoare deschis:',
  // Width; Border type group-box;
  '&Grosime:', 'Tip chenar',
  // Border types: none, sunken, raised, flat
  '&Fr', '&nuntru', 'n afar', '&Plat',
  // Split Cells Form ----------------------------------------------------------
  // title, group-box
  'Divizare celule', 'Divizare n',
  // split to specified number of rows and cols, split to original cells (unmerge)
  '&nr. indicat de rnduri i coloane', '&Celule iniiale',
  // number of columns, rows, merge before
  'Nr. de coloane:', 'Nr. de linii:', '&Grupare pn la divizare',
  // to original cols, rows check-boxes
  'Divizare n coloane iniiale', 'Divizare n linii iniiale',
  // Add Rows form -------------------------------------------------------------
  'Adugare linii', '&Nr. de linii:',
  // Page Setup form -----------------------------------------------------------
  // title, Page tab, Header&Footer tab
  'Parametri pagin', 'Pagin', 'Antet&Subsol',
  // margins group-box, left, right, top, bottom
  'Cmpuri (mm)', 'Cmpuri (dm)', '&Stnga:', '&Sus:', '&Dreapta:', '&Jos:',
  // mirror margins check-box
  '&Cmpuri proporionale',
  // orientation group-box, portrait, landscape
  'Orientare', '&Vertical', '&Orizontal',
  // paper group-box, paper size, default paper source
  'Hrtie', '&Dimensiune:', 'Surs:',
  // header group-box, print on the first page, font button
  'Antet', 'Text:', 'Tiprire pe prima pagin', 'Font...',
  // header alignments: left, center, right
  'Stnga', 'La centru', 'Dreapta',
  // the same for footer (different hotkeys)
  'Subsol de pagin', 'Text:', 'Tiprire pe prima pagin', 'Font...',
  'Stnga', 'La centru', 'Dreapta',
  // page numbers group-box, start from
  'Numerotare pagini', 'nceput cu:',
  // hint about codes
  'Avei posibilitate s folosi combinaii speciale:'#13'&&p - nr. paginii; &&P - nr. de pagini; &&d - dat; &&t - timpul.',
  // Code Page form ------------------------------------------------------------
  // title, label
  'Pagin cod fiier text', '&Alegei codarea fiierului:',
  // thai, japanese, chinese (simpl), korean
  'Thailandez', 'Japonez', 'Chinez (Simplificatd)', 'Coreean',
  // chinese (trad), central european, cyrillic, west european
  'Chinez (Tradiional)', 'limbi din Europa Central i Estic', 'Alfabetul Chirilic', 'limbi vest-europene',
  // greek, turkish, hebrew, arabic
  'Greac', 'Turc', 'Ebraic', 'Arab',
  // baltic, vietnamese, utf-8, utf-16
  'Limbi Baltice', 'Vietnamez', 'Unicode (UTF-8)', 'Unicode (UTF-16)',
  // Style form ----------------------------------------------------------------
  'Stil vizual', '&Selectare stil:',
  // Delimiter form ------------------------------------------------------------
  // title, label
  'Convertire n text', 'Alegei &delimitatorul:',
  // line break, tab, ';', ','
  'ntrerupere linie', 'tabulator', 'punct i virgul', 'virgul',
  // Table sort form -----------------------------------------------------------
  // error message
  'Tabelul cu rnduri unite nu poate fi sortat',
  // title, main options groupbox
  'Sortare tabel', 'Sortare',
  // sort by column, case sensitive
  '&Sortare dup coloan:', '&Sensibil la litere mari i mici',
  // heading row, range or rows
  'Excludere &rnd antet', 'Rnduri de sortat: de la %d la %d',
  // order, ascending, descending
  'Ordine', '&Ascendent', '&Descendent',
  // data type, text, number
  'Tip', '&Text', '&Numr',
  // Insert number form --------------------------------------------------------
  // title, properties groupbox, counter name, numbering type
  'Inserare numar', 'Proprietati', '&Denumire contor:', '&Tip numaratoare:',
  // numbering groupbox, continue, start from
  'Numaratoare', 'C&ontinuare', '&ncepere de la:',
  // Insert caption form -------------------------------------------------------
  // title, label, exclude label checkbox
  'Legenda', '&Eticheta:', '&Excludere eticheta din legenda',
  // position radiogroup
  'Pozitie', '&Deasupra obiectului selectat', '&Sub obiectul selectat',
  // caption text
  '&Text legenda:',
  // Default sequences ---------------------------------------------------------
  // numbering, figure, table
  'Numaratoare', 'Figura', 'Tabel',
  // visible sides form --------------------------------------------------------
  // Title, Groupbox
  'Laturi chenar vizibile', 'Chenar',
  // Left, Top, Right, Bottom checkboxes
  '&Latura stnga', '&Latura de sus', '&Latura dreapta', '&Latura de jos',
  // Ruler ---------------------------------------------------------------------
  // Hints: table column resize, row resize
  'Modificare limea coloanei tabelului', 'Modificare nlimea liniei tabelului',
  // Hints on indents: first line, left (together with first), left (without first), right
  'Alineat primul rnd', 'Alineat stanga', 'Atrnare', 'Alineat dreapta',
  // Hints on lists: up one level (left), down one level (right)
  'Micorare nivel list', 'Mrire  nivel list',
  // Hints for margins: bottom, left, right and top
  'Cmpul de jos', 'Cmpul din stnga', 'Cmpul din dreapta', 'Cmpul de sus',
  // Hints for tabs: left, right, center, decimal (reserved) aligned
  'Dup chenarul din stnga', 'Dup chenarul din dreapta', 'La centru', 'Dup separator',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // Standard styles -----------------------------------------------------------
  // Normal, Normal Indent, No Spacing, Heading %d, List Paragraph
  'Normal', 'Alineat normal', 'Fr spaiere', 'Antet %d', 'Listare paragraf',
  // Hyperlink, Title, Subtitle
  'Hiperlegtur', 'Titlu', 'Subtitlu',
  // Emphasis, Subtle Emphasis, Intense Emphasis, Strong
  'Accentuare', 'Accentuare subtil', 'Accentuare intens', 'Puternic',
  // Quote, Intense Quote, Subtle Reference, Intense Reference
  'Ghilimele', 'Ghilimele intense', 'Referin subtil', 'Referin intens',
  // Block Text, HTML Variable, HTML Code, HTML Acronym,
  'Text bloc', 'Variabil HTML', 'Cod HTML', 'Acronim HTML',
  // HTML Definition, HTML Keyboard, HTML Sample, HTML Typewriter,
  'Definiie HTML', 'Tastatur HTML', 'Exemplu HTML', 'Main de scris HTML',
  // HTML Preformatted, HTML Cite, Header, Footer, Page Number
  'HTML Preformatat', 'HTML Cite', 'Antet', 'Subsol', 'Numr pagin',
  // Caption
  'Legenda',
  // Endnote Reference, Footnote Reference, Endnote Text, Footnote Text
  'Referin not de final', 'Referin not de subsol', 'Text not de final', 'Text not de subsol',
  // Sidenote Reference, Sidenote Text
  'referinta nota laterala', 'text nota laterala',
  // Style description ---------------------------------------------------------
  // color, background color, transparent, default [color], underline color,
  'culoare', 'culoare fundal', 'transparent', 'prestabilit', 'culoare subliniere',
  // default background color, default text color, [color] same as text
  'culoare fundal prestabilit', 'culoare text prestabilit', 'la fel ca textul',
  // underline types: single, thick, double, dotted, thick dotted, dashed
  'o singur linie', 'ngroat', 'cu dou linii', 'linie punctat', 'linie punctat ngroat', 'linie ntrerupt',
  // underline types: thick dashed, long dashed, thick long dashed,
  'linie ntrerupt ngroat', 'linie ntrerupt continu', 'linie ntrerupt ngroat',
  // underline types: dash dotted, thick dash dotted,
  'linie ntrerupt i punctat', 'linie ntrerupt i punctat ngroat',
  // underline types: dash dot dotted, thick dash dot dotted
  'linie punctat dublu i ntrerupt', 'linie punctat dublu i ntrerupt ngroat',
  // sub/superscript: not, subsript, superscript
  'fr indice/exponent', 'indice', 'exponent',
  // bi-di mode, inherited [bi-di mode], LTR, RTL
  'mod bi-di:', 'motenit', 'de la stnga la dreapta', 'de la dreapta la stnga',
  // bold, not bold
  'aldin', 'non aldin',
  // italic, not italic
  'cursiv', 'non cursiv',
  // underlined, not underlined, default underline
  'subliniere', 'nesubliniere', 'subliniere prestabilit',
  // struck out, not struck out
  'tiere cu o linie', 'fr tiere cu o linie',
  // overlined, not overlined
  'Cu liniu deasupra', 'fr liniu deasupra',
  // all capitals: yes, all capitals: no
  'toate cu majuscule', 'majusculele dezactivate',
  // vertical shift: none, by x% up, by x% down
  'fr deplasare vertical', 'deplasare cu %d%% n sus', 'deplasare cu %d%% n jos',
  // characters width [: x%]
  'lime caractere',
  // character spacing: none, expanded by x, condensed by x
  'spaiere normal caractere', 'spaiere extins cu %s', 'spaiere condensat cu %s',
  // charset
  'script',
  // default font, default paragraph, inherited attributes [of font, paragraph attributes, etc.]
  'font prestabilit', 'paragraf prestabilit', 'motenit',
  // [hyperlink] highlight, default hyperlink attributes
  'evideniere', 'prestabilit',
  // paragraph aligmnment: left, right, center, justify, distribute
  'aliniere la stnga', 'aliniere la dreapta', 'n centru', 'aliniere stnga-dreapta', {*} 'distributed',
  // last line alignment: auto, left, right, center, justify
  {*} 'last line is auto-aligned', 'last line is left aligned', 'last line is right aligned',
  {*} 'last line is centered', 'last line is aligned to both sides',
  // line height: x%, space between lines: x, line height: at least x, line height: exactly x
  'nlime linie: %d%%', 'spaiu ntre linii: %s', 'nlime linie: cel puin %s',
  'nlime linie: exact %s',
  // no wrap, wrap
  'Rupere rnduri dezactivat', 'rupere rnduri',
  // keep lines together: yes, no
  'pstreaz liniile grupate', 'nu pstreaz liniile grupate',
  // keep with next: yes, no
  'pstreaz n paragraful urmtor', 'nu pstreaz n paragraful urmtor',
  // read only: yes, no
  'doar citire', 'editabil',
  // body text, heading level x
  'nivel schi: text principal', 'nivel schi: %d',
  // indents: first line, left, right
  'indentare prima linie', 'indentare la stnga', 'indentare la dreapta',
  // space before, after
  'spaiu nainte', 'spaiu dup',
  // tabs, no tabs, tab alignment, tab alignment: left, right, center
  'tabulatori', 'niciunul', 'aliniere', 'stnga', 'dreapta', 'centru',
  // tab leader (filling character)
  'caracter de ghidare',
  // no, yes
  'nu', 'da',
  // [padding/spacing/side:] left, top, right, bottom
  'stnga', 'sus', 'dreapta', 'jos',
  // border: none, single, double, triple, thick inside, thick outside
  'niciunul', 'singur', 'dublu', 'triplu', 'gros n interior', 'gros n exterior',
  // background, border, padding, spacing [between text and border]
  'fundal', 'chenar', 'completare', 'spaiere',
  // border: style, width, internal width, visible sides
  'stil', 'lime', 'lime intern', 'laterale vizibile',
  // style inspector -----------------------------------------------------------
  // title
  'Inspector de Stil',
  // style, no style, paragraph, font, attributes (of font/paragraph)
  'Stil', '(Niciunul)', 'Paragraf', 'Font', 'atribute',
  // border and background, hyperlink, standard [style]
  'Chenar i fundal', 'Hiperlegtur', '(Standard)',
  // Styles Form ---------------------------------------------------------------
  // title, style group-box
  'Stiluri', 'Stil',
  // name, applicable to,
  '&Nume:', 'Aplicabil &la:',
  // based on, based on (no &),
  '&Bazat pe:', 'Bazat pe:',
  //  next style, next style (no &)
  'Stil pentru &urmtorul paragraf:', 'Stil pentru urmtorul paragraf:',
  // quick access check-box, description and preview
  '&Acces rapid', 'Descriere i &previzualizare:',
  // [applicable to:] paragraph and text, paragraph, text
  'paragraf i text', 'paragraf', 'text',
  // text and paragraph styles, default font
  'Stiluri Text i paragraf', 'Font prestabilit',
  // links: edit, reset, buttons: add, delete
  'Editare', 'Resetare', '&Adugare', '&tergere',
  // add standard style, add custom style, default style name
  'Adugare &stil Standard...', 'Adugare &stil personalizat', 'Stil %d',
  // choose style
  'Alegere &stil:',
  // import, export,
  '&Import...', '&Export...',
  // Style Import Form ---------------------------------------------------------
  // RichViewStyles filter, load error, no styles
 'Stiluri RichView (*.rvst)|*.rvst', 'Eroare la ncrcarea fiierului', 'Acest fiier nu conine stiluri',
  // Title, group-box, import styles
  'Importare stiluri din fiier', 'Importare', 'I&mportare stiluri:',
  // existing styles radio-group: Title, override, auto-rename
  'Stiluri existente', '&Suprascriere', '&adugare redenumire',
  // Select, Unselect, Invert,
  '&Selectare', '&Deselectare', '&Inversare',
  // select/unselect: all styles, new styles, existing styles
  '&Toate stilurile', '&Stiluri noi', '&Stiluri existente',
  // Style Combo-box -----------------------------------------------------------
  // clear format, more styles
  '(tergere Format)', '(Toate stilurile)',
  // dialog title, prompt
  'Stiluri', '&Alegei stilul de aplicare:',
  {$ENDIF}
  // Spelling check and thesaurus ----------------------------------------------
  'Sinonime', 'Ignorare toate', 'Adugare n dic?ionar',
  // Progress messages ---------------------------------------------------------
  'Se descarc %s', 'Se pregtete pentru tiprire...', 'Se tiprete pagina %d',
  'Se convertete din RTF...',  'Se convertete n RTF...',
  'Se citete %s...', 'se scrie %s...', 'text',
  // Edit note -----------------------------------------------------------------
  // Titles: No note, Footnote, Endnote, Sidenote, Text box
  'Fara nota', 'Nota de subsol', 'Nota de final', 'Nota laterala', 'Caseta Text'
  );


initialization
  RVA_RegisterLanguage(
    'Romanian', // english language name, do not translate
    'Romna', // native language name
    EASTEUROPE_CHARSET, @Messages);

end.
