
{*******************************************************}
{                                                       }
{       RichViewActions                                 }
{       Swedish (Svenska) translation                   }
{                                                       }
{       Copyright (c) Sergey Tkachenko                  }
{       svt@trichview.com                               }
{       http://www.trichview.com                        }
{                                                       }
{*******************************************************}
{ Translated by: Mikael Collin, 2003-01-29              }
{                mikael.collin@robmatic.se              }
{                                                       }
{ Updates: 2014-04-26: by Alconost                      }
{          2012-09-23: by Alconost                      }
{          2011-09-19: by Alconost                      }
{          2011-03-10: by Alconost                      }
{          2007-11-14:                                  }
{          2004-04-26: Updated with tabs...             }
{          2003-08-19: Minor update.                    }
{          2003-08-14: Updated "bidi"-text, charcase.   }
{          2003-04-19: Added "Page Setup".              }
{          2003-01-30: Corrected the colornames.        }
{*******************************************************}

unit RVAL_Sv;
{$I RV_Defs.inc}
interface

implementation
uses Windows, RVALocalize;

const
  Messages: TRVAMessages =
  (
  '',
  // units: inches, cm, mm, picas, pixels, points
  'tum', 'cm', 'mm', 'pc', 'pixlar', 'pt',
  // units : [n] inches, [n] cm, [n] mm, [n] picas, [n] pixels, [n] points
  '''''', 'cm', 'mm', 'pc',  'pixlar', 'pt',  
  // not used in actions, but can be useful: common menus:
  // top-level menus: File, Format, Text, Paragraph, Insert, Table, Window, Help
  '&Arkiv', '&Redigera', 'F&ormat', 'T&ecken', '&Stycke', '&Infoga', '&Tabell', '&Fnster', '&Hjlp',
  // exit
  'A&vsluta',
  // top-level menus: View, Tools,
  '&Visa', 'Verk&tyg',
  // menus: Font size, Font style, Table select, Table cell align, table cell borders
  'Storlek', 'Stil', 'Vl&j', 'Justera &cellens innehll', 'C&ellkanter',
  // menus: Table cell rotation
  'Cell&rotation',   
  // menus: Text flow, Footnotes/endnotes
  '&Textflde', '&Fotnoter',
  // ribbon tabs: tab1, tab2, view, table
  '&Hem', '&Avancerat', '&Vy', '&Tabell',
  // ribbon groups: clipboard, font, paragraph, list, editing
  'Urklipp', 'Font', 'Paragraf', 'Lista', 'Redigering',
  // ribbon groups: insert, background, page setup,
  'Infoga', 'Bakgrund', 'Sidinstllningar',
  // ribbon groups: links, footnotes, document views, show/hide, zoom, options
  'Lnkar', 'Fotnoter', 'Dokumentvyer', 'Visa/Gm', 'Zooma', 'Alternativ',
  // ribbon groups on table tab: insert, delete, operations, borders
  'Infoga', 'Radera', 'Operationer', 'Kanter',
  // ribbon groups: styles 
  'Stilar',
  // ribbon screen tip footer,
  'Tryck p F1 fr mer hjlp',
  // ribbon app menu: recent files, save-as menu title, print menu title
  'Senast anvnda dokument', 'Spara en kopia p dokumentet', 'Frhandsgranska och skriv ut dokumentet',
  // ribbon label: units combo
  'Enheter:',          
  // actions -------------------------------------------------------------------
  // TrvActionNew
  '&Nytt', 'Nytt|Skapar ett nytt dokument',
  // TrvActionOpen
  '&ppna...', 'ppna|ppnar ett dokument frn disk',
  // TrvActionSave
  '&Spara', 'Spara|Sparar dokumentet till disk',
  // TrvActionSaveAs
  'Spara so&m...', 'Spara som...|Sparar dokumentet till disk med ett nytt namn',
  // TrvActionExport
  '&Exportera...', 'Exportera|Exporterar dokumentet till ett annat format',
  // TrvActionPrintPreview
  'Fr&handsgranska', 'Frhandsgranska|Visar dokumentet som det kommer att se ut nr det r utskrivet',
  // TrvActionPrint
  '&Utskrift...', 'Utskrift|Lter dig stlla in instllningar fr skrivare och skriva ut dokumentet',
  // TrvActionQuickPrint
  '&Skriv ut', '&Snabbutskrift', 'Skriv ut|Skriver ut dokumentet',
   // TrvActionPageSetup
  'Utskriftsforma&t...', 'Utskriftsformat|Stter marginaler, pappersstorlek, orintering, klla, sidhuvud och sidfot',
  // TrvActionCut
  '&Klipp ut', 'Klipp ut|Klipper ut det som r markerat och lgger det i urklipp',
  // TrvActionCopy
  'K&opiera', 'Kopiera|Kopierar det som r markerat och lgger det i urklipp',
  // TrvActionPaste
  'K&listra in', 'Klistra in|Lgger in det som finns i urklipp',
  // TrvActionPasteAsText
  'Klistra in som &text', 'Klistra in som text|Infogar text frn urklipp',  
  // TrvActionPasteSpecial
  'Klistra in spe&cial...', 'Klistra in special|Lgger in det som finns i urklipp med valt format',
  // TrvActionSelectAll
  '&Markera allt', 'Markera allt|Markerar allt i dokumentet',
  // TrvActionUndo
  '&ngra', 'ngra|ngrar den senaste frndringen',
  // TrvActionRedo
  'G&r om', 'Gr om|Gr om den senast ngrade frndringen',
  // TrvActionFind
  '&Sk...', 'Sk|Letar efter en specificerad text i dokumentet',
  // TrvActionFindNext
  'Sk &nsta', 'Sk nsta|Fortstter den senaste skningen',
  // TrvActionReplace
  '&Erstt...', 'Erstt|Letar efter och erstter en specificerad text i dokumentet',
  // TrvActionInsertFile
  '&Fil...', 'Infoga fil|Lgger till innehllet frn en fil i dokumentet',
  // TrvActionInsertPicture
  '&Bild...', 'Infoga bild|Lgger till en bild frn disk',
  // TRVActionInsertHLine
  'Ho&risontell linje', 'Infoga horisontell Line|Infogar en horisontell linje',
  // TRVActionInsertHyperlink
  '&Hyperlnk...', 'Infoga hyperlnk|Infogar en hyperlnk',
  // TRVActionRemoveHyperlinks
  '&Ta bort hyperlnkar', 'Ta bort hyperlnkar|Tar bort alla hyperlnkar i den markerade texten',  
  // TrvActionInsertSymbol
  '&Symbol...', 'Infoga symbol|Infogar symbol',
  // TrvActionInsertNumber
  '&Nummer...', 'Infoga nummer|Infogar ett nummer',
  // TrvActionInsertCaption
  'Infoga &rubrik...', 'Infoga rubrik|Infogar en rubrik fr markerat objekt',
  // TrvActionInsertTextBox
  '&Textflt', 'Infoga textflt|Infogar ett textflt',
  // TrvActionInsertSidenote
  '&Kommentar', 'Infoga kommentar|Infogar en kommentar som visas i ett textflt',
  // TrvActionInsertPageNumber
  '&Sidnummer', 'Infogar sidnummer|Infogar ett sidnummer',
  // TrvActionInsertPageCount
  {*} 'Page Count', 'Insert Page Count|Inserts a count of pages',
  // TrvActionParaList
  'Punkter och &numrering...', 'Punkter och numrering|Lgger till eller ndrar punkter och numrering fr markerade stycken',
  // TrvActionParaBullets
  '&Punkter', 'Punkter|Lgger till eller tar bort punkter i stycket',
  // TrvActionParaNumbering
  '&Numrering', 'Numrering|Lgger till eller tar bort numrering i stycket',
  // TrvActionColor
  'Bakgrunds&frg...', 'Bakgrundsfrg|Vljer en bakgrundsfrg fr dokumentet',
  // TrvActionFillColor
  '&Fyllningsfrg...', 'Fyllningsfrg|Vljer bakgrundsfrg fr text, stycke, cell, tabell eller dokument',
  // TrvActionInsertPageBreak
  '&Infoga sidbrytning', 'Infoga sidbrytning|Infogar sidbrytning',
  // TrvActionRemovePageBreak
  '&Ta bort sidbrytning', 'Ta bort sidbrytning|Tar bort sidbrytning',
  // TrvActionClearLeft
  'Rensa textfldet p &vnster sida', 'Rensa textfldet p vnster sida|Placerar denna paragraf under alla vnsterstllda bilder',
  // TrvActionClearRight
  'Rensa textfldet p &hger sida', 'Rensa textfldet p hger sida|Placerar denna paragraf under alla hgerstllda bilder',
  // TrvActionClearBoth
  'Rensa textfldet p &bda sidor', 'Rensa textfldet p bda sidor|Placerar denna paragraf under alla vnster- eller hgerstllda bilder',
  // TrvActionClearNone
  '&Normalt textflde', 'Normalt textflde|Tillter textflde runt bde vnster- och hgerstllda bilder',
  // TrvActionVAlign
  '&Objektposition...', 'Objektposition|ndrar position p det valda objektet',    
  // TrvActionItemProperties
  'Objekt&egenskaper...', 'Objektegenskaper|Definerar egenskaper fr det aktiva objektet',
  // TrvActionBackground
  '&Bakgrund...', 'Bakgrund|Vljer bakgrundsfrg och bild',
  // TrvActionParagraph
  '&Stycke...', 'Stycke|ndrar instllningarna fr stycket',
  // TrvActionIndentInc
  '&ka indrag', 'ka indrag|kar indraget fr markerade stycken',
  // TrvActionIndentDec
  '&Minska indrag', 'Minska indrag|Minskar indraget fr markerade stycken',
  // TrvActionWordWrap
  '&Radbrytning', 'Radbrytning|Vxlar mellan radbrytning av ord fr markerade stycken',
  // TrvActionAlignLeft
  '&Vnsterjustera', 'Vnsterjustera|Justerar den markerade texten till vnster',
  // TrvActionAlignRight
  '&Hgerjustera', 'Hgerjustera|Justerar den markerade texten till hger',
  // TrvActionAlignCenter
  '&Centrera', 'Centrera|Centrerar den markerade texten',
  // TrvActionAlignJustify
  '&Marginaljustera', {*} 'Marginal justera|Justerar den markerade texten mot bde vnster och hger sida, adding space between words if necessary',
  // TrvActionAlignDistribute
  {*} '&Distribute', 'Distribute|Aligns the selected text to both left and right sides, adding space between characters if necessary',
  // TrvActionParaColor
  '&Bakgrundsfrg fr stycke...', 'Bakgrundsfrg fr stycke|Anger bakgrundsfrgen fr stycken',
  // TrvActionLineSpacing100
  '&Enkelt radavstnd', 'Enkelt radavstng|Anger enkelt radavstnd',
  // TrvActionLineSpacing150
  '1.5 ra&davstnd', '1.5 radavstnd|Anger 1,5 i radavstnd',
  // TrvActionLineSpacing200
  '&Dubbelt radavstnd', 'Dubbelt radavstnd|Anger dubbelt radavstnd',
  // TrvActionParaBorder
  '&Kantlinjer och bakgrund fr stycke...', 'Kantlinjer och bakgrund fr stycke|Anger kantlinjer och bakgrund fr markerade stycken',
  // TrvActionInsertTable
  '&Infoga tabell...', '&Tabell', 'Infoga tabell|Infogar en ny tabell',
  // TrvActionTableInsertRowsAbove
  'Infoga rad &ovanfr', 'Infoga rad ovanfr|Infogar rad ovanfr de markerade cellerna',
  // TrvActionTableInsertRowsBelow
  'Infoga rad &under', 'Infoga rad under|Infogar en ny rad under de markerade cellerna',
  // TrvActionTableInsertColLeft
  'Infoga kolumn till &vnster', 'Infoga kolumn till vnster|Infogar en ny kolumn till vnster om de markerade cellerna',
  // TrvActionTableInsertColRight
  'Infoga kolumn till &hger', 'Infoga kolumn till hger|Infogar en ny kolumn till hger om de markerade cellerna',
  // TrvActionTableDeleteRows
  'Ta bort r&ader', 'Ta bort rader|Tar bort de markerade raderna',
  // TrvActionTableDeleteCols
  'Ta bort &kolumner', 'Ta bort kolumner|Tar bort kolumner med markerade celler',
  // TrvActionTableDeleteTable
  '&Ta bort tabell', 'Ta bort tabell|Tar bort tabell',
  // TrvActionTableMergeCells
  '&Sammanfoga celler', 'Sammanfoga celler|Sammanfogar markerade celler',
  // TrvActionTableSplitCells
  '&Dela celler...', 'Dela celler|Delar markerade celler',
  // TrvActionTableSelectTable
  'Markera &tabell', 'Markera tabell|Markerar tabell',
  // TrvActionTableSelectRows
  'Markera rad&er', 'Markera rader|Markerar rader',
  // TrvActionTableSelectCols
  'Markera kol&umner', 'Markera kolumner|Markerar kolumner',
  // TrvActionTableSelectCell
  'Markera c&ell', 'Markera cell|Markerar cell',
  // TrvActionTableCellVAlignTop
  'Justera cell &verkant', 'Justera cell mot verkant|Justerar cellens innehll mot verkanten',
  // TrvActionTableCellVAlignMiddle
  'Justera cell mot &mitten', 'Justera cell mot mitten|Justerar cellens innehll mot mitten',
  // TrvActionTableCellVAlignBottom
  'Justera cell &nederkant', 'Justera cell mot nederkant|Justerar cellens innehll mot nederkanten',
  // TrvActionTableCellVAlignDefault
  '&Standard celljustering vertikalt', 'Standard celljustering vertikalt|Stter standard celljustering vertikalt fr de markerade cellerna',
  // TrvActionTableCellRotationNone
  '&Ingen cellrotering', 'Ingen cellrotering|Roterar cellens innehll 0',
  // TrvActionTableCellRotation90
  'Rotera cellen &90', 'Rotera cellen 90|Roterar cellens innehll 90',
  // TrvActionTableCellRotation180
  'Rotera cellen &180', 'Rotera cellen 180|Roterar cellens innehll 180',
  // TrvActionTableCellRotation270
  'Rotera cellen &270', 'Rotera cellen 270|Roterar cellens innehll 270',
  // TrvActionTableProperties
  'Tabell &egenskaper...', 'Tabellegenskaper|ndrar p egenskaperna fr den markerade tabellen',
  // TrvActionTableGrid
  'Visa &alla kantlinjer', 'Visa alla kantlinjer|Visar eller gmmer tabellens kantlinjer',
  // TRVActionTableSplit
  'De&la tabell', 'Dela tabell|Delar tabellen i tv tabeller med brjan frn den markerade raden',
  // TRVActionTableToText
  'Konvertera till te&xt...', 'Konvertera till text|Konverterar tabell till text',
  // TRVActionTableSort
  '&Sortera...', 'Sortera|Sorterar tabellens rader',
  // TrvActionTableCellLeftBorder
  '&Vnster kantlinje', 'Vnster kantlinje|Visar eller gmmer cellens vnstra kantlinje',
  // TrvActionTableCellRightBorder
  '&Hger kantlinje', 'Hger kantlinje|Visar eller gmmer cellens hgra kantlinje',
  // TrvActionTableCellTopBorder
  '&vre kantlinje', 'vre kantlinje|Visar eller gmmer cellens vre kantlinje',
  // TrvActionTableCellBottomBorder
  '&Nedre kantlinje', 'Nedre kantlinje|Visar eller gmmer cellens nedre kantlinje',
  // TrvActionTableCellAllBorders
  '&Yttre kantlinje', 'Yttre kantlinje|Visar eller gmmer cellens alla kantlinjer',
  // TrvActionTableCellNoBorders
  '&Ingen kantlinje', 'Ingen kantlinje|Gmmer cellens alla kantlinjer',
  // TrvActionFonts & TrvActionFontEx
  '&Tecken...', 'Tecken|ndrar teckensnitt p den markerade texten',
  // TrvActionFontBold
  '&Fet', 'Fet|ndrar stilen p den markerade texten till fet',
  // TrvActionFontItalic
  '&Kursiv', 'Kursiv|ndrar stilen p den markerade texten till kursiv',
  // TrvActionFontUnderline
  '&Understruken', 'Understruken|ndrar stilen p den markerade texten till understruken',
  // TrvActionFontStrikeout
  '&verstruken', 'verstruken|Stryker ver markerad text',
  // TrvActionFontGrow
  '&Frstora teckensnitt', 'Frstora teckensnitt|Frstorar teckensnitt p markerad text med 10%',
  // TrvActionFontShrink
  '&Minska teckensnitt', 'Minska teckensnitt|Minskar teckensnitt p markerad text med 10%',
  // TrvActionFontGrowOnePoint
  'F&rstora teckensnittet med 1 punkt', 'Frstora teckensnittet med 1 punkt|Frstorar teckensnittet med 1 punkt',
  // TrvActionFontShrinkOnePoint
  'M&inska teckensnittet med 1 punkt', 'Minska teckensnittet med 1 punkt|Minskar teckensnittet med 1 punkt',
  // TrvActionFontAllCaps
  '&Stora tecken', 'Stora tecken|ndrar alla markerade tecken till stora tecken',
  // TrvActionFontOverline
  '&Linje ovanfr', 'Linje ovanfr|Ritar en linje ovanfr markerad text',
  // TrvActionFontColor
  'Text&frg...', 'Textfrg|ndrar frgen p markerad text',
  // TrvActionFontBackColor
  'Textba&kgrundsfrg...', 'Textbakgrundsfrg|ndrar bakgrundsfrg p markerad text',
  // TrvActionAddictSpell3
  '&Stavningskontroll', 'Stavningskontroll|Kontrollerar stavningen',
  // TrvActionAddictThesaurus3
  '&Synonymer', 'Synonymer|Visar synonymer fr markerat ord',
  // TrvActionParaLTR
  'Vnster till hger', 'Vnster till hger|Stter vnster-till-hger textorientering fr de markerade styckena',
  // TrvActionParaRTL
  'Hger till vnster', 'Hger till vnster|Stter hger-till-vnster textorientering fr de markerade styckena',
  // TrvActionLTR
  'Text frn vnster till hger', 'Text frn vnster till hger|Stter vnster-till-hger orientering p markerad text',
  // TrvActionRTL
  'Text frn hger till vnster', 'Text frn hger till vnster|Stter hger-till-vnster orientering p markerad text',
  // TrvActionCharCase
  'Skiftlge', 'Skiftlge|ndrar mellan stora och sm bokstver p markerad text',
  // TrvActionShowSpecialCharacters
  '&Icke utskrivbara tecken', 'Icke utskrivbara tecken|Visar eller dljer icke utskrivbara tecken, som paragrafmarkeringar, tabbar och blanksteg',
  // TrvActionSubscript
  'I&ndex', 'Index|Konverterar den markerade texten till index',
  // TrvActionSuperscript
  'Exponent', 'Exponent|Konverterar den markerade texten till exponent',
  // TrvActionInsertFootnote
  '&Fotnot', 'Fotnot|Infogar en fotnot',
  // TrvActionInsertEndnote
  '&Slutnot', 'Slutnot|Infogar en slutnot',
  // TrvActionEditNote
  'R&edigera not', 'Redigera not|Pbrjar redigering av fotnoten eller slutnoten',
  '&Dlj', 'Dlj|Dljer eller visar det markerade fragmentet',    
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // TrvActionStyleTemplates
  '&Stilar...', 'Stilar|ppnar stilhanteringsdialogen',
  // TrvActionAddStyleTemplate
  '&Lgg till stil...', 'Lgg till stil|Skapar en ny text eller paragrafstil',
  // TrvActionClearFormat,
  '&Rensa format', 'Rensa format|Rensar all text och paragrafformatering frn det markerade fragmentet',
  // TrvActionClearTextFormat,
  'Rensa &textformat', 'Rensa textformat|Rensar all formatering frn den markerade texten',
  // TrvActionStyleInspector
  'Stil&inspektr', 'Stilinspektr|Visar eller gmmer stilinspektren',
  {$ENDIF}
  // button captions: OK, Cancel, Close, Insert, Open, Save, Clear, Help, Remove -------
  'OK', 'Avbryt', 'Stng', 'Infoga', '&ppna...', '&Spara...', '&Rensa', 'Hjlp', 'Ta bort',
  // Others  -------------------------------------------------------------------
  // percents
  'procent',
  // left, top, right, bottom sides
  'Vnster sida', 'ver', 'Hger sida', 'Under',
  // save changes? confirm title
  'Spara ndringar till %s?', 'Bekrfta',
  // warning: losing formatting
  '%s kan innehlla saker som inte r kompatibla med det valda formatet.'#13+
  'Vill du nd spara i det hr formatet?',
  // RVF format name
  'RichView-format',
  // Error messages ------------------------------------------------------------
  'Fel',
  'Fel nr fil skulle laddas.'#13#13'Tnkbara anledningar:'#13'- formatet p den hr filen stds inte av det hr programmet;'#13+
  '- filen r korrupt;'#13'- filen r ppnad och lst av ett annat program.',
  'Fel nr bild skulle laddas.'#13#13'Tnkbara anledningar:'#13'- bilden r i ett format som inte stds av det hr programmet;'#13+
  '- filen r inte en bild;'#13+
  '- filen r korrupt;'#13'- filen r ppnad och lst av ett annat program.',
  'Del nr fil skulle sparas.'#13#13'Tnkbara anledningar:'#13'- det finns inte tillrckligt mycke plats p hrddisken;'#13+
  '- disken r skrivskyddad;'#13'- flyttbart media r inte inserted;'#13+
  '- filen r ppnad och lst av ett annat program;'#13'- disken r korrupt.',
  // File filters --------------------------------------------------------------
  // RVF, RTF, XML (for RichViewXML)
  'RichView-filer (*.rvf)|*.rvf',  'RTF-filer (*.rtf)|*.rtf' , 'XML-filer (*.xml)|*.xml',
  // Text - ansi, unicode, auto
  'Textfiler (*.txt)|*.txt', 'Textfiler - Unicode (*.txt)|*.txt', 'Textfiler - Automatisk (*.txt)|*.txt',
  // open html (RVHtmlImporter), save HTML with CSS, save HTML without CSS
  'HTML-filer (*.htm;*.html)|*.htm;*.html', 'HTML (*.htm;*.html)|*.htm;*.html',
  'HTML - Frenklad (*.htm;*.html)|*.htm;*.html',
  // DocX
  'Microsoft Word-dokument (*.docx)|*.docx',
  // Search and replace --------------------------------------------------------
  // Search complete; String not found
  'Skningen klar', 'Skstrngen ''%s'' kunde inte hittas.',
  // 1 string replaced; Several strings replaced
  '1 strng ersatt.', '%d strngar ersatta.',
  // continue search from the beginning/end?
  'Slutet p dokumentet har ntts, vill du fortstta ifrn brjan?',
  'Brjan p dokumentet har ntts, vill du fortstta ifrn slutet?',
  // Colors -------------------------------------------------------------------
  // Transparent, Auto
  'Genomskinlig', 'Automatisk',
  // Black, Brown, Olive Green, Dark Green, Dark Teal, Dark blue, Indigo, Gray-80%
  'Svart', 'Brun', 'Khakigrn', 'Mrkgrn', 'Mrkblgrn', 'Mrkbl', 'Indigobl', 'Gr-80%',
  // Dark Red, Orange, Dark Yellow, Green, Teal, Blue, Blue-Gray, Gray-50%
  'Mrkrd', 'Orange', 'Olivgrn', 'Grn', 'Blgrn', 'Bl', 'Blgr', 'Gr-50%',
  // Red, Light Orange, Lime, Sea Green, Aqua, Light Blue, Violet, Grey-40%
  'Rd', 'Ljusorange', 'Grngul', 'Havsgrn', 'Turkos', 'Klarbl', 'Lila', 'Gr-40%',
  // Pink, Gold, Yellow, Bright Green, Turquoise, Sky Blue, Plum, Gray-25%
  'Rosa', 'Guld', 'Gul', 'Ljusgrn', 'Ljus turkos', 'Himmelsbl', 'Plommon', 'Gr-25%',
  // Rose, Tan, Light Yellow, Light Green, Light Turquoise, Pale Blue, Lavender, White
  'Rosenrd', 'Aprikos', 'Ljusgul', 'Pastellgrn', 'Pastellbl', 'Ljusbl', 'Lavendel', 'Vit',
  // color picker buttons: Transparent, Auto, More Colors, Default
  // (correspond to color names, but have hotkeys)
  'G&enomskinlig', '&Automatisk', '&Fler frger...', 'F&rvalt vrde',
  // Background Form -----------------------------------------------------------
  // Title, Color label, Position group-box, Background group-box, Sample text
  'Bakgrund', 'F&rg:', 'Position', 'Bakgrund', 'Exempel text.',
  //positions: None, Full Window, Fixed Tiles, Tiles, Center,
  '&Ingen', '&Hela ytan', 'F&ixerad delning', '&Dela', 'C&entrera',
  // Padding button
  '&Utfyllnad...',
  // Fill Color Form -----------------------------------------------------------
  // Title, Apply to, More Colors button, Padding button, Please select color
  'Fyllningsfrg', '&Anvnd p:', '&Fler frger...', '&Utfyllnad...',
  'Vlj en frg',
  // [apply to:] text, paragraph, table, cell
  'text', 'stycke', 'tabell', 'cell',
  // Font Form -----------------------------------------------------------------
  // Title, Font tab, Layout tab
  'Font', 'Font', 'Layout',
  // Font Name, Font Size labels, Font Style group-box, Bold, Italic check-boxes
  '&Teckensnitt:', '&Storlek', 'Stil', '&Fet', '&Kursiv',
  // Script, Color, Back color labels, Default charset
  'Sk&ript:', '&Frg:', 'Ba&kgrund:', '(Frvalt vrde)',
  // Effects group-box, Underline, Overline, Strikethrough, All Caps
  'Effekter', 'Understruken', '&verstruken', '&Genomstruken', '&Versaler',
  // Sample, Sample text
  'Exempel', 'Exempeltext',
  // Spacing group-box, Spacing label, Expanded, Condensed,
  'Teckenavstnd', '&Avstnd:', '&Expanderat', '&Ihoptryckt',
  // Offset group-box, Offset label, Down, Up,
  'Offset', '&Offset:', '&Ner', '&Upp',
  // Scaling group-box, Scaling
  'Skalndring', 'Sk&alndring:',
  // Sub/super script group box, Normal, Sub, Super
  'Index och exponent', '&Normal', 'In&dex', 'E&xponent',  
  // 4 Sides Form --------------------------------------------------------------
  // Default Title; Top, Left, Bottom, Right, Equal values check-box
  'Utfyllnad', '&Ovanfr:', '&Vnster:', '&Under:', '&Hger:', '&Samma vrden',
  // Hyperlink Form ------------------------------------------------------------
  // Title, Group-box Title, Text, Target, <<Selected Fragment>>
  'Infoga hyperlnk', 'Hyperlnk', 'T&ext:', '&Ml', '<<markering>>',
  // cannot open URL
  'Kan inte g till "%s"',
  // hyperlink properties button, hyperlink style
  '&Skrddarsy...', '&Stil:',
  // Hyperlink Properties Form -------------------------------------------------
  // Title, Group-boxes: Normal colors, Active (highlight) olors
  'Lnkattribut', 'Normala frger', 'Aktiva frger',
  // Text [color], Background [color]
  '&Text:', '&Bakgrund',
  // Underline [color]
  'U&nderstryk:', 
  // Text [color], Background [color] (different hotkeys)
  'T&ext:', 'B&akgrund',
  // Underline [color], Attributes group-box,
  'U&nderstryk:', 'Attribut',
  // Underline type: always, never, active (below the mouse)
  '&Understryk:', 'alltid', 'aldrig', 'aktiv',
  // Same as normal check-box
  'Som &frvald',
  // underline active links check-box
  '&Understryk aktiva lnkar',
  // Insert Symbol Form --------------------------------------------------------
  // Title, Font name, Character set, Unicode
  'Infoga symbol', '&Teckensnitt:', '&Teckenuppsttning:', 'Unicode',
  // Unicode block
  '&Block:',
  // Character Code, Character Unicode Code, No Character
  'Teckenkod: %d', 'Teckenkod: Unicode %d', '(inga tecken)',
  // Insert Table Form ---------------------------------------------------------
  // Title, Table size group-box, nCols, nRows,
  'Infoga tabell', 'Tabellstorlek', 'Antal &kolumner:', 'Antal &rader:',
  // Table layout group-box, Autosize, Fit, Manual size,
  'Tabellayout', '&Automatisk storlek', 'Anpassa tabellen till &fnstret', 'ndra tabellstorlek &manuellt',
  // Remember check-box
  'Kom ihg &dimensionerna fr nya tabeller',
  // VAlign Form ---------------------------------------------------------------
  'Position',  
  // Item Properties Form ------------------------------------------------------
  // Default checkbox
  {*} 'Default',
  // Title; Image, Position and size, Line, Table, Rows, Cells tabs
  'Egenskaper', 'Bild', 'Position och storlek', 'Linje', 'Tabell', 'Rader', 'Celler',
  // Image Appearance, Image Misc, Number tabs
  'Utseende', 'vrigt', 'Nummer',
  // Box position, Box size, Box appearance tabs
  'Position', 'Storlek', 'Utseende',
  // Preview label, Transparency group-box, checkbox, label
  'Frhandsgranska:', 'Genomskinlighet', '&Genomskinlig', 'Genomskinlig &frg:',
  // change button, save button, no transparent color (use color of right-bottom pixel)
  '&ndra...', '&Spara...', 'Automatiskt',
  // VAlign group-box (used 3 times) and label, bottom-baseline, middle-baseline, top, bottom, middle
  'Vertikal justering', '&Justera:',
  'undre kanten till baslinjen av texten', 'mitten till baslinjen av texten',
  'vre kanten till topplinjen av texten', 'undre kanten till baslinjen av texten', 'mittenkanten till mittenlinjen av texten',
  // align to left side, align to right side
  'vnster sida', 'hger sida',      
  // Shift By label, Stretch group box, Width, Height, Default size
  '&Frskjut:', 'Strck ut', '&Bredd:', '&Hjd:', 'Frvald storlek: %d x %d',
  // Scale proportionally checkbox, Reset ("no stretch") button
  'Skala om &proportionerligt', '&Nollstll',
  // Inside the border, border, outside the border groupboxes
  'Inom markeringen', 'Kant', 'Utanfr markeringen',
  // Fill color, Padding (i.e. margins inside border) labels
  '&Fyllfrg:', '&Spaltfyllnad:',
  // Border width, Border color labels
  'Kant&bredd:', 'Kant&frg:',
  // Horizontal and vertical spacing (i.e. margins outside border) labels
  '&Horisontalt mellanrum:', '&Vertikalt mellanrum:',
  // Miscellaneous groupbox, Tooltip label
  'vrigt', '&Tooltip:',
  // web group-box, alt text
  'Webb', 'Alternativ &text:',
  // Horz line group-box, color, width, style
  'Horisontell linje', '&Frg:', '&Bredd:', '&Stil:',
  // Table group-box; Table Width, Color, CellSpacing,
  'Tabell', '&Bredd:', '&Fyllnadsfrg:', '&Cell&avstnd...',
  // Horizontal cellpadding, Vertical cellpadding, Border&Background groupbox
  '&Horisontell cellutfyllnad:', '&Vertikal cellutfyllnad:', 'Kant och bakgrund',
  // Visible table border sides button, auto width (in combobox), auto width label
  'Synliga &kantsidor...', 'Auto', 'auto',
  // Keep row content together checkbox
  '&Behll innehll tillsammans',
  // Rotation groupbox, rotations: 0, 90, 180, 270
  'Rotation', '&Ingen', '&90', '&180', '&270',
  // Cell border label, Visible cell border sides button,
  'Kant:', 'Synliga &kantsidor...',
  // Border, CellBorders buttons
  '&Tabellkanter...', '&Cellkanter...',
  // Table border, Cell borders dialog titles
  'Tabellkanter', 'Frvalda cellkanter',
  // Table Printing group-box, KeepOnPage checkbox, HeadingRows, HeadingRowsTip labels
  'Skriver ut', '&Behll tabellen p en sida', 'Antalet &huvudrader:',
  'Huvudraderna visas p varje sida med tabellen',
  // top, center, bottom, default
  'Mot &verkant', '&Centrera', 'Mot &nederkant', '&Frvalt vrde',
  // Cell Settings group-box, BestWidth, BestHeight, FillColor
  'Instllningar', 'Fredragen &bredd:', '&Minska hjd:', '&Fyllningsfrg:',
  // Cell Border group-box,, VisibleSides; shadow, light, border colors
  'Kantlinje', 'Synliga sidor:', 'Skuggf&rg:', '&Ljus frg', 'F&rg:',
  // Background image
  'B&ild...',
  // Horizontal position, Vertical position, Position in text groupboxes and listitems
  'Horisontell position', 'Vertikal position', 'Position i text',
  // Position types: align, absolute, relative
  'Justering', 'Absolut position', 'Relativ position',
  // [Align] left side, center, right side
  'vnster sida av fltet till vnster sida av',
  'mitten av fltet till mitten av',
  'hger sida av fltet till hger sida av',
  // [Align] top side, center, bottom side
  'ovanfr fltet till ovanfr',
  'mitten av fltet till mitten av',
  'nedanfr fltet till nedanfr',
  // [Align] relative to
  'relativt till',
  // [Position] to the right of the left side of
  'till hger om vnstra sidan av',
  // [Position] below the top side of
  'nedanfr ovansidan av',
  // Anchors: page, main text area (x2)
  '&Sida', '&Huvudtextflt', 'S&ida', 'Huvudte&xtflt',
  // Anchors: left margin, right margin
  '&Vnstermarginalen', '&Hgermarginalen',
  // Anchors: top margin, bottom margin, inner margin, outer margin
  '&Toppmarginal', '&Bottenmarginal', '&Innermarginal', '&Yttermarginal',
  // Anchors: character, line, paragraph
  '&Bokstav', 'L&inje', 'Para&graf',
  // Mirrored margins checkbox, layout in table cell checkbox
  'Spegelvn&da marginaler', 'La&yout i tabellcell',
  // Above text, below text
  '&Ovanfr text', '&Nedanfr text',
  // Width, Height groupboxes, Width, Height labels
  'Bredd', 'Hjd', '&Bredd:', '&Hjd:',
  // Auto height label, Auto height combobox item
  'Auto', 'auto',
  // Vertical alignment groupbox; alignments: top, center, bottom
  'Vertikal justering', '&Topp', '&Mitten', '&Botten',
  // Border and background button and title
  'Kan&t och bakgrund...', 'Fltkant och bakgrund',
  // Paste Special Form --------------------------------------------------------
  //Title, Label; Formats: RTF, HTML, Text, UnicodeText, BMP, WMF, graphic files
  'Klistra in special', '&Klistra in som:', 'RichText-format', 'HTML-format',
  'Text', 'Unicode-text', 'Bitmappsbild', 'Metafile-bild',
  'Grafiska filer', 'URL',
  // Options group-box, styles
  'Alternativ', '&Stilar:',
  // style options: apply target styles, use source styles, ignore styles
  'tillmpa mldokumentets stilar', 'behll stilar och utseende',
  'behll utseende, ignorera stilar',
  // List Gallery Form ---------------------------------------------------------
  // Title; Bulleted, Numbered tabs; Bulleted, Numbered group-boxes
  'Punkter och numrering', 'Punkter', 'Numrerad', 'Punktlista', 'Numrerad lista',
  // Customize, Reset, None
  '&Anpassa...', '&Rensa', 'Ingen',
  // Numbering: continue, reset to, create new
  'fortstt numrering', 'stt numrering till', 'skapa en ny lista, starta p',
  // List Gallery 2 Form (HTML) -----------------------------------------------
  // Numbering type
  'Alfanumeriska gemener', 'Romerska gemener', 'Numrerade', 'Alfanumeriska versaler', 'Romerska versaler',
  // Bullet type
  'Cirkel', 'Disk', 'Fyrkant',
  // Level, Start from, Continue numbering, Numbering group-box
  '&Niv:', '&Starta frn:', '&Fortstt', 'Numrering',
  // Customize List Form -------------------------------------------------------
  // Title, Levels, Level count, List properties, List type,
  'Anpassa lista', 'Niver', '&Antal:', 'Listegenskaper', '&Listtyp:',
  // List types: bullet, image
  'punkter', 'bild', 'Infoga nummer|',
  // Number format, Number, Start level from, Font button
  '&Nummerformat:', 'Nummer', '&Starta nivnumrering frn:', '&Teckensnitt...',
  // Image button, bullet character, Bullet button,
  '&Bild...', 'Punktt&ecken', '&Punkter...',
  // Position of list text, bullet, number, image, text
  'Listans textposition', 'Punktposition', 'Nummerposition', 'Bildposition', 'Textposition',
  // at, left indent, first line indent, from left indent
  '&p:', 'V&nster indrag:', 'Indrag p &frsta raden:', 'indrag frn vnster',
  // [only] one level preview, preview
  '&Frhandsgranska en niv', 'Frhandsgranska',
  // Preview text
  'Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text.',
  // marker align: left side of marker is aligned [at ...],
  // right side of marker is aligned [at ...], center of marker is aligned [at ...]
  'vnsterjustera', 'hgerjustera', 'centrera',
  // level #, this level (for combo-box)
  'Niv %d', 'Denna niv',
  // Marker character dialog title
  'ndra tecken fr punktlista',
  // Paragraph Border and Backgound Form ---------------------------------------
  // Title; Border, Background tabs
  'Kantlinje och bakgrund fr stycke', 'Kantlinje', 'Bakgrund',
  // Settings group-box; Color, Width, Internal width labels; Offsets button
  'Instllningar', '&Frg:', '&Bredd:', 'Int&ern bredd:', 'O&ffset...',
  // Sample, Border type group-boxes;
  'Exempel', 'Typ av kantlinje',
  // Border types: none, single, double, tripple, thick inside, thick outside
  '&Ingen', '&Enkelt', '&Dubbel', '&Trippel', 'Tjock &insida', 'Tjock &utsida',
  // Fill color group-box; More colors, padding buttons
  'Fyllningsfrg', '&Fler frger...', '&Utfyllnad...',
  // preview text
  'Text text text text text. Text text text text text. Text text text text text.',
  // title and group-box in Offsets dialog
  'Offset', 'Offset p kantlinje',
  // Paragraph Form ------------------------------------------------------------
  // Form title; Alignment group-box; alignments: left, right, center, justify, distribute
  'Stycke', 'Justera', '&Vnster', '&Hger', '&Centrera', '&Marginaljustera', {*} '&Distribute',
  // Last line alignment, auto, left, right, center, justify
  {*} 'Las&t line:', 'auto', 'left', 'right', 'center', 'both',
  // Spacing group-box; spacing before, after, between lines, [spacing] by
  'Avstnd', '&Fre:', '&Efter:', 'Rad&avstnd:', 'me&d:',
  // Indents group-box; indents: left, right, first line
  'Indrag', 'V&nster:', 'H&ger:', '&Frsta raden:',
  // indented, hanging
  '&Indrag', '&Hngande', 'Exempel',
  // line spacing: single, 1.5 lines, double, at least, exactly, multiple
  'Enkel', '1.5 rader', 'Dubbel', 'tminstone', 'Exakt', 'Multipel',
  // preview text
  'Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text. Text text text text text.',
  // tabs: Indents and spacing, Tabs, Advanced
  'Indrag och avstnd', 'Tabbar', {*} 'Advanced',
  // tab stop position label; buttons: set, delete, delete all
  '&Standardavstnd:', 'A&nge', 'Rad&era', 'Radera &alla',
  // tab align group; left, right, center aligns,
  'Justering', '&Vnster', '&Hger', '&Centrerad',
  // leader radio-group; no leader
  'Utfyllnadstecken', '(Inget)',
  // tab stops to be deleted, delete none, delete all labels
  'Tabbstopp som ska tas bort:', '(Ingen)', 'Alla.',
  // Pagination group-box, keep with next, keep lines together
  'Numrering', '&Hll ihop med nsta', 'Hll ihop &rader',
  // Outline level, Body text, Level #
  '&Konturniv:', 'Bodytext', 'Niv %d',  
  // Preview Form --------------------------------------------------------------
  // Title; page width, full pages; pages label
  'Frhandsgranska', 'Sidbredd', 'Helsida', 'Sidor:',
  // Invalid Scale, [page #] of #
  'Ange ett nummer frn 10 till 500', 'av %d',
  // Hints on buttons: first, prior, next, last pages
  'Frstasidan', 'Fregende sida', 'Nsta sida', 'Sista sidan',
  // Cell Spacing Form ---------------------------------------------------------
  // Title, groupbox, between cells, from table border to cells
  'Cellavstnd', 'Avstnd', '&Mellan celler', 'Frn tabellkanten till cellerna',
  // vertical, horizontal (x2)
  '&Vertikal:', '&Horisontell:', 'V&ertikal:', 'H&orisontell:',  
  // Table Borders Form --------------------------------------------------------
  // Title; Settings group-box; Color, light color, shadow color
  'Kantlinjer', 'Instllningar', '&Frg:', '&Ljus frg:', '&Skuggfrg:',
  // Width; Border type group-box;
  '&Bredd:', 'Typ av kantlinjer',
  // Border types: none, sunken, raised, flat
  '&Ingen', '&Nedsnkt', '&Upphjd', '&Plan',
  // Split Cells Form ----------------------------------------------------------
  // title, group-box
  'Dela', 'Dela till',
  // split to specified number of rows and cols, split to original cells (unmerge)
  '&Specificera antalet rader och kolumner', '&Originalceller',
  // number of columns, rows, merge before
  'Antal &kolumner:', 'Antal &rader:', '&Sammanfoga fr delning',
  // to original cols, rows check-boxes
  'Dela till original ko&lumner', 'Dela till original ra&der',
  // Add Rows form -------------------------------------------------------------
  'Lgg till &rader', 'Rad&antal:',
  // Page Setup form -----------------------------------------------------------
  // title, Page tab, Header&Footer tab
  'Utskriftsformat', 'Sida', 'Sidhuvud och sidfot',
  // margins group-box, left, right, top, bottom
  'Marginaler (millimeter)', 'Marginaler (tum)', '&Vnster:', '&verkant:', '&Hger:', '&Nederkant:',
  // mirror margins check-box
  '&Speglade marginaler',
  // orientation group-box, portrait, landscape
  'Riktning', 'S&tende', '&Liggande',
  // paper group-box, paper size, default paper source
  'Papper', 'St&orlek:', '&Klla:',
  // header group-box, print on the first page, font button
  'Sidhuvud', '&Text:', '&Sidhuvud p frstasidan', 'Tec&kensnitt...',
  // header alignments: left, center, right
  '&Vnster', '&Centrera', '&Hger',
  // the same for footer (different hotkeys)
  'Sidfot', 'Te&xt:', 'Sidfot p f&rstasidan', 'T&eckensnitt...',
  'V&nster', 'Ce&ntrera', 'H&ger',
  // page numbers group-box, start from
  'Sidnummer', '&Brja p',
  // hint about codes
  'Kombinationer fr specialtecken:'#13'&&p - sidnummer; &&P - antal sidor; &&d - dagens datum; &&t - aktuell tid.',
  // Code Page form ------------------------------------------------------------
  // title, label
  'Kodsida fr textfil', '&Vlj filens kodning:',
  // thai, japanese, chinese (simpl), korean
  'Thai', 'Japanska', 'Kinesiska (Frenklad)', 'Koreanska',
  // chinese (trad), central european, cyrillic, west european
  'Kinesiska (Traditionell)', 'Central- och steuropeisk', 'Kyrillisk', 'Vsteuropeisk',
  // greek, turkish, hebrew, arabic
  'Grekiska', 'Turkiska', 'Hebreiska', 'Arabiska',
  // baltic, vietnamese, utf-8, utf-16
  'Baltiska', 'Vietnamesiska', 'Unicode (UTF-8)', 'Unicode (UTF-16)',
  // Style form ----------------------------------------------------------------
  'Visuell stil', '&Vlj stil:',
  // Delimiter form ------------------------------------------------------------
  // title, label
  'Konvertera till text', 'Vlj &avgrnsning:',
  // line break, tab, ';', ','
  'radbrytning', 'tabb', 'semikolon', 'komma',
  // Table sort form -----------------------------------------------------------
  // error message
  'En tabell innehllandes sammanfogade rader kan ej sorteras',
  // title, main options groupbox
  'Tabellsortering', 'Sortering',
  // sort by column, case sensitive
  '&Sortera efter kolumn:', 'S&kiftlgesknslig',
  // heading row, range or rows
  'Excludera &rubrikrad', 'Rader att sortera: frn %d till %d',
  // order, ascending, descending
  'Ordning', 'Sti&gande', '&Fallande',
  // data type, text, number
  'Typ', '&Text', '&Nummer',
  // Insert number form --------------------------------------------------------
  // title, properties groupbox, counter name, numbering type
  'Infoga nummer', 'Egenskaper', '&Rknarnamn:', '&Numreringstyp:',
  // numbering groupbox, continue, start from
  'Numrering', 'F&ortstt', '&Starta frn:',
  // Insert caption form -------------------------------------------------------
  // title, label, exclude label checkbox
  'Rubrik', '&Etikett:', '&Exkludera etikett frn rubrik',
  // position radiogroup
  'Position', '&Ovanfr markerat objekt', '&Nedanfr markerat objekt',
  // caption text
  'Rubrik&text:',
  // Default sequences ---------------------------------------------------------
  // numbering, figure, table
  'Numrering', 'Figur', 'Tabell',
  // visible sides form --------------------------------------------------------
  // Title, Groupbox
  'Synliga kantsidor', 'Kant',
  // Left, Top, Right, Bottom checkboxes
  '&Vnster sida', '&Topp', '&Hger sida', '&Botten',
  // Ruler ---------------------------------------------------------------------
  // Hints: table column resize, row resize
  'ndra storlek p kolumnen', 'ndra storlek p raden',
  // Hints on indents: first line, left (together with first), left (without first), right
  'Indrag p frsta raden', 'Indrag frn vnster', 'Hngande indrag', 'Indrag frn hger',
  // Hints on lists: up one level (left), down one level (right)
  'Upp en niv', 'Ner en niv',
  // Hints for margins: bottom, left, right and top
  'Undre marginal', 'Vnster marginal', 'Hger marginal', 'vre marginal',
  // Hints for tabs: left, right, center, decimal (reserved) aligned
  'Vnsterjusterad tab', 'Hgerjusterad tab', 'Centrerad tab', 'Decimaljusterad tab',
  {$IFNDEF RVDONOTUSESTYLETEMPLATES}
  // Standard styles -----------------------------------------------------------
  // Normal, Normal Indent, No Spacing, Heading %d, List Paragraph
  'Normal', 'Normalt indrag', 'Inget mellanrum', 'Rubrik %d', 'Liststycke',
  // Hyperlink, Title, Subtitle
  'Hyperlnk', 'Titel', 'Undertitel',
  // Emphasis, Subtle Emphasis, Intense Emphasis, Strong
  'Betoning', 'Diskret betoning', 'Intensiv betoning', 'Stark',
  // Quote, Intense Quote, Subtle Reference, Intense Reference
  'Citat', 'Intensivt citat', 'Diskret referens', 'Intensiv referens',
  // Block Text, HTML Variable, HTML Code, HTML Acronym,
  'Textblock', 'HTML-variabel', 'HTML-kod', 'HTML-akronym',
  // HTML Definition, HTML Keyboard, HTML Sample, HTML Typewriter,
  'HTML-definition', 'HTML-tangentbord', 'HTML-test', 'HTML-skrivmaskin',
  // HTML Preformatted, HTML Cite, Header, Footer, Page Number
  'Frformaterad HTML', 'HTML-citation', 'Rubrik', 'Fotnot', 'Sidnummer',
  // Caption
  'Rubrik',
  // Endnote Reference, Footnote Reference, Endnote Text, Footnote Text
  'Slutnotsreferens', 'Fotnotsreferens', 'Slutnotstext', 'Fotnotstext',
  // Sidenote Reference, Sidenote Text
  'Referens sidnot', 'Text sidnot',
  // Style description ---------------------------------------------------------
  // color, background color, transparent, default [color], underline color,
  'frg', 'bakgrundsfrg', 'transparent', 'frvald', 'understrecksfrg',
  // default background color, default text color, [color] same as text
  'frvald bakgrundsfrg', 'frvald textfrg', 'samma som text',
  // underline types: single, thick, double, dotted, thick dotted, dashed
  'enkel', 'fet', 'dubbel', 'prickad', 'prickad', 'streckad',
  // underline types: thick dashed, long dashed, thick long dashed,
  'tjockt streckad', 'lngt streckad', 'tjockt och lngt streckad',
  // underline types: dash dotted, thick dash dotted,
  'streckprickad', 'tjockt streckprickad',
  // underline types: dash dot dotted, thick dash dot dotted
  'streck och prickprickad', 'tjockt streck och prickprickad',
  // sub/superscript: not, subsript, superscript
  'ej under/superskript', 'underskript', 'superskript',
  // bi-di mode, inherited [bi-di mode], LTR, RTL
  'bi-di-lge:', 'nedrvt', 'vnster till hger', 'hger till vnster',
  // bold, not bold
  'fet', 'ej fet',
  // italic, not italic
  'kursiv', 'ej kursiv',
  // underlined, not underlined, default underline
  'understreckad', 'ej understreckad', 'frvald understreckad',
  // struck out, not struck out
  'verkryssad', 'ej verkryssad',
  // overlined, not overlined
  'verstruken', 'ej verstruken',
  // all capitals: yes, all capitals: no
  'endast versaler', 'versaler av',
  // vertical shift: none, by x% up, by x% down
  'utan vertikal frskjutning', 'frskjuten uppt med %d%%', 'frskjuten nedt med %d%%',
  // characters width [: x%]
  'bokstavsbredd',
  // character spacing: none, expanded by x, condensed by x
  'normalt mellanrum', 'kat mellanrum med %s', 'minskat mellanrum med %s',
  // charset
  'skript',
  // default font, default paragraph, inherited attributes [of font, paragraph attributes, etc.]
  'frvalt typsnitt', 'frvald paragraf', 'nedrvt',
  // [hyperlink] highlight, default hyperlink attributes
  'markera', 'frvalda',
  // paragraph alignment: left, right, center, justify, distribute
  'vnsterstllt', 'hgerstllt', 'centrerat', 'justerat', {*} 'distributed',
  // last line alignment: auto, left, right, center, justify
  {*} 'last line is auto-aligned', 'last line is left aligned', 'last line is right aligned',
  {*} 'last line is centered', 'last line is aligned to both sides',
  // line height: x%, space between lines: x, line height: at least x, line height: exactly x
  'radhjd: %d%%', 'radmellanrum: %s', 'radhjd: tminstone %s',
  'radhjd: exakt %s',
  // no wrap, wrap
  'radbrytning av', 'radbrytning',
  // keep lines together: yes, no
  'hll ihop raderna', 'hll ej ihop raderna',
  // keep with next: yes, no
  'hll ihop med nsta stycke', 'hll inte ihop med nsta stycke',
  // read only: yes, no
  'skrivskyddad', 'redigerbar',
  // body text, heading level x
  'konturlinjeniv: brdtext', 'konturlinjeniv: %d',
  // indents: first line, left, right
  'frsta raden indragen', 'vnster indrag', 'hger indrag',
  // space before, after
  'mellanslag fre', 'mellanslag efter',
  // tabs, no tabs, tab alignment, tab alignment: left, right, center
  'tabbar', 'inga', 'justering', 'vnster', 'hger', 'centrerad',
  // tab leader (filling character)
  'leader',
  // no, yes
  'nej', 'ja',
  // [padding/spacing/side:] left, top, right, bottom
  'vnster', 'topp', 'hger', 'botten',
  // border: none, single, double, triple, thick inside, thick outside
  'ingen', 'enkel', 'dubbel', 'trippel', 'fet invndigt', 'fet utvndigt',
  // background, border, padding, spacing [between text and border]
  'bakgrund', 'ram', 'spaltfyllnad', 'mellanrum',
  // border: style, width, internal width, visible sides
  'stil', 'bredd', 'intern bredd', 'synliga sidor',
  // style inspector -----------------------------------------------------------
  // title
  'Stilinspektr',
  // style, no style, paragraph, font, attributes (of font/paragraph)
  'Stil', '(Ingen)', 'Stycke', 'Teckensnitt', 'Attribut',
  // border and background, hyperlink, standard [style]
  'Ram och bakgrund', 'Hyperlnk', '(Standard)',
  // Styles Form ---------------------------------------------------------------
  // title, style group-box
  'Stilar', 'Stil',
  // name, applicable to,
  '&Namn:', 'Tillmplig &p:',
  // based on, based on (no &),
  '&Baserad p:', 'Baserad p:',
  //  next style, next style (no &)
  'Stil fr &fljande stycke:', 'Stil fr fljande paragraf:',
  // quick access check-box, description and preview
  '&Snabbtillgng', 'Beskrivning och &frhandsgranskning:',
  // [applicable to:] paragraph and text, paragraph, text
  'stycke och text', 'stycke', 'text',
  // text and paragraph styles, default font
  'Text och styckestilar', 'Frvalt teckensnitt',
  // links: edit, reset, buttons: add, delete
  'Redigera', 'Nollstll', '&Lgg till', '&Radera',
  // add standard style, add custom style, default style name
  'Lgg till &standardstil...', 'Lgg till &anpassad stil', 'Stil %d',
  // choose style
  'Vlj &stil:',
  // import, export,
  '&Importera...', '&Exportera...',
  // Style Import Form ---------------------------------------------------------
  // RichViewStyles filter, load error, no styles
 'RichView-stilar (*.rvst)|*.rvst', 'Fel vid filladdning', 'Filen innehller inga stilar',
  // Title, group-box, import styles
  'Importera stilar frn fil', 'Importera', 'I&mportera stilar:',
  // existing styles radio-group: Title, override, auto-rename
  'Existerande stilar', '&upphv', '&lgg till ndrat namn',
  // Select, Unselect, Invert,
  '&Markera', '&Avmarkera', '&Invertera',
  // select/unselect: all styles, new styles, existing styles
  '&Alla stilar', '&Nya stilar', '&Existerande stilar',
  // Style Combo-box -----------------------------------------------------------
  // clear format, more styles
  'Rensa format', 'Alla stilar',
  // dialog title, prompt
  'Stilar', '&Vlj stil fr tillmpning:',
  {$ENDIF}
  // Spelling check and thesaurus ----------------------------------------------
  '&Synonymer', '&Ignorera Alla', '&Lgg till i lexikon',
  // Progress messages ---------------------------------------------------------
  'Laddar ner %s', 'Frbereder fr utskrift...', 'Skriver ut sidan %d',
  'Konverterar frn RTF...',  'Konverterar till RTF...',
  'Lser %s...', 'Skriver %s...', 'text',
  // Edit note -----------------------------------------------------------------
  // Titles: No note, Footnote, Endnote, Sidenote, Text box
  'Ingen notering', 'Fotnot', 'Slutnot', 'Sidonot', 'Textflt'  
  );


initialization
  RVA_RegisterLanguage(
    'Swedish', // english language name, do not translate
    'Svenska', // native language name
    ANSI_CHARSET, @Messages);

end.

